<?php
if ( ! class_exists( 'IPLand_Db' )) {

    /**
     * Class for manage plugin database
     */
    class IPLand_Db
    {
        /**
         * Take db version
         *
         * @var string
         */
        public $version = '1.0';
        
        /**
         * Class construct
         *
         * @return void
         */
        public function __construct()
        {
            global $ipland_db_version;
            $ipland_db_version = $this->version;
        }
        
        /**
         * Database query
         *
         * @return string
         */
        public function query()
        {
            global $wpdb;
            
            $table_name = $wpdb->prefix . 'ipland_stat';
            $sql = "CREATE TABLE $table_name (
                        stat_id          int(11)             NOT NULL AUTO_INCREMENT,
                        page_id          int(11)             NOT NULL,
                        stat_date        datetime  DEFAULT '0000-00-00 00:00:00' NOT NULL,
                        stat_view        int(11)             NOT NULL,
                        stat_lead        int(11)             NOT NULL,
                        stat_agree       int(11)             NOT NULL,
                        stat_disagree    int(11)             NOT NULL,
                        stat_click       int(11)             NOT NULL,
                        stat_share       int(11)             NOT NULL,
                        stat_facebook    int(11)             NOT NULL,
                        stat_twitter     int(11)             NOT NULL,
                        stat_googleplus  int(11)             NOT NULL,
                        stat_linkedin    int(11)             NOT NULL,
                        stat_pinterest   int(11)             NOT NULL,
                        stat_tumblr      int(11)             NOT NULL,
                        stat_stumbleupon int(11)             NOT NULL,
                        stat_digg        int(11)             NOT NULL,
                        stat_email       int(11)             NOT NULL,
                    PRIMARY KEY stat_id (stat_id),
                    KEY page_id (page_id)
            );";

            return $sql;
        }
        
        /**
         * install
         *
         * @return void
         */
        public function install()
        {
            global $wpdb, $ipland_db_version;
            $installed_ver = get_option( "ipland_db_version" );
            
            if( ! $installed_ver || ( $installed_ver != $ipland_db_version ) ) {

                $sql = $this->query();

                require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
                dbDelta( $sql );

                update_option( "ipland_db_version", $ipland_db_version );
            }
        }
        
        /**
         * update
         *
         * @return void
         */
        public function update()
        {
            global $ipland_db_version;
            if ( get_site_option( 'ipland_db_version' ) != $ipland_db_version ) {
                $this->install();
            }
        }
    }

}
?>