<?php
if ( ! class_exists( 'IPLand_Form' )) {

    /**
     * Class form checker
     */
    class IPLand_Form
    {
        /**
         * Parse form html
         *
         * @param  string $html
         * @return array
         */
        public static function parse( $html )
        {
            $html = stripslashes( $html );
            //Get form action
            $action = '';
            preg_match_all( '@action=\"([^\"]+)\"@', $html, $matches );
            if ( ! empty( $matches[1] )) {
                $action = array_shift( $matches[1] );
            }
            //Get input
            $fields  = array();
            $hiddens = array();
            preg_match_all( '@\<input([^\>]+)\>@', $html, $matches );
            if ( ! empty( $matches[1] )) {
                foreach( $matches[1] as $input ) 
                {
                    preg_match_all( '@(\S+)=[\"\']?((?:.(?![\"\']?\s+(?:\S+)=|[>\"\']))+.)[\"\']?@', $input, $inpmatch );
                    if ( ! empty( $inpmatch[1] ) ) 
                    {
                        $type = $name = $value = '';
                        foreach( $inpmatch[1] as $idx => $key ) {
                            if ( ! empty( $inpmatch[2][$idx] )) {
                                $val = $inpmatch[2][$idx];
                                if ( $key == 'type' ) {
                                    $type = $val;
                                } elseif ( $key == 'name' ) {
                                    $name = $val;
                                } elseif ( $key == 'value' ) {
                                    $value = $val;
                                }
                            }
                        }
                        if ( $type == 'email' || $type == 'text' ) {
                            $fields[] = $name;
                        } elseif ( $type == 'hidden' ) {
                            $hiddens[$name] = $value;
                        }
                    }
                }
            }
            return array(
                'action'    => $action,
                'fields'    => $fields,
                'hiddens'   => $hiddens
            );
        }
    }
}