/**
 * Admin Script
 **/

(function($){
    
    //Tab Menu
    $.fn.ipland_tabMenu = function(options){
        this.each( function(){
            var root = $(this);
            
            tabMenuInit();
            
            $( '.ipland-tab-menu a', root ).click( function(){
                clearLinkClick( $(this) );
                var cont = $( this ).parents( '.ipland-tab-menu' );
                cont.addClass( 'current' );
                
                var idtab = $(this).attr( 'href' ).replace( '#', '' );
                $( '#'+idtab ).show();
                $( '#ipland-tab-selected' ).val( idtab );
                
                if ( idtab == 'ipland-tab-stats' ) {
                    $( '#ipland-save' ).hide();
                } else {
                    $( '#ipland-save' ).show();
                }
                
                return false;
            });
            
            function clearLinkClick() 
            {
                $( '.ipland-tab-menu', root ).each( function(){
                    $(this).removeClass( 'current' );
                });
                $( '.ipland-tab-section', root ).hide();
            };
            
            function tabMenuInit() 
            {
                clearLinkClick();
                $( '.ipland-tab-section', root ).hide();
                var current = $( '#ipland-tab-selected' ).val();
                $( '#'+current ).show();
                $( 'a[href="#'+current+'"]' ).parents('.ipland-tab-menu').addClass( 'current' );
                $( '#ipland-tab-selected' ).val( current );
            };
        });
    };
    //Tab Menu Box
    $.fn.ipland_tabMenuBox = function(options){
        this.each( function(){
            var root = $(this);
            
            tabMenuBoxInit();
            
            $( '.ipland-box-menu a', root ).click( function()
            {
                clearBoxLinkClick();
                $(this).addClass( 'active' );
                
                var idtab = $(this).attr( 'href' ).replace( '#', '' );
                $( '#'+idtab ).show();
                $( '#ipland-boxtab-selected' ).val( idtab );
                
                return false;
            });
            
            function clearBoxLinkClick() 
            {
                $( '.ipland-box-menu a', root ).each( function(){
                    $(this).removeClass( 'active' );
                });
                $( '.ipland-box-section', root ).hide();
            };
            
            function tabMenuBoxInit() 
            {
                clearBoxLinkClick();
                $( '.ipland-box-section', root ).hide();
                var current = $( '#ipland-boxtab-selected' ).val();
                $( '#'+current ).show();
                $( 'a[href="#'+current+'"]' ).addClass( 'active' );
                $( '#ipland-boxtab-selected' ).val( current );
            };
        });
    };
    
    //Upload image
    $.fn.ipland_uploadImage = function(setting){
    
        $(this).each( function(){
        
            var root  = $(this),
                files = 'null',
                formdata = false;
            
            if (window.FormData) {
                formdata = new FormData();
            }
            if ( files == 'null' ) {
                $( '.ipland-upload-btn', root ).addClass( 'button-disabled' );
                $( '.ipland-upload-btn', root ).attr( 'disabled', 'disabled' );
            }
            
            $( '.ipland-input-upload', root ).change( function(){
                $( '.ipland-upload-btn', root ).removeClass( 'button-disabled' );
                $( '.ipland-upload-btn', root ).removeAttr( 'disabled' );
                files = this.files;
            });
            
            $( '.ipland-upload-btn', root ).click( function(){
            
                var button = $(this);
                var postid = $( '#value-postid' ).val();
                
                if ( files == 'null' ) {
                    alert( 'You must select an image' );
                } else {
                
                    var loader = '<div class="ipadm-loader-small"></div>';
                    button.after( loader );
                    button.addClass( 'button-disabled' );
                    button.attr( 'disabled', 'disabled' );
                    
                    var len = files.length;

                    for ( var i = 0; i < len; i++ ) {
                        file = files[i];
                
                        if (!!file.type.match(/image.*/)) {
                            if ( window.FileReader ) {
                                reader = new FileReader();
                                reader.readAsDataURL(file);
                            }
                            if (formdata) {
                                formdata.append("async-upload", file);
                            }
                        }
                    }
                    
                    var type  = $( '.ipland-upload-type', root ).val();
                    if (formdata) {
                        $.ajax({
                            url: ajaxurl+'?doajax=1&ipland=1&action=ipland_upload&type='+type,
                            type: "POST",
                            data: formdata,
                            processData: false,
                            contentType: false,
                            dataType: "json",
                            success: function ( result ) {
                                
                                if ( result.status == '1' ) {
                                    
                                    if ( result.data.sizes.medium !== undefined ) {
                                        var src = result.data.sizes.medium.url;
                                    } else {
                                        var src = result.data.sizes.full.url;
                                    }
                                    ipland_tools.showInputMessage( 'Successfully uploading image', 'success', root );
                                    $( '.ipland-image-preview', root ).html( '<img src="'+src+'">' );
                                    $( '.ipland-photo-id', root ).val(result.data.id);
                                    
                                    $( '.ipland-reset-img', root ).show();
                                    
                                } else {
                                    ipland_tools.showInputMessage( 'Upload image was failed', 'danger', root );
                                }
                                $( '.ipadm-loader-small' ).remove();
                            }
                        });
                    }
                }
                return false;
            });
            
            $( '.ipland-reset-img', root ).click( function(){
                
                var button = $(this);
                var attach = $( '.ipland-photo-id', root ).val();
                
                var loader = '<div class="ipadm-loader-small"></div>';
                button.after( loader );
                button.addClass( 'button-disabled' );
                button.attr( 'disabled', 'disabled' );
                
                var type = $( '.ipland-upload-type', root ).val();
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipland=1&action=ipland_clearImage',
                    type: "POST",
                    data: 'type='+type+'&attach='+attach,
                    dataType: "json",
                    success: function ( result ) {
                        
                        if ( result.status == '1' ) {
                            ipland_tools.showInputMessage( 'Successfully clearing image', 'success', root );
                            $( '.ipland-image-preview', root ).html( '<div class="none">No image</div>' );
                            $( '.ipland-photo-id', root ).val(0);
                            button.hide();
                        } else {
                            ipland_tools.showInputMessage( 'Image was failed to clear', 'danger', root );
                        }
                        $( '.ipadm-loader-small' ).remove();
                    }
                });
                return false;
            });
        });
    };
    
    $.fn.ipland_radiobutton = function( options ) {
        
        var defaults  = {
            funcSelect: function(){},
        };
        var options = $.extend( defaults, options );
        
        $(this).each( function(){
        
            var button = $(this);
            button.click( function(){
            
                var root  = $(this).parents( '.ipadm-btn-radio' );
                var value = $(this).data( 'value' );
                if ( ! $(this).hasClass( '.active' ) ) {
                    $( 'button', root ).removeClass( 'active' );
                    $( 'button', root ).removeClass( 'button-primary' );
                    $(this).addClass( 'button-primary active' );
                }
                $( '.ipadm-av-value', root ).val(value);
                
                var field = $(this).parents( '.ipadm-field-row' );
                if ( field.hasClass( 'ipadm-toggle' )) {
                    
                    if ( value == 'false' || value == false ) {
                        $( '.ipadm-toggle-option', field ).hide();
                    } else {
                        $( '.ipadm-toggle-option', field ).show();
                    }
                }
                options.funcSelect( button, value );
                return false;
            });
        });
    };
    
    //Add/Update landing page
    $.fn.ipland_savepage = function(options) {
        
        var defaults  = {
            saveAdd: true
        };
        var options = $.extend( defaults, options );
        
        var link  = $(this);
        link.click( function() {
        
            var loader = $( '<div style="margin-left: 6px;" class="ipadm-loader-small"></div>' );
            link.attr( 'disabled', 'disabled' );
            link.after( loader );
            var formdata = ipland_tools.getdataform( $( '.ipadm-manage' ) );
            var action   = ajaxurl+'?doajax=1&ipland=1&action=ipland_savepage';
            if ( options.saveAdd ) {
                action = action+'&add=1';
            }
            $.ajax({
                url: action,
                type: "POST",
                data: formdata,
                dataType: "json",
                success: function ( result ) {
                    if ( options.saveAdd ) {
                        if ( result.status == 1 ) {
                            window.location.href = 'admin.php?page=ipland&add=1';
                        }
                    }
                    //Reset image input
                    $( 'input[type="file"]' ).each( function()
                    {
                        if (/MSIE/.test(navigator.userAgent)) {
                            $(this).replaceWith($(this).clone(true));
                        } else {
                            $(this).val('');
                        }
                    });
                    
                    if ( result.status == 1 ) {
                        var sclass = 'ipadm-success';
                    } else {
                        var sclass = 'ipadm-error';
                    }
                    link.removeAttr( 'disabled');
                    loader.remove();
                    $( '#value-promoid' ).val( result.promoid );
                    ipland_tools.showMessage( result.message, sclass );
                    ipland_tools.goTo( '.ipadm-wrap' );
                },
            });
            return false;
        });
        
    };
    
    //Add/Update land promo
    $.fn.ipland_savepromo = function(options) {
        
        var defaults  = {
            saveAdd: true
        };
        var options = $.extend( defaults, options );
        
        var link  = $(this);
        link.click( function() {
        
            var loader = $( '<div style="margin-left: 6px;" class="ipadm-loader-small"></div>' );
            link.attr( 'disabled', 'disabled' );
            link.after( loader );
            var formdata = ipland_tools.getdataform( $( '.ipadm-wrap' ) );
            var action   = ajaxurl+'?doajax=1&ipland=1&action=ipland_savepromo';
            if ( options.saveAdd ) {
                action = action+'&add=1';
            }
            $.ajax({
                url: action,
                type: "POST",
                data: formdata,
                dataType: "json",
                success: function ( result ) {
                    if ( options.saveAdd ) {
                        if ( result.status == 1 ) {
                            window.location.href = 'admin.php?page=ipland-promo&add=1';
                        }
                    }
                    //Reset image input
                    $( 'input[type="file"]' ).each( function()
                    {
                        if (/MSIE/.test(navigator.userAgent)) {
                            $(this).replaceWith($(this).clone(true));
                        } else {
                            $(this).val('');
                        }
                    });
                    
                    if ( result.status == 1 ) {
                        var sclass = 'ipadm-success';
                    } else {
                        var sclass = 'ipadm-error';
                    }
                    link.removeAttr( 'disabled');
                    loader.remove();
                    $( '#value-promoid' ).val( result.promoid );
                    ipland_tools.showMessage( result.message, sclass );
                    ipland_tools.goTo( '.ipadm-wrap' );
                },
            });
            return false;
        });
        
    };
    
    /**
     * Statistic Script
     **/
    var ipland_stats = {
    
        datepicker: function()
        {
            var root = $( '#ipland-admin-stat' );
            $( '#date-start',root )
                .datepicker()
                .bind('changeDate', function(ev){
                    $( '#date-start',root ).datepicker('hide');
                });
                
            $( '#date-end', root )
                .datepicker()
                .bind('changeDate', function(ev){
                    $( '#date-end',root ).datepicker('hide');
                });
        },
        
        datecart: function()
        {
            $( '#do-filter-date' ).click( function()
            {
                var dateStart = $( '#date-start' ).val();
                var dateEnd   = $( '#date-end' ).val();
                var pageId    = $( '#value-pageid' ).val();
                var type      = $( '#value-stat-type' ).val();
                
                //Show loader
                $( '#ipland-chart-div' ).html('').hide();
                $( '#ipland-chart-load' ).show();
                
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipland=1&action=ipland_getchart',
                    type: "POST",
                    data: 'start='+dateStart+'&end='+dateEnd+'&pageid='+pageId+'&type='+type,
                    dataType: "json",
                    success: function (result ) {
                        
                        $( '#ipland-chart-div' ).show();
                        $( '#ipland-chart-load' ).hide();
                        if ( result.status == 1 && result.data.length > 0 ) 
                        {
                            var dataTable = new google.visualization.DataTable();
                            dataTable.addColumn( 'date', result.labelDate );
                            dataTable.addColumn( 'number', result.labelValue );
                            
                            var rows = [];
                            for (var i=0; i<result.data.length; i++)
                            { 
                                var cur   = result.data[i];
                                var data  = [ new Date( cur.year, cur.mon, cur.day ), cur.value ];
                                rows.push( data );
                            }
                            dataTable.addRows( rows );
                            var options = {
                                series: [{pointSize:6}]
                            };
                            var chart = new google.visualization.LineChart(document.getElementById('ipland-chart-div'));
                            chart.draw(dataTable, options);
                        }
                    },
                    error: function () {
                        alert( "Error in get statistic data" );
                    },
                });
                
                return false;
            });
        },
        
        viewcart: function()
        {
            $( '#ipland-stat-nav a' ).click( function()
            {
                var link   = $(this);
                var root   = link.parents( 'li' );
                var type   = link.attr( 'href' ).replace( '#stat-', '' );
                var pageId = $( '#value-pageid' ).val();
                
                if ( root.hasClass( 'active' )) {
                    return true;
                }
                $( '#ipland-stat-nav li' ).removeClass( 'active' );
                root.addClass( 'active' );
                $( '#value-stat-type' ).val( type );
                
                //Show loader
                $( '#ipland-chart-div' ).html('').hide();
                $( '#ipland-chart-load' ).show();
                
                //Load cart
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipland=1&action=ipland_getchart',
                    type: "POST",
                    data: 'pageid='+pageId+'&type='+type,
                    dataType: "json",
                    success: function (result ) {
                        
                        $( '#ipland-chart-div' ).show();
                        $( '#ipland-chart-load' ).hide();
                        if ( result.status == 1 && result.data.length > 0 ) 
                        {
                            var dataTable = new google.visualization.DataTable();
                            dataTable.addColumn( 'date', result.labelDate );
                            dataTable.addColumn( 'number', result.labelValue );
                            
                            var rows = [];
                            for (var i=0; i<result.data.length; i++)
                            { 
                                var cur   = result.data[i];
                                var data  = [ new Date( cur.year, cur.mon, cur.day ), cur.value ];
                                rows.push( data );
                            }
                            dataTable.addRows( rows );
                            var options = {
                                series: [{pointSize:6}]
                            };
                            var chart = new google.visualization.LineChart(document.getElementById('ipland-chart-div'));
                            chart.draw(dataTable, options);
                        }
                    },
                    error: function () {
                        alert( "Error in get statistic data" );
                    },
                });
                
                return false;
            });
        }
    };
    
    //Tools
    var ipland_tools = {
    
        goTo: function( id ){
            var pos = $( id ).position();
            $('html, body').animate({scrollTop: ( pos.top )}, 600);
            return false;
        },
        showMessage: function( msg, eclass ) {
            
            $( '#ipadm-messages' ).html( msg )
                                  .attr( 'class', eclass )
                                  .show();
                                  
            setTimeout( function(){
                $( '#ipadm-messages' ).animate({opacity: "0"}, 600, function(){
                    $(this).html( '' ).hide();
                    $( '#ipadm-messages' ).css( 'opacity', 1 );
                });
            }, 4000 );
        },
        showInputMessage: function( msg, type, input ) {
    
            $( '.ipadm-alert' ).remove();
            var msgHtml = $( '<div class="ipadm-alert"></div>' );
            msgHtml.addClass( 'ipadm-alert-' + type );
            msgHtml.html( msg );
            
            $( input ).before( msgHtml );
            setTimeout( function(){
                msgHtml.animate({opacity: "0"}, 600, function(){
                    msgHtml.remove();
                });
            }, 4000 );
        },
        showModalMessage: function( message, type )
        {
            $( '#ipland-modal-message' ).text( message );
            $( '#ipland-modal-message-overlay' )
                .removeAttr( 'class' )
                .attr( 'class', type )
                .show()
                .animate({top: "0"}, 600, function(){
                    var msg = $(this);
                    setTimeout( function(){
                        msg.animate({top: '-100px'}, 600, function(){
                            msg.hide();
                        });
                    }, 4000);
                });
        },
        getdataform: function( parent ) 
        {
            var selector  = 'input[type=text]';
            selector += ', input[type=hidden]';
            selector += ', input[type=password]';
            selector += ', input[type=radio]:checked';
            selector += ', input[type=checkbox]:checked';
            selector += ', textarea';
            selector += ', select';
            
            var data = '';
            
            $( selector, parent ).each( function(){
                var name  = $(this).attr( 'name' );
                var value = encodeURIComponent( $(this).val() );
                
                if ( data != '' ) {
                    data += '&';
                }
                data += name+'='+value;
            });
            if (typeof tinymce !== 'undefined') {
                for ( edId in tinymce.editors ) {
                    
                    if ( edId.length > 1 ) {
                        var value = tinymce.editors[edId].getContent();
                        if ( data != '' ) {
                            data += '&';
                        }
                        data += edId+'='+value;
                    }
                }
            }
            return data;
        },
        showModalConfirm: function()
        {
            $( '#ipland-modal-confirm-overlay' ).show();
            return $( '#ipland-modal-confirm' )
                        .css( 'margin-top', '-40%' )
                        .animate({marginTop: "100px"}, 400);
        },
        hideModalConfirm: function()
        {
            $( '#ipland-modal-confirm-overlay' )
                .animate( {opacity: 0}, 600, function(){
                    $(this).css( 'opacity', 1 )
                           .hide();
            });
            $( '#ipland-modal-confirm' )
                .animate( {marginTop: '-60%'}, 400);
            
        },
        getTinymce: function( contentId )
        {
            var content = '';
            if (typeof tinymce !== 'undefined') {
                content = tinyMCE.get( contentId ).getContent();
            }
            return content;
        },
        setTinymce: function( contentId, content )
        {
            if (typeof tinymce !== 'undefined') {
                tinyMCE.get( contentId ).setContent( content );
            }
        }
    };
    
    $(document).ready(function()
    {
        //Tab menu
        $( '.ipland-manage-tab' ).ipland_tabMenu();
        $( '#ipland-survey-settings' ).ipland_tabMenuBox();
        
        //Upload image
        $( '.ipland-input-upload' ).ipland_uploadImage();
        //Color picker
        if ( $('.ipland-color-picker').length > 0 ) {
            $('.ipland-color-picker').each( function() {
                var picker = $(this);
                picker.wpColorPicker();
            });
        }
        
        //Radio Button
        $( '.ipadm-btn-radio button' ).ipland_radiobutton({
            funcSelect: function( button, value )
            {
                var root = button.parents( '#ipland-field-follow-show' );
                if ( root !== undefined && root.length > 0 ) {
                    if ( value == true ) {
                        $( '#ipland-answer-main' ).hide();
                        $( '#ipland-answer-follow' ).show();
                    } else {
                        $( '#ipland-answer-main' ).show();
                        $( '#ipland-answer-follow' ).hide();
                    }
                }
            }
        });
        
        //Fancy Options
        $( '.ipadm-gen-menu' ).ipadm_fancyoption();
        //Font options
        $( '.ipadm-font-family .ipadm-select li' ).each( function(){
            var font = $(this).data( 'select' ).replace( '_', ' ' );
            $(this).css( 'font-family', font );
        });
        
        
        //Slug controll
        $( '#ipland-slug-value, #ipland-edit-slug' ).click( function(){
            $( '#ipland-slug-value, #ipland-edit-slug, #ipland-view-page' ).hide();
            $( '#ipland-slug-input, #ipland-save-slug, #ipland-cancel-save-slug' ).show();
            return false;
        });
        $( '#ipland-cancel-save-slug' ).click( function(){
            $( '#ipland-slug-input, #ipland-save-slug, #ipland-cancel-save-slug' ).hide();
            $( '#ipland-slug-value, #ipland-edit-slug, #ipland-view-page' ).show();
            return false;
        });
        
        $( '#ipland-save-slug' ).click( function(){
        
            var slug   = $( '#ipland-slug-input input' ).val();
            $( '#ipland-slug-input, #ipland-save-slug, #ipland-cancel-save-slug' ).hide();
            $( '#ipland-slug-value, #ipland-edit-slug, #ipland-view-page' ).show();
            $( '#ipland-slug-value' ).text( slug );
            
            return false;
        });
        
        $( '#ipland-field-title #input-title' ).change(function(){
            
            var title  = $( '#input-title' ).val();
            var pageid = $( '#value-pageid' ).val();
            $.ajax({
                url: ajaxurl+'?doajax=1&ipland=1&action=ipland_getslug&title='+title+'&pageid='+pageid,
                type: "POST",
                dataType: "json",
                success: function ( result ) {
                    if ( result.status == 1 ) {
                        $( '#ipland-slug-input input' ).val( result.slug );
                        $( '#ipland-slug-value' ).text( result.slug );
                        $( '#ipadm-field-slug' ).show();
                    }
                },
            });
        });
            
        //Status input
        $( '#ipland-edit-status' ).click( function(){
            
            var values = $( '#ipland-status-values' );
            if ( values.hasClass( 'ipadm-hide' )) {
                values.removeClass( 'ipadm-hide' );
            } else {
                values.addClass( 'ipadm-hide' );
            }
            return false;
        });
        
        //Select size
        $ ( '#ipland-input-size' ).change( function()
        {
            var root  = $(this).parents( '.ipadm-field-box' );
            var value = $(this).val();
            if ( value == 'custom' ) {
                $( '.ipadm-toggle-option', root ).show();
            } else {
                $( '.ipadm-toggle-option', root ).hide();
            }
        });
        
        //Share select
        $( '.ipland-share-settings a' ).click( function()
        {
            if ( $(this).hasClass( 'active' )) {
                $(this).removeClass( 'active' );
                $( 'input', $(this) ).val( 'off' );
            } else {
                $(this).addClass( 'active' );
                $( 'input', $(this) ).val( 'on' );
            }
            return false;
        });
        
        //Share icon select
        $( '#input-share-icon' ).change( function()
        {
            var icon = $(this).val();
            var cont = $( '.ipland-icon-list' );
            var opts = [
                'facebook',
                'twitter',
                'linkedin',
                'pinterest',
                'tumblr',
                'googleplus',
                'stumbleupon',
                'digg',
                'email'
            ];
            cont.html( '' );
            for (var i = 0; i < opts.length; i++) 
            {
                var key = opts[i];
                var src = ipland_imgurl+'icon/'+icon+'/'+key+'.png';
                cont.append(
                    '<span class="ipland-icon"><img src="'+src+'" alt="'+key+'"></span>'
                );
            }
            return false;
        });
        
        //Survey controls
        $( '#ipland-field-result-pos select' ).change( function()
        {
            $( '#ipland-field-result-link' ).hide();
            $( '#ipland-field-result-box' ).hide();
            var value = $(this).val();
            if ( value == 'survey' ) {
                $( '#ipland-field-result-link' ).show();
            }
            if ( value == 'separate' ) {
                $( '#ipland-field-result-box' ).show();
            }
        });
        
        // Responder
        $( '.ipland-input-optin' ).each( function()
        {
            var input = $(this);
            input.focusout( function()
            {
                var html   = encodeURIComponent( input.val() );
                var parent = input.parents( '.ipland-optin-wrap' );
                var action = ajaxurl+'?doajax=1&ipland=1&action=ipland_getoptin';
                $.ajax({
                    url: action,
                    type: "POST",
                    data: 'html='+html,
                    dataType: "json",
                    success: function ( result ) {
                        if ( result.status == 1 ) 
                        {
                            var fields = [];
                            if ( result.data.fields ) {
                                fields = result.data.fields;
                            }
                            $( '.ipland-optin-action', parent ).val( result.data.action );
                            $( '.ipland-optin-settings select', parent ).html( '' );
                            for ( i=0; i<fields.length; i++ )
                            {
                                var option = '<option value="'+fields[i]+'">'+fields[i]+'</option>';
                                $( '.ipland-optin-settings select', parent ).append( option );
                            }
                            $( '.ipland-optin-settings', parent ).show();
                        }
                    },
                });
            });
        });
        
        //Design controls
        //Video
        $( '#ipland-field-video-display select' ).change( function()
        {
            $( '#ipland-field-video-size' ).hide();
            $( '#ipland-field-video-frame' ).hide();
            var value = $(this).val();
            if ( value == 'fullpage' ) {
                $( '#ipland-field-video-size' ).hide();
            } else {
                $( '#ipland-field-video-size' ).show();
            }
            if ( value == 'frame' ) {
                $( '#ipland-field-video-frame' ).show();
            } else {
                $( '#ipland-field-video-frame' ).hide();
            }
        });
        //Image
        $( '#ipland-field-image-display select' ).change( function()
        {
            $( '#ipland-field-image-size' ).hide();
            $( '#ipland-field-image-frame' ).hide();
            var value = $(this).val();
            if ( value == 'fullpage' ) {
                $( '#ipland-field-image-size' ).hide();
            } else {
                $( '#ipland-field-image-size' ).show();
            }
            if ( value == 'frame' ) {
                $( '#ipland-field-image-frame' ).show();
            } else {
                $( '#ipland-field-image-frame' ).hide();
            }
        });
        
        //Add/Update landing page
        $( '#ipland-save-item' ).ipland_savepage();
        $( '#ipland-edit-item' ).ipland_savepage({
            saveAdd: false
        });
        
        //Delete landing page
        //In Edit page
        var ipland_del_inconfirm = false;
        $( '#ipland-delete-item' ).click( function()
        {
            ipland_tools.showModalConfirm();
            ipland_del_inconfirm = true;
            return false;
        });
        $( '#ipland-editdel-confirm .ipland-deny' ).click( function()
        {
            if ( ipland_del_inconfirm ) {
                ipland_tools.hideModalConfirm();
                ipland_del_inconfirm = false;
            }
            return false;
        });
        $( '#ipland-editdel-confirm .ipland-accept' ).click( function()
        {
            if ( ! ipland_del_inconfirm ) {
                return false;
            }
            ipland_tools.hideModalConfirm();
            ipland_del_inconfirm = false;
            
            $( '#ipland-admin-loader' ).show();
            
            var pageid = $( '#value-pageid' ).val();
            $.ajax({
                url: ajaxurl+'?doajax=1&ipland=1&action=ipland_deletepage&id='+pageid,
                type: "POST",
                dataType: "json",
                success: function (result) {
                    if ( result.status == '1' ) {
                        window.location.href = result.redirect;
                    }
                },
                error: function () {
                    alert( "Error in deleting land promo." );
                },
            });
            return false;
        });
        
        //In List
        $( '.ipland-page-delete' ).each( function()
        {
            var button    = $(this);
            var inconfirm = false;
            button.click( function()
            {
                ipland_tools.showModalConfirm();
                inconfirm = true;
                return false;
            });
            
            $( '#ipland-modal-confirm .ipland-deny' ).click( function()
            {
                if ( inconfirm ) {
                    ipland_tools.hideModalConfirm();
                    inconfirm = false;
                }
                return false;
            });
            $( '#ipland-modal-confirm .ipland-accept' ).click( function()
            {
                if ( ! inconfirm ) {
                    return false;
                }
                ipland_tools.hideModalConfirm();
                inconfirm = false;
                
                var id = button.attr( 'href' ).replace( '#toDelete_', '' );
                $( '.ipadm_loader_small' ).remove();
                var loader = '<div style="margin-left: 6px;" class="ipadm-loader-small"></div>';
                button.after( loader );
                
                button.addClass( 'ipadm-btn-disabled' )
                      .attr( 'disabled', 'disabled' );
                
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipland=1&action=ipland_deletepage&id='+id,
                    type: "POST",
                    dataType: "json",
                    success: function (result) {
                        
                        if ( result.status == '-1' ) {
                            ipland_tools.showModalMessage( result.message, 'ipadm-error' );
                        } else {
                            ipland_tools.showModalMessage( result.message, 'ipadm-success' );
                            var tr = button.parents( 'tr' );
                            tr.hide( 'blind' );
                            setTimeout( function(){
                                tr.remove();
                            }, 600);
                        }
                        button.removeClass( 'ipadm-btn-disabled' )
                              .removeAttr( 'disabled' );
                        $( '.ipadm-loader-small' ).remove();
                        
                    },
                    error: function () {
                        alert( "Error in deleting land promo." );
                    },
                });
                
                return false;
            });
        });
        
        //Add/Update page promo
        $( '#ipland-add-page-promo' ).ipland_savepromo();
        $( '#ipland-edit-page-promo' ).ipland_savepromo({
            saveAdd: false
        });
        
        //Delete landing promo
        $( '.ipland-promo-delete' ).each( function()
        {
            var button    = $(this);
            var inconfirm = false;
            button.click( function()
            {
                ipland_tools.showModalConfirm();
                inconfirm = true;
                return false;
            });
            
            $( '#ipland-modal-confirm .ipland-deny' ).click( function()
            {
                if ( inconfirm ) {
                    ipland_tools.hideModalConfirm();
                    inconfirm = false;
                }
                return false;
            });
            $( '#ipland-modal-confirm .ipland-accept' ).click( function()
            {
                if ( ! inconfirm ) {
                    return false;
                }
                ipland_tools.hideModalConfirm();
                inconfirm = false;
                
                var id = button.attr( 'href' ).replace( '#toDelete_', '' );
                $( '.ipadm_loader_small' ).remove();
                var loader = '<div style="margin-left: 6px;" class="ipadm-loader-small"></div>';
                button.after( loader );
                
                button.addClass( 'ipadm-btn-disabled' )
                      .attr( 'disabled', 'disabled' );
                
                $.ajax({
                    url: ajaxurl+'?doajax=1&ipland=1&action=ipland_deletepromo&id='+id,
                    type: "POST",
                    dataType: "json",
                    success: function (result) {
                        
                        if ( result.status == '-1' ) {
                            ipland_tools.showModalMessage( result.message, 'ipadm-error' );
                        } else {
                            ipland_tools.showModalMessage( result.message, 'ipadm-success' );
                            var tr = button.parents( 'tr' );
                            tr.hide( 'blind' );
                            setTimeout( function(){
                                tr.remove();
                            }, 600);
                        }
                        button.removeClass( 'ipadm-btn-disabled' )
                              .removeAttr( 'disabled' );
                        $( '.ipadm-loader-small' ).remove();
                        
                    },
                    error: function () {
                        alert( "Error in deleting land promo." );
                    },
                });
                
                return false;
            });
        });
        
        //Save Setting
        $( '#ipland-do-save-setting' ).click( function() {
        
            var button = $(this);
            var loader = $( '<div style="margin-left: 6px;" class="ipadm-loader-small"></div>' );
            button.attr( 'disabled', 'disabled' );
            button.after( loader );
            
            var formdata = ipland_tools.getdataform( $( '.ipadm-wrap' ) );
            var action   = ajaxurl+'?doajax=1&ipland=1&action=ipland_savesetting';
            
            $.ajax({
                url: action,
                type: "POST",
                data: formdata,
                dataType: "json",
                success: function ( result ) {
                
                    if ( result.status == 1 ) {
                        var sclass = 'ipadm-success';
                    } else {
                        var sclass = 'ipadm-error';
                    }
                    button.removeAttr( 'disabled');
                    loader.remove();
                    ipland_tools.showModalMessage( result.message, sclass );
                    ipland_tools.goTo( '.ipadm-wrap' );
                },
            });
            return false;
        });
        
        
        //Run statistic script
        if ( $( '#ipland-admin-stat' ).length > 0 ) 
        {
            //Datepicker setup
            ipland_stats.datepicker();
            //Draw Cart
            ipland_stats.datecart();
            ipland_stats.viewcart();
        }
    });
    
})(jQuery);