(function($){

    /**
     * Tooltips
     */
    $.fn.ipland_tooltip = function(){
        
        $(this).each( function(){
        
            var link      = $(this);
            var inTooltip = false;
            var current   = false;
            link.hover( function(){
            
                var linkPos = link.offset();
                var height  = link.height();
                var width   = link.width();
                var tooltip = $( '.ipland-bonus-tooltip', link );
                if ( tooltip.length > 0 ) {
                    var clone = tooltip.clone();
                    tooltip.hide();
                    clone.addClass( 'ipland-bonus-repos-tooltip' );
                    clone.css( 'position', 'absolute' );
                    clone.css( 'opacity', 0 );
                    clone.css( 'z-index', 9999 );
                    
                    current = clone;
                    $('body').append( clone );
                    
                    var topPos   = linkPos.top+height+20;
                    var top      = topPos+100;
                    var tpHeight = clone.height();
                    var tpWidth  = clone.width();
                    var bdWidth  = $( 'body' ).width();
                    var leftPos = linkPos.left+60-(width/2);
                    if ( leftPos < 0 ) {
                        leftPos = 0;
                        clone.addClass( 'ipland-bonus-arrow-left' );
                    } else if ( ( leftPos + tpWidth ) > bdWidth ) {
                        leftPos = bdWidth - tpWidth;
                        clone.addClass( 'ipland-bonus-arrow-right' );
                    }
                    clone.css( 'top', top );
                    clone.css( 'left', leftPos );
                    
                    clone.show();
                    clone.animate({top: topPos, opacity: 1}, 400);
                    clone.hover( function(){
                            inTooltip = true;
                        },
                        function(){
                        
                            var now = clone;
                            inTooltip = false;
                            setTimeout( function(){
                                hideTooltip( now );
                            }, 400);
                        }
                    );
                }
            }, function(){
            
                var now = current;
                setTimeout( function(){
                    if ( ! inTooltip ) {
                        hideTooltip( now );
                    }
                }, 400);
            });
            
        });
        
        function hideTooltip( tooltip )
        {
            tooltip.animate({opacity: 0}, 400, function(){
                tooltip.remove();
            });
        }
    };
    
    jQuery(document).ready( function($) {
    
        $( '.ipland-bonus-download-link a' ).click(function(){
            
            var link = $(this);
            var root = link.parents( '.ipland-bonus-download' );
            var main = $( '.ipland-bonus-download-content', root );
            var dlbl = $( '.ipland-bonus-link-label', root );
            var glbl = $( '.ipland-bonus-bonus-label', root );
            
            link.css( 'opacity', 1 );
            main.css( 'opacity', 0 );
            dlbl.css( 'opacity', 1 );
            glbl.css( 'opacity', 0 );
            link.animate({opacity: 0}, 400, function(){
                link.hide();
            });
            dlbl.animate({opacity: 0}, 600, function(){
                dlbl.hide();
            });
            setTimeout( function(){
                main.show();
                main.animate({opacity: 1}, 400);
            }, 1000);
            setTimeout( function(){
                glbl.show();
                glbl.animate({opacity: 1}, 400);
            }, 800);
            
            return false;
        });
    
        $( '.ipland-bonus-download-content a' ).click(function(){
            
            var link = $(this);
            var root = link.parents( '.ipland-bonus-download-main' );
            
            var url  = link.attr( 'href' );
            var url2 = $( '.ipland-bonus-download-link a', root ).attr( 'href' );
            
            var win = window.open(url, '_blank');
            win.focus();
            
            if ( url2 != '#' ) {
                window.location.href = url2;
            }
            
            return false;
        });
        
        //$('.ipland-bonus-download-content').ipland_tooltip();
    });

})(jQuery);