<?php
$st     = $this->setting;
$style  = $st->getSetting( 'product_style', 'imageleft' );
$imgurl = false;
if ( $imgId = $st->getSetting( 'page_image' ) ) {
    $imgurl = $this->getImageUrl( $imgId );
}
$frame = $st->getSetting( 'product_frame' );
if ( empty( $frame )) {
    $frame = 'none';
}
?>
<div class="ipland-content ipland-content-product ipland-product-<?php echo $style; ?>">
    <div class="ipland-product-inner">
    <div class="ipland-frame ipland-frame-<?php echo $frame; ?>">
    <div class="ipland-frame-deco">
    
        <?php
        if ( $style == 'imagetop' ) :
        ?>
        
        <div class="ipland-prod-inner">
            <div class="ipland-prod-header">
                <h1 class="ipland-prod-title"<?php echo $this->getFontFamily( 'title' ); ?>><?php echo $st->getSetting( 'page_title', '' ); ?></h1>
                <?php
                if ( $price = $st->getSetting( 'product_price' ) ) :
                ?>
                <div class="ipland-prod-price"<?php echo $this->getFontFamily(); ?>><em><?php echo $price; ?></em></div>
                <?php
                endif;
                ?>
            </div>
            <div class="ipland-prod-main">
                <?php
                if ( $imgurl ) :
                ?>
                <div class="ipland-prod-image">
                    <img src="<?php echo $imgurl; ?>" alt="" />
                </div>
                <?php
                endif;
                
                if ( $content = $st->getSetting( 'page_content' ) ) :
                ?>
                <div class="ipland-prod-content iplco"<?php echo $this->getFontFamily(); ?>>
                    <p><?php echo $content; ?></p>
                </div>
                <?php
                endif;
                
                $url = $st->getSetting( 'product_url' );
                $btn = $st->getSetting( 'product_button' );
                if ( $url && $btn ) :
                ?>
                <div class="ipland-prod-more"<?php echo $this->getFontFamily(); ?>>
                    <a class="<?php echo $this->getButtonClass(); ?>" href="<?php echo $url; ?>"><?php echo $btn; ?></a>
                </div>
                <?php
                endif;
                ?>
            </div>
        </div>
        
        <?php
        else :
        
            if ( $imgurl ) {
                $cls = 'ipland-prod-withimg';
            } else {
                $cls = 'ipland-prod-noimg';
            }
        ?>
        
        <div class="<?php echo $cls; ?> ipland-prod-inner ipland-clear">
            <?php
            if ( $imgurl ) :
            ?>
            <div class="ipland-prod-image">
                <img src="<?php echo $imgurl; ?>" alt="" />
            </div>
            <?php
            endif;
            ?>
            <div class="ipland-prod-main">
                <div class="ipland-prod-header">
                    <h1 class="ipland-prod-title"<?php echo $this->getFontFamily( 'title' ); ?>><?php echo $st->getSetting( 'page_title', '' ); ?></h1>
                    <?php
                    if ( $price = $st->getSetting( 'product_price' ) ) :
                    ?>
                    <div class="ipland-prod-price"<?php echo $this->getFontFamily(); ?>><em><?php echo $price; ?></em></div>
                    <?php
                    endif;
                    ?>
                </div>
                <?php
                if ( $content = $st->getSetting( 'page_content' ) ) :
                ?>
                <div class="ipland-prod-content iplco"<?php echo $this->getFontFamily(); ?>>
                    <p><?php echo $content; ?></p>
                </div>
                <?php
                endif;
                
                $url = $st->getSetting( 'product_url' );
                $btn = $st->getSetting( 'product_button' );
                if ( $url && $btn ) :
                ?>
                <div class="ipland-prod-more"<?php echo $this->getFontFamily(); ?>>
                    <a class="<?php echo $this->getButtonClass(); ?>" href="<?php echo $url; ?>"><?php echo $btn; ?></a>
                </div>
                <?php
                endif;
                ?>
            </div>
        </div>
        
        <?php
        endif;
        ?>
    </div>
    </div>
    </div>
</div>