<?php
$st   = $this->setting;
$pos  = $st->getSetting( 'newsletter_position', 'bottomright' );
$cls  = 'ipland-newsletter ipland-tbox';
$cls .= ' ipland-style-' . $st->getSetting( 'newsletter_box_style', 'clean' );
$cls .= ' ipland-color-' . $st->getSetting( 'newsletter_box_color', 'grey' );
$cls .= ' ipland-pos-' . $pos;
if ( $pos == 'bottomright' || $pos == 'bottomleft' ) {
    $cls .= ' ipland-posgroup-bottom';
} elseif ( $pos == 'topright' || $pos == 'topleft' ) {
    $cls .= ' ipland-posgroup-top';
}
?>
<div class="<?php echo $cls; ?>">
    <div class="ipland-tbox-inner">
        <?php
        if ( $pos == 'bottomleft' || $pos == 'bottomright' ) :
        ?>
        <div class="ipland-tbox-heading">
            <h3>
                <i class="fa fa-<?php echo $st->getSetting( 'newsletter_box_icon', 'envelope' ); ?>"></i>
                <span<?php echo $this->getFontFamily( 'title' ); ?>><?php echo stripslashes( $st->getSetting( 'newsletter_title', __( 'Newsletter', 'ipland' ) )); ?></span>
            </h3>
        </div>
        <?php
        endif;
        ?>
        <div class="ipland-tbox-main">
            <?php
            if ( $desc =  $st->getSetting( 'newsletter_desc' ) ) :
                $desc = stripslashes( $desc );
            ?>
            <div class="ipland-newsletter-info"<?php echo $this->getFontFamily(); ?>>
                <p><?php echo $desc; ?></p>
            </div>
            <?php
            endif;
            
            //Opt-in Form
            $action  = $st->getSetting( 'newsletter_action' );
            $nameon  = $st->getSetting( 'newsletter_field_name_on', 'true' );
            $fname   = $st->getSetting( 'newsletter_field_name' );
            $femail  = $st->getSetting( 'newsletter_field_email' );
            $lname   = stripslashes( $st->getSetting( 'newsletter_field_name_label', __( 'Your Name', 'ipland'  ) ));
            $lemail  = stripslashes( $st->getSetting( 'newsletter_field_email_label', __( 'Your Email', 'ipland'  ) ));
            $labelon = $st->getSetting( 'newsletter_label_on', 'true' );
            
            if ( $action && $femail ) :
            ?>
            <form action="<?php echo $action; ?>" method="post">
                <?php
                if ( $code = $st->getSetting( 'newsletter_code' ) )
                {
                    $data = IPLand_Form::parse( $code );
                    if ( ! empty( $data['hiddens'] )) 
                    {
                        foreach( $data['hiddens'] as $key => $value ) {
                            $value = str_replace( '"', '', $value );
                            echo '<input type="hidden" name="' . $key . '" value="' . $value . '" />';
                        }
                    }
                }
                
                if ( $nameon == 'true' ) :
                ?>
                <div class="ipland-field">
                    <?php
                    if ( $labelon == 'true' ) :
                    ?>
                        <div class="ipland-label"><label for="ipland-input-name"><?php echo $lname; ?></label></div>
                        <div class="ipland-input">
                            <input id="ipland-input-name" type="text" name="<?php echo $fname; ?>" value="" />
                        </div>
                    <?php
                    else :
                    ?>
                        <input id="ipland-input-name" type="text" name="<?php echo $fname; ?>" value="" placeholder="<?php echo $lname; ?>" />
                    <?php
                    endif;
                    ?>
                </div>
                <?php
                endif;
                ?>
                <div class="ipland-field">
                    <?php
                    if ( $labelon == 'true' ) :
                    ?>
                        <div class="ipland-label"><label for="ipland-input-email"><?php echo $lemail; ?></label></div>
                        <div class="ipland-input">
                            <input id="ipland-input-email" type="text" name="<?php echo $femail; ?>" value="" />
                        </div>
                    <?php
                    else :
                    ?>
                        <input id="ipland-input-email" type="text" name="<?php echo $femail; ?>" value="" placeholder="<?php echo $lemail; ?>" />
                    <?php
                    endif;
                    ?>
                </div>
                <div class="ipland-btn-wrap">
                    <button type="submit" id="ipland-send-form" class="<?php echo $this->getButtonClass(); ?>" name="dosend"><span>
                        <?php echo stripslashes( $st->getSetting( 'newsletter_button', __( 'Send', 'ipland'  ) )); ?>
                    </span></button>
                </div>
            </form>
            <?php
            endif;
            ?>
        </div>
        <?php
        if ( $pos == 'topleft' || $pos == 'topright' ) :
        ?>
        <div class="ipland-tbox-heading">
            <h3>
                <i class="fa fa-<?php echo $st->getSetting( 'newsletter_box_icon', 'envelope' ); ?>"></i>
                <span<?php echo $this->getFontFamily( 'title' ); ?>><?php echo stripslashes( $st->getSetting( 'newsletter_title', __( 'Newsletter', 'ipland' ) )); ?></span>
            </h3>
        </div>
        <?php
        endif;
        ?>
    </div>
</div>