<?php
$st   = $this->setting;
$pos  = $st->getSetting( 'survey_result_box_position', 'topleft' );
$cls  = 'ipland-survey-result ipland-tbox';
$cls .= ' ipland-style-' . $st->getSetting( 'newsletter_box_style', 'clean' );
$cls .= ' ipland-color-' . $st->getSetting( 'newsletter_box_color', 'grey' );

$cls .= ' ipland-pos-' . $pos;
if ( $pos == 'bottomright' || $pos == 'bottomleft' ) {
    $cls .= ' ipland-posgroup-bottom';
} elseif ( $pos == 'topright' || $pos == 'topleft' ) {
    $cls .= ' ipland-posgroup-top';
}
?>
<div class="<?php echo $cls; ?>">
    <div class="ipland-tbox-inner">
        <?php
        if ( $pos == 'bottomleft' || $pos == 'bottomright' ) :
        ?>
        <div class="ipland-tbox-heading">
            <h3>
                <i class="fa fa-tasks"></i>
                <span<?php echo $this->getFontFamily( 'title' ); ?>><?php echo stripslashes( $st->getSetting( 'survey_result_title', __( 'Survey Result', 'ipland' ))); ?></span>
            </h3>
        </div>
        <?php
        endif;
        ?>
        <div class="ipland-tbox-main">
            <div class="ipland-result-main"<?php echo $this->getFontFamily(); ?>>
                <?php
                $model     = new IPLand_Model;
                $yescount  = $model->getStatValue( $this->page->ID, 'agree' );
                $nocount   = $model->getStatValue( $this->page->ID, 'disagree' );
                $yesresult = stripslashes( $st->getSetting( 'survey_result_yes', __( '{count} choose', 'ipland' ) ));
                $noresult  = stripslashes( $st->getSetting( 'survey_result_no', __( '{count} choose', 'ipland' ) ));
                $yesresult = str_replace( '{count}', $yescount, $yesresult );
                $noresult  = str_replace( '{count}', $nocount, $noresult );
                
                if ( $info = $st->getSetting( 'survey_result_info', '' ) ) :
                    $info = stripslashes( $info );
                ?>
                <p class="ipland-result-info">
                    <strong><?php echo $info; ?></strong>
                </p>
                <?php
                endif;
                ?>
                <div class="ipland-result-stats">
                    <div class="ipland-result-value ipland-result-agree">
                        <i class="fa fa-check"></i>
                        <strong><?php echo $yesresult; ?></strong>
                    </div>
                    <div class="ipland-result-value ipland-result-disagree">
                        <i class="fa fa-times"></i>
                        <strong><?php echo $noresult; ?></strong>
                    </div>
                </div>
            </div>
        </div>
        <?php
        if ( $pos == 'topleft' || $pos == 'topright' ) :
        ?>
        <div class="ipland-tbox-heading">
            <h3>
                <i class="fa fa-tasks"></i>
                <span<?php echo $this->getFontFamily( 'title' ); ?>><?php echo stripslashes( $st->getSetting( 'survey_result_title', __( 'Survey Result', 'ipland' ))); ?></span>
            </h3>
        </div>
        <?php
        endif;
        ?>
    </div>
</div>