<?php
$st   = $this->setting;
$cls  = 'ipland-share';
$cls .= ' ipland-position-bottom';
$cls .= ' ipland-style-' . $st->getSetting( 'share_box_style', 'clean' );
$cls .= ' ipland-color-' . $st->getSetting( 'share_box_color', 'grey' );
?>
<div class="<?php echo $cls; ?>">
    <div class="ipland-share-inner">
        <div class="ipland-share-main"<?php echo $this->getFontFamily(); ?>>
            <ul class="ipland-share-list">
                <?php
                $link    = urlencode( $this->pageurl );
                $title   = stripslashes( $st->getSetting( 'seo_title', 'SocialLead' ));
                $socials = array(
                    'facebook',
                    'twitter',
                    'googleplus',
                    'pinterest',
                    'linkedin',
                    'tumblr',
                    'stumbleupon',
                    'digg',
                    'email'
                );
                $actions =  array(
                    'facebook'      => 'http://www.facebook.com/share.php?u=' . $link,
                    'twitter'       => 'https://twitter.com/share?url=' . $link . '&text=' . $title,
                    'googleplus'    => 'https://plusone.google.com/_/+1/confirm?hl=en&url=' . $link,
                    'pinterest'     => 'http://pinterest.com/pin/create/button/?url=' . $link . '&media=&description=' . $title,
                    'linkedin'      => 'http://www.linkedin.com/shareArticle?mini=true&url=' . $link .'&title=' . $title,
                    'tumblr'        => 'http://www.tumblr.com/share?v=3&u=' . $link,
                    'stumbleupon'   => 'http://www.stumbleupon.com/submit?url=' . $link . '&title=' . $title,
                    'digg'          => 'http://digg.com/submit?url=' . $link . '&title=' . $title,
                    'email'         => 'mailto:?subject=' . $title
                );
                foreach( $socials as $social ) 
                {
                    $itype = $st->getSetting( 'share_icon', 'square_flat' );
                    if ( $st->getSetting( "share_$social", 'on' ) == 'off' ) {
                        continue;
                    }
                    $src = IPLAND_BASE_URL . 'img/icon/' . $itype . '/' . $social . '.png';
                    $shl = $actions[$social];
                    ?>
                <li class="ipland-social ipland-social-<?php echo $social; ?>">
                    <a href="<?php echo $shl; ?>">
                        <img src="<?php echo $src; ?>" alt="<?php echo $social; ?>">
                    </a>
                </li>
                <?php
                }
                ?>
            </ul>
        </div>
        <?php
        if ( $st->getSetting( 'survey_result_position', 'share' ) == 'share' ) :
        ?>
        <div class="ipland-survey-result">
            <div class="ipland-result-inner">
                <div class="ipland-result-title"<?php echo $this->getFontFamily('title'); ?>>
                    <h2><?php echo stripslashes( $st->getSetting( 'survey_result_title', __( 'Survey Result', 'ipland' ) )); ?></h2>
                </div>
                <div class="ipland-result-main"<?php echo $this->getFontFamily(); ?>>
                    <?php
                    $model     = new IPLand_Model;
                    $yescount  = $model->getStatValue( $this->page->ID, 'agree' );
                    $nocount   = $model->getStatValue( $this->page->ID, 'disagree' );
                    $yesresult = stripslashes( $st->getSetting( 'survey_result_yes', __( '{count} choose', 'ipland' ) ));
                    $noresult  = stripslashes( $st->getSetting( 'survey_result_no', __( '{count} choose', 'ipland' ) ));
                    $yesresult = str_replace( '{count}', $yescount, $yesresult );
                    $noresult  = str_replace( '{count}', $nocount, $noresult );
                    
                    if ( $info = $st->getSetting( 'survey_result_info', '' ) ) :
                        $info = stripslashes( $info );
                    ?>
                    <p class="ipland-result-info">
                        <strong><?php echo $info; ?></strong>
                    </p>
                    <?php
                    endif;
                    ?>
                    <div class="ipland-result-stats">
                        <span class="ipland-result-value ipland-result-agree">
                            <i class="fa fa-check"></i>
                            <strong><?php echo $yesresult; ?></strong>
                        </span>
                        <span class="ipland-result-value ipland-result-disagree">
                            <i class="fa fa-times"></i>
                            <strong><?php echo $noresult; ?></strong>
                        </span>
                    </div>
                </div>
            </div>
        </div>
        <?php
        endif;
        ?>
    </div>
</div>