<?php
$st = $this->setting;

$linkshow = $st->getSetting( 'survey_popup_link_show', 'true' );

$svclass  = 'ipland-survey';
$svclass .= ' ipland-style-' . $st->getSetting( 'survey_box_style', 'clean' );
$svclass .= ' ipland-color-' . $st->getSetting( 'survey_box_color', 'grey' );
if ( $linkshow == 'true' ) {
    $svclass .= ' ipland-survey-popup-link';
} else {
    $svclass .= ' ipland-survey-popup-nolink';
}

?>
<div class="ipland-survey-wrapper">
    <div class="<?php echo $svclass; ?>">
        <div class="ipland-survey-root open">
            <div class="ipland-survey-inner">
                <?php
                if ( $st->getSetting( 'follow_show', 'false' ) == 'true' ) {
                    $followshow = 'show';
                } else {
                    $followshow = 'hide';
                }
                $mstyle  = ' style="background-color: ' . $st->getSetting( 'survey_bgcolor', '#ffffff' ) . ';';
                $mstyle .= ' color:' . $st->getSetting( 'survey_color', '#333333' ) . ';"';
                ?>
                <div class="ipland-survey-main ipland-follow-<?php echo $followshow; ?>"<?php echo $mstyle; ?>>
                
                    <div class="ipland-survey-part" id="ipland-survey-question">
                        <div class="ipland-survey-part-inner">
                            <p class="ipland-question"<?php echo $this->getFontFamily( 'title' ); ?>>
                                <strong><?php echo stripslashes( $st->getSetting( 'survey_question', '' )); ?></strong>
                            </p>
                            <div class="ipland-answer"<?php echo $this->getFontFamily(); ?>>
                                <?php
                                $btnstyle = $st->getSetting( 'button_style', 'clean' );
                                $btnclass = 'ipland-btn ipland-btn-' . $btnstyle . ' ipland-btn-xlg';
                                ?>
                                <a href="" class="<?php echo $btnclass; ?> ipland-btn-green ipland-btn-yes" data-answer="yes">
                                    <span><?php echo stripslashes( $st->getSetting( 'survey_yes_text', __( 'Yes', 'ipland' ))); ?></span>
                                </a>
                                <span class="ipland-text-or">
                                    <?php echo stripslashes( $st->getSetting( 'survey_or_text', __( 'Or', 'ipland' ))); ?>
                                </span>
                                <a href="" class="<?php echo $btnclass; ?> ipland-btn-red ipland-btn-no" data-answer="no">
                                    <span><?php echo stripslashes( $st->getSetting( 'survey_no_text', __( 'No', 'ipland' ))); ?></span>
                                </a>
                            </div>
                        </div>
                    </div>
                    <?php
                    if ( $st->getSetting( 'follow_show', 'false' ) == 'true' ) :
                    ?>
                    <div class="ipland-survey-part" id="ipland-survey-follow" style="display: none;">
                        <div class="ipland-survey-part-inner">
                            <p class="ipland-question"<?php echo $this->getFontFamily( 'title' ); ?>>
                                <strong><?php echo stripslashes( $st->getSetting( 'follow_question', '' )); ?></strong>
                            </p>
                            <div class="ipland-answer"<?php echo $this->getFontFamily(); ?>>
                                <?php
                                $btnstyle = $st->getSetting( 'button_style', 'clean' );
                                $btnclass = 'ipland-btn ipland-btn-' . $btnstyle . ' ipland-btn-xlg';
                                ?>
                                <a href="" class="<?php echo $btnclass; ?> ipland-btn-green ipland-btn-yes" data-answer="yes">
                                    <span><?php echo stripslashes( $st->getSetting( 'follow_yes_text', __( 'Yes', 'ipland' ))); ?></span>
                                </a>
                                <span class="ipland-text-or">
                                    <?php echo stripslashes( $st->getSetting( 'follow_or_text', __( 'Or', 'ipland' ))); ?>
                                </span>
                                <a href="" class="<?php echo $btnclass; ?> ipland-btn-red ipland-btn-no" data-answer="no">
                                    <span><?php echo stripslashes( $st->getSetting( 'follow_no_text', __( 'No', 'ipland' ))); ?></span>
                                </a>
                            </div>
                        </div>
                    </div>
                    <?php
                    endif;
                    
                    if ( $st->getSetting( 'follow_show', 'false' ) == 'false' ) 
                    {
                        $keys = array(
                            'answer_yes',
                            'answer_no'
                        );
                    } else {
                        $keys = array(
                            'answer_yesyes',
                            'answer_yesno',
                            'answer_nono',
                            'answer_noyes'
                        );
                    }
                    foreach( $keys as $key ) :
                    ?>
                    <div class="ipland-survey-part" id="ipland-survey-<?php echo $key; ?>" style="display: none;">
                        <div class="ipland-survey-part-inner">
                            <div class="ipland-survey-title"<?php echo $this->getFontFamily('title'); ?>>
                                <h2><?php echo stripslashes( $st->getSetting( $key . '_title', __( 'Yes', 'ipland' ))); ?></h2>
                            </div>
                            <?php
                            if ( $subtitle = $st->getSetting( $key . '_subtitle' ) ) :
                                $subtitle = stripslashes( $subtitle );
                            ?>
                            <div class="ipland-survey-subtitle"<?php echo $this->getFontFamily(); ?>>
                                <h3><?php echo $subtitle; ?></h3>
                            </div>
                            <?php
                            endif;
                            ?>
                            <?php
                            if ( $text = $st->getSetting( $key . '_text' ) ) :
                                $text = stripslashes( $text );
                            ?>
                            <div class="ipland-survey-text"<?php echo $this->getFontFamily(); ?>>
                                <p><?php echo $text; ?></p>
                            </div>
                            <?php
                            endif;
                            
                            //Opt-in Form
                            $action  = $st->getSetting( $key . '_action' );
                            $nameon  = $st->getSetting( $key . '_name_on', 'true' );
                            $fname   = $st->getSetting( $key . '_name' );
                            $femail  = $st->getSetting( $key . '_email' );
                            $lname   = stripslashes( $st->getSetting( $key . '_name_label', __( 'Your Name', 'ipland'  ) ) );
                            $lemail  = stripslashes( $st->getSetting( $key . '_email_label', __( 'Your Email', 'ipland'  ) ));
                            $labelon = $st->getSetting( 'newsletter_label_on', 'true' );
                            
                            if ( $action && $femail ) :
                            ?>
                            <form action="<?php echo $action; ?>" method="post"<?php echo $this->getFontFamily(); ?> target="_blank">
                                <?php
                                if ( $code = $st->getSetting( $key . '_optin' ) )
                                {
                                    $data = IPLand_Form::parse( $code );
                                    if ( ! empty( $data['hiddens'] )) 
                                    {
                                        foreach( $data['hiddens'] as $hname => $hval ) {
                                            echo '<input type="hidden" name="' . $hname . '" value="' . $hval . '" />';
                                        }
                                    }
                                }
                                
                                if ( $nameon == 'true' ) :
                                ?>
                                <div class="ipland-field">
                                    <?php
                                    if ( $labelon == 'true' ) :
                                    ?>
                                        <div class="ipland-label"><label for="ipland-input-name"><?php echo $lname; ?></label></div>
                                        <div class="ipland-input">
                                            <input id="ipland-input-name" type="text" name="<?php echo $fname; ?>" value="" />
                                        </div>
                                    <?php
                                    else :
                                    ?>
                                        <input id="ipland-input-name" type="text" name="<?php echo $fname; ?>" value="" placeholder="<?php echo $lname; ?>" />
                                    <?php
                                    endif;
                                    ?>
                                </div>
                                <?php
                                endif;
                                ?>
                                <div class="ipland-field">
                                    <?php
                                    if ( $labelon == 'true' ) :
                                    ?>
                                        <div class="ipland-label"><label for="ipland-input-email"><?php echo $lemail; ?></label></div>
                                        <div class="ipland-input">
                                            <input id="ipland-input-email" type="text" name="<?php echo $femail; ?>" value="" />
                                        </div>
                                    <?php
                                    else :
                                    ?>
                                        <input id="ipland-input-email" type="text" name="<?php echo $femail; ?>" value="" placeholder="<?php echo $lemail; ?>" />
                                    <?php
                                    endif;
                                    ?>
                                </div>
                                <div class="ipland-btn-wrap">
                                    <button type="submit" class="<?php echo $this->getButtonClass(); ?> ipland-btn-leads" name="dosend"><span>
                                        <?php echo stripslashes( $st->getSetting( $key . '_button', __( 'Send', 'ipland'  ) )); ?>
                                    </span></button>
                                </div>
                            </form>
                            <?php
                            endif;
                            ?>
                        </div>
                    </div>
                    <?php
                    endforeach;
                    ?>
                    <div class="ipland-survey-part" id="ipland-survey-affiliate" style="display: none;">
                        <div class="ipland-survey-part-inner">
                            <div class="ipland-survey-title"<?php echo $this->getFontFamily( 'title' ); ?>>
                                <h2><?php echo $st->getSetting( 'affiliate_title', '' ); ?></h2>
                            </div>
                            <?php
                            if ( $subtitle = $st->getSetting( 'affiliate_subtitle' ) ) :
                                $subtitle = stripslashes( $subtitle );
                            ?>
                            <div class="ipland-survey-subtitle"<?php echo $this->getFontFamily(); ?>>
                                <h3><?php echo $subtitle; ?></h3>
                            </div>
                            <?php
                            endif;
                            ?>
                            <?php
                            if ( $text = $st->getSetting( 'affiliate_content' ) ) :
                                $text = stripslashes( $text );
                            ?>
                            <div class="ipland-survey-text"<?php echo $this->getFontFamily(); ?>>
                                <p><?php echo $text; ?></p>
                            </div>
                            <?php
                            endif;
                            ?>
                            <div class="ipland-btn-affiliate"<?php echo $this->getFontFamily(); ?>>
                                <a href="<?php echo $st->getSetting( 'affiliate_url', '#' ); ?>" class="<?php echo $this->getButtonClass(); ?>">
                                    <?php echo stripslashes( $st->getSetting( 'affiliate_button', __( 'Go to', 'ipland'  ) )); ?>
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="ipland-survey-bottom"<?php echo $this->getFontFamily(); ?>>
                    <?php
                    if ( $linkshow == 'true' ) :
                    ?>
                    <div class="ipland-survey-link">
                        <?php
                        $astyle  = ' style="background-color: ' . $st->getSetting( 'survey_footer_bgcolor', '#dddddd' ) . ';';
                        $astyle .= ' color:' . $st->getSetting( 'survey_footer_color', '#444444' ) . ';"';
                        ?>
                        <a class="ipland-survey-popup-link" href="#"<?php echo $astyle; ?>>
                            <i class="fa fa-<?php echo $st->getSetting( 'survey_popup_link_icon', 'chain' ); ?>"></i>
                            <span class="ipland-survey-link-show">
                                <?php echo stripslashes( $st->getSetting( 'survey_popup_link_text_show', __( 'See web content', 'ipland' ) )); ?>
                            </span>
                            <span class="ipland-survey-link-hide" style="display: none;">
                                <?php echo stripslashes( $st->getSetting( 'survey_popup_link_text_hide', __( 'Follow survey', 'ipland' ) )); ?>
                            </span>
                        </a>
                    </div>
                    <?php
                    endif;
                    ?>
                </div>
            </div>
            
            <?php
            //Link next/prev
            ?>
            <div class="ipland-page-link">
                <?php
                if ( $prev = $st->getSetting( 'previous_url' )) :
                ?>
                <a class="ipland-page-prev" href="<?php echo $prev; ?>">
                    <span><i class="fa fa-chevron-left"></i></span>
                </a>
                <?php
                endif;
                ?>
                <?php
                if ( $next = $st->getSetting( 'next_url' )) :
                ?>
                <a class="ipland-page-next" href="<?php echo $next; ?>">
                    <span><i class="fa fa-chevron-right"></i></span>
                </a>
                <?php
                endif;
                ?>
            </div>
            
        </div>
    </div>
</div>