<?php
if ( ! class_exists( 'IPLand_AdminManage' )) {

    /**
     * Class for handling administrator page
     */
    class IPLand_AdminManage
    {
        /**
         * Show content admin home
         *
         * @return void
         */
        public function index()
        {
        ?>
            <div id="ipland-admin" class="wrap ipadm-wrap ipland-admin">
                <div class="ipadm-inner">
                    
                    <div class="ipadm-header">
                        <div class="ipland-page-title">
                            <h1><?php _e( 'SocialLead Page Builder', 'ipland' ); ?></h1>
                        </div>
                        <div class="ipland-page-subtitle">
                            <h3><?php _e( 'All Landing Pages', 'ipland' ); ?></h3>
                        </div>
                    </div>
                    
                    <?php
                    if ( isset( $_GET['add'] )) :
                    ?>
                    <div id="ipadm-messages" class="ipadm-success" style="display: block;">
                        <?php _e( 'Successfully add an landing page.', 'ipland' ); ?>
                    </div>
                    <?php
                    endif;
                    ?>
                    
                    <div class="ipadm-body">
                        
                        <div class="ipadm-main">
                            <div class="ipadm-manage">
                                
                                <div class="ipadm-table ipland-table-lead">
                                    <?php
                                    require_once( plugin_dir_path( __FILE__ ) . "admin-table.php" );
                                    $paginArgs = array(
                                        "per_page" => 20 
                                    );
                                    $table = new IPLand_AdminTable();
                                    $table->prepare_items();
                                    $table->display();
                                    ?>
                                </div>
                                
                            </div>
                        </div>
                        
                    </div>
                    
                </div>
                
                <div id="ipland-modal-message-overlay" style="display:none;">
                    <div id="ipland-modal-message"></div>
                </div>
                <div id="ipland-modal-confirm-overlay" style="display:none;">
                    <div id="ipland-modal-confirm">
                        <div class="ipland-modal-title">
                            <h3><?php _e( 'Delete Confirmation', 'ipland' ); ?></h3>
                        </div>
                        <div class="ipland-modal-content">
                            <p><?php _e( 'Are you sure doing this action?', 'ipland' ); ?></p>
                            <div class="ipadm-buttons">
                                <a href="#" class="ipadm-btn ipadm-btn-danger ipland-accept"><?php _e( 'Yes', 'ipland' ); ?></a>
                                <a href="#" class="ipadm-btn ipadm-btn-default ipland-deny"><?php _e( 'No', 'ipland' ); ?></a>
                            </div>
                        </div>
                    </div>
                </div>
                
            </div>
        <?php
        }
        
        /**
         * Show content admin add quiz
         *
         * @return void
         */
        public function addHome()
        {
           $link = admin_url() . 'admin.php?page=ipland-add&category=';
        ?>
            <div id="ipland-admin" class="wrap ipadm-wrap ipland-admin">
                <div class="ipadm-inner">
                    
                    <div class="ipadm-header">
                        <div class="ipland-page-title">
                            <h1><?php _e( 'SocialLead Page Builder', 'ipland' ); ?></h1>
                        </div>
                        <div class="ipland-page-subtitle">
                            <h3><?php _e( 'Add Landing Page', 'ipland' ); ?></h3>
                        </div>
                    </div>
                    <div class="ipadm-body">
                        
                        <div class="ipadm-main">
                            <div class="ipland-add-category">
                                <p><?php _e( 'Landing page can contain various types of content. To create a new landing page please select one of the types of desired content', 'ipland' ); ?>.</p>
                                <ul class="clearfix">
                                    <li class="ipland-add-video">
                                        <a class="clearfix" href="<?php echo $link; ?>video">
                                            <i class="faip fa-video-camera"></i>
                                            <div class="ipland-label">
                                                <strong><?php _e( 'Video Promo', 'ipland' ); ?></strong>
                                                <em><?php _e( 'Create a landing page where the content ia a video promo', 'ipland' ); ?></em>
                                            </div>
                                        </a>
                                    </li>
                                    <li class="ipland-add-image">
                                        <a class="clearfix" href="<?php echo $link; ?>image">
                                            <i class="faip fa-picture-o"></i>
                                            <div class="ipland-label">
                                                <strong><?php _e( 'Image Promo', 'ipland' ); ?></strong>
                                                <em><?php _e( 'Create a landing page where the content is an image', 'ipland' ); ?></em>
                                            </div>
                                        </a>
                                    </li>
                                    <li class="ipland-add-article">
                                        <a class="clearfix" href="<?php echo $link; ?>article">
                                            <i class="faip fa-pencil"></i>
                                            <div class="ipland-label">
                                                <strong><?php _e( 'Article', 'ipland' ); ?></strong>
                                                <em><?php _e( 'Create a landing page where the content is a text', 'ipland' ); ?></em>
                                            </div>
                                        </a>
                                    </li>
                                    <li class="ipland-add-product">
                                        <a class="clearfix" href="<?php echo $link; ?>product">
                                            <i class="faip fa-shopping-cart"></i>
                                            <div class="ipland-label">
                                                <strong><?php _e( 'Product', 'ipland' ); ?></strong>
                                                <em><?php _e( 'Create a landing page contents of your product promotion', 'ipland' ); ?></em>
                                            </div>
                                        </a>
                                    </li>
                                    <li class="ipland-add-gift">
                                        <a class="clearfix" href="<?php echo $link; ?>gift">
                                            <i class="faip fa-gift"></i>
                                            <div class="ipland-label">
                                                <strong><?php _e( 'Bonus/Gift', 'ipland' ); ?></strong>
                                                <em><?php _e( 'Create a landing page that can serve as a bonus to your users', 'ipland' ); ?></em>
                                            </div>
                                        </a>
                                    </li>
                                </ul>
                            </div>
                        
                        </div>
                        
                    </div>
                    
                </div>
                
            </div>
        <?php
        }
        
        /**
         * Show content admin add page
         *
         * @return void
         */
        public function add()
        {
            $category = '';
            if ( ! empty( $_GET['category'] )) {
                $category = preg_replace( '@[^a-zA-Z]@', '', $_GET['category'] );
            }
            $this->manage( $category );
        }
        
        /**
         * Show content admin edit page
         *
         * @return void
         */
        public function edit()
        {
            if ( empty( $_GET['id'] )) {
                wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'ipland') );
            }
            $id = absint( $_GET['id'] );
            if ( ! $page = get_post( $id ) ) {
                wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'ipland') );
            }
            $this->manage( '', $page );
        }
        
        /**
         * Show content admin manage landing page
         *
         * @return void
         */
        public function manage( $category = '', $page = false )
        {
            wp_enqueue_script('wp-color-picker');
            wp_enqueue_style('wp-color-picker');
            
            $pageId = 0;
            if ( $page ) {
                $pageId = $page->ID;
            }
            $setting = new IPLand_Setting( $pageId, '__ipland-item-page-setting' );
            
            if ( $page ) {
                $category = $setting->getSetting( 'category' );
            }
            $catTitle = '';
            if ( $category == 'video' ) {
                $catTitle = ' Video';
            } elseif ( $category == 'image' ) {
                $catTitle = ' Image';
            } elseif ( $category == 'article' ) {
                $catTitle = ' Article';
            } elseif ( $category == 'product' ) {
                $catTitle = ' Product';
            } elseif ( $category == 'gift' ) {
                $catTitle = ' Gift';
            }
            
            if ( $page ) 
            {
                $pageTitle = __( 'Edit' . $catTitle . ' Page', 'ipland' );
                $submit    = __( 'Save Change', 'ipland' );
                $submitId  = 'ipland-edit-item';
                
            } else 
            {
                $pageTitle = __( 'Add' . $catTitle . ' Page', 'ipland' );
                $submit    = __( 'Add' . $catTitle . ' Page', 'ipland' );
                $submitId  = 'ipland-save-item';
            }
            
            
            $tab = 'ipland-tab-content';
            if ( ! empty( $_REQUEST['tab'] )) {
                $tab = $_REQUEST['tab'];
            }
        ?>
            <div id="ipland-admin" class="wrap ipadm-wrap ipland-admin">
                <script type="text/javascript">
                    var ipland_imgurl = '<?php echo IPLAND_BASE_URL . 'img/'; ?>';
                </script>
                <div class="ipadm-inner">
                    
                    <div class="ipadm-header">
                        <div class="ipland-page-title">
                            <h1><?php _e( 'SocialLead Page Builder', 'ipland' ); ?></h1>
                        </div>
                        <div class="ipland-page-subtitle">
                            <h3><?php echo $pageTitle; ?></h3>
                        </div>
                    </div>
                    <div class="ipadm-body">
                        <div class="ipadm-main">
                            <div class="ipadm-manage">
                                <div id="ipadm-messages"></div>
                                <form enctype="multipart/form-data" action="#ipland-admin" method="post">

                                    <input type="hidden" name="pageid" id="value-pageid" value="<?php echo $pageId; ?>" />
                                    <input type="hidden" name="category" id="value-category" value="<?php echo $category; ?>" />
                                    
                                    <div class="ipadm-clear">
                                        <div class="ipland-manage-main">
                                            
                                            <?php
                                            //Title
                                            ?>
                                            <div id="ipland-field-title" class="ipadm-field-row">
                                                <?php
                                                $title = '';
                                                if ( $page ) {
                                                    $title = $page->post_title;
                                                }
                                                ?>
                                                <input class="ipadm-input ipadm-input-large ipadm-input-full" type="text" id="input-title" value="<?php echo $title; ?>" size="30" name="title" placeholder="<?php _e( 'Enter title here', 'ipland' ); ?>">
                                            </div>
    <?php
    $class = 'ipadm-field';
    if ( ! $page ) {
        $class .= ' ipadm-hide';
    }
    $slug = '';
    if ( $page ) {
        $slug = $page->post_name;
    }
    $base = get_option( '_ipland_page_base_url', 'sociallead' );
    
    if ( get_option( 'permalink_structure' ) ) :
    ?>
    <div id="ipadm-field-slug" class="<?php echo $class; ?>">
        <span class="ipland-permalink">
            <strong>Permalink:</strong> 
            <span class="ipland-permalink-value">
                <?php echo get_home_url() . '/'; ?><span id="ipland-prefix-perma"><?php echo $base; ?></span>/<span id="ipland-slug-value"><?php echo $slug; ?></span><span id="ipland-slug-input" class="ipadm-hide"><input class="ipadm-input ipadm-input-small" type="text" name="slug" value="<?php echo $slug; ?>" /></span>/
            </span>
        </span>
        <a id="ipland-save-slug" href="#" title="<?php _e( 'Ok', 'ipland' ); ?>" class="ipadm-btn ipadm-btn-small ipadm-btn-default" style="display: none;">
            <?php _e( 'Ok', 'ipland' ); ?>
        </a>
        <a id="ipland-cancel-save-slug" href="#" title="<?php _e( 'Cancel', 'ipland' ); ?>" style="display: none;">
            <?php _e( 'Cancel', 'ipland' ); ?>
        </a>
        <a id="ipland-edit-slug" href="#" title="<?php _e( 'Edit', 'ipland' ); ?>" class="ipadm-btn ipadm-btn-small ipadm-btn-default">
            <?php _e( 'Edit', 'ipland' ); ?>
        </a>
        <?php
        if ( $page ) :
            $viewurl = get_home_url() . "/$base" . "/$slug/";
        ?>
            <a id="ipland-view-page" href="<?php echo $viewurl; ?>" title="<?php _e( 'View', 'ipland' ); ?>" class="ipadm-btn ipadm-btn-small ipadm-btn-default">
                <?php _e( 'View', 'ipland' ); ?>
            </a>
        <?php
        endif;
        ?>
    </div>
    
    <?php
    else:
    ?>
    
    <div id="ipadm-field-slug" class="<?php echo $class; ?> ipland-permalink-default">
        <span class="ipland-permalink">
            <strong>Permalink:</strong> 
            <span class="ipland-permalink-value">
                <?php echo get_home_url() . '?leadid='; ?><span class="ipland-link-id"><?php echo $page->ID; ?></span>
            </span>
        </span>
        <a href="options-permalink.php" title="<?php _e( 'Change Permalinks', 'ipland' ); ?>" class="ipadm-btn ipadm-btn-small ipadm-btn-default">
            <?php _e( 'Change Permalinks', 'ipland' ); ?>
        </a>
        <?php
        if ( $page ) :
            $viewurl = get_home_url() . '?leadid=' . $page->ID;
        ?>
            <a id="ipland-view-page" href="<?php echo $viewurl; ?>" title="<?php _e( 'View', 'ipland' ); ?>" class="ipadm-btn ipadm-btn-small ipadm-btn-default">
                <?php _e( 'View', 'ipland' ); ?>
            </a>
        <?php
        endif;
        ?>
    </div>
    
    <?php
    endif;
    ?>
                                            
                                            <?php
                                            //Fields main
                                            ?>
                                            <div class="ipland-fields-main">
                                            
                                                <div class="ipland-manage-tab">
                                                    <input type="hidden" name="tab_selected" id="ipland-tab-selected" value="<?php echo $tab; ?>" />
                                                    <div class="ipland-tab-nav">
                                                        <ul>
                                                            <li class="ipland-tab-menu">
                                                                <a href="#ipland-tab-content">
                                                                    <i class="faip fa-pencil"></i>
                                                                    <span><?php _e( 'Content', 'ipland' ); ?></span>
                                                                </a>
                                                            </li>
                                                            <li class="ipland-tab-menu">
                                                                <a href="#ipland-tab-seo">
                                                                    <i class="faip fa-globe"></i>
                                                                    <span><?php _e( 'SEO', 'ipland' ); ?></span>
                                                                </a>
                                                            </li>
                                                            <li class="ipland-tab-menu">
                                                                <a href="#ipland-tab-design">
                                                                    <i class="faip fa-magic"></i>
                                                                    <span><?php _e( 'Design', 'ipland' ); ?></span>
                                                                </a>
                                                            </li>
                                                            <li class="ipland-tab-menu">
                                                                <a href="#ipland-tab-share">
                                                                    <i class="faip fa-share"></i>
                                                                    <span><?php _e( 'Share', 'ipland' ); ?></span>
                                                                </a>
                                                            </li>
                                                            <li class="ipland-tab-menu">
                                                                <a href="#ipland-tab-survey">
                                                                    <i class="faip fa-tasks"></i>
                                                                    <span><?php _e( 'Survey', 'ipland' ); ?></span>
                                                                </a>
                                                            </li>
                                                            <li class="ipland-tab-menu">
                                                                <a href="#ipland-tab-newsletter">
                                                                    <i class="faip fa-envelope"></i>
                                                                    <span><?php _e( 'Newsletter', 'ipland' ); ?></span>
                                                                </a>
                                                            </li>
                                                            <?php
                                                            if ( $page ) :
                                                            ?>
                                                            <li class="ipland-tab-menu tab-menu-right">
                                                                <a href="#ipland-tab-statistic">
                                                                    <i class="faip fa-bar-chart-o"></i>
                                                                    <span><?php _e( 'Statistic', 'ipland' ); ?></span>
                                                                </a>
                                                            </li>
                                                            <?php
                                                            endif;
                                                            ?>
                                                        </ul>
                                                    </div>
                                                    <div class="ipland-tab-sections">
                                                        <?php
                                                        $handler = '_manage' . ucfirst( $category );
                                                        if ( method_exists( $this, $handler )) {
                                                            $this->$handler( $setting, $page );
                                                        }
                                                        ?>
                                                    </div>
                                                </div>
                                                <div class="ipland-manage-footer clearfix">
                                                    <button type="button" id="<?php echo $submitId; ?>" class="ipadm-btn ipadm-btn-primary ipadm-btn-large"><?php echo $submit; ?></button>
                                                    <button type="button" id="ipland-delete-item" class="ipadm-btn ipadm-btn-danger ipadm-btn-large"><?php _e( 'Delete', 'ipland' ); ?></button>
                                                </div>
                                            </div>
                                            
                                        </div>
                                    </div>
                                </form>
                            </div>
                        </div>
                    </div>
                </div>
                
                <div id="ipland-modal-message-overlay" style="display:none;">
                    <div id="ipland-modal-message"></div>
                </div>
                <div id="ipland-modal-confirm-overlay" style="display:none;">
                    <div id="ipland-modal-confirm">
                        <div id="ipland-editdel-confirm">
                            <div class="ipland-modal-title">
                                <h3><?php _e( 'Delete Confirmation', 'ipland' ); ?></h3>
                            </div>
                            <div class="ipland-modal-content">
                                <p><?php _e( 'Are you sure doing this action?', 'ipland' ); ?></p>
                                <div class="ipadm-buttons">
                                    <a href="#" class="ipadm-btn ipadm-btn-danger ipland-accept"><?php _e( 'Yes', 'ipland' ); ?></a>
                                    <a href="#" class="ipadm-btn ipadm-btn-default ipland-deny"><?php _e( 'No', 'ipland' ); ?></a>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div id="ipland-admin-loader"></div>
            </div>
        <?php
        }
        
        /**
         * Show content admin manage landing page
         *
         * @return void
         */
        protected function _manageVideo( $setting, $page = false )
        {
        ?>
            <div class="ipland-tab-section" id="ipland-tab-content">
                <div class="ipland-tab-header">
                    <h4><?php _e( 'Content', 'ipland' ); ?></h4>
                    <h5><?php _e( 'Set the main content of the landing page', 'ipland' ); ?></h5>
                </div>
                <div class="ipland-fields">
                    
                    <div id="ipland-field-title" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-page-title"><?php _e( 'Page Title', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( 'page_title', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-page-title" value="<?php echo $title; ?>" size="30" name="page_title">
                        </div>
                    </div>
                    <div id="ipland-field-content" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-content"><?php _e( 'Page Content', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $tinymceInit = array(
                                'editor_height' => 60
                            );
                            $content = '';
                            if ( $page ) {
                                $content = stripslashes( $setting->getSetting( 'page_content', '' ) );
                            }
                            wp_editor( $content, 'page_content', array( 
                                'editor_height' => 60,
                                'tinymce'       => $tinymceInit
                            )); 
                            ?>
                        </div>
                    </div>
                    <div id="ipland-field-title" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-video-url"><?php _e( 'YouTube Video URL', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $videoUrl = $setting->getSetting( 'video_url', '' );
                            ?>
                            <input class="ipadm-input" type="text" id="input-video-id" value="<?php echo $videoUrl; ?>" size="30" name="video_url">
                            <p class="ipadm-input-info"><em><?php _e( 'Your youtube video URL.', 'ipland' ); ?></em></p>
                        </div>
                    </div>
                    <div id="ipland-field-video-start" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-video-start"><?php _e( 'Video Start Time', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $videoUrl = $setting->getSetting( 'video_start', '' );
                            ?>
                            <input class="ipadm-input ipadm-input-small" type="text" id="input-video-start" value="<?php echo $videoUrl; ?>" size="6" name="video_start">
                            <p class="ipadm-input-info"><em><?php _e( 'Time in second for start time of your video. You set this value when you want to start the video not from the beginning.', 'ipland' ); ?></em></p>
                        </div>
                    </div>
                    <div id="ipland-field-video-auto" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-video-auto"><?php _e( 'Video Auto Play', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                <?php
                                $val = $setting->getSetting( 'video_autostart', 'true' );
                                if ( $val == 'false' ) {
                                    $clon  = '';
                                    $cloff = ' button-primary active';
                                } else {
                                    $clon  = ' button-primary active';
                                    $cloff = '';
                                }
                                ?>
                                <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipland' ); ?></button>
                                <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipland' ); ?></button>
                                <input type="hidden" class="ipadm-av-value" name="video_autostart" value="<?php echo $val; ?>" />
                            </div>
                            <p class="ipadm-input-info"><em><?php _e( 'Is the video automatically plays when the page is loaded?', 'ipland' ); ?></em></p>
                        </div>
                    </div>
                    <?php
                    $this->_generalContent( $setting, $page );
                    ?>
                    
                </div>
            </div>
            <?php
            $this->_tabSeo( $setting, $page );
            ?>
            <div class="ipland-tab-section" id="ipland-tab-design">
                <div class="ipland-tab-header">
                    <h4><?php _e( 'Design', 'ipland' ); ?></h4>
                    <h5><?php _e( 'Set the appearance of the landing page', 'ipland' ); ?></h5>
                </div>
                <div class="ipland-fields">
                    <?php
                    $this->_tabBasicDesign( $setting, $page );
                    ?>
                    <div class="ipland-section-group">
                        <h4 class="ipland-section-gtitle"><?php _e( 'Video Settings', 'ipland' ); ?></h4>
                        <div class="ipland-section-gfields">
                        
                            <div id="ipland-field-video-display" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-video-display"><?php _e( 'Video Display', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <select id="input-video-display" name="video_display">
                                    <?php
                                        $display = $setting->getSetting( 'video_display', 'fullpage' );
                                        $options = array(
                                            'fullpage'  => __( 'Full Page', 'ipland' ),
                                            'frame'     => __( 'Frame', 'ipland' ),
                                            'normal'    => __( 'Normal', 'ipland' )
                                        );
                                        foreach( $options as $key => $label ) {
                                            $sltd = '';
                                            if ( $key == $display ) {
                                                $sltd = ' selected="selected"';
                                            }
                                            echo '<option value="' . $key . '"'. $sltd .'>' . $label . '</option>';
                                        }
                                    ?>
                                    </select>
                                </div>
                            </div>
                            <?php
                            $sizedsp = '';
                            if ( $display == 'fullpage' ) {
                                $sizedsp = ' style="display:none;"';
                            }
                            ?>
                            <div id="ipland-field-video-size" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear"<?php echo $sizedsp; ?>>
                                <div class="ipadm-label">
                                    <label for="input-video-size"><?php _e( 'Video Size', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <?php
                                    $width  = $setting->getSetting( 'video_width', '400' );
                                    $height = $setting->getSetting( 'video_height', '200' );
                                    ?>
                                    <span class="ipland-field-inline">
                                        <strong><?php _e( 'Width', 'ipland' ); ?></strong>
                                        <input class="ipadm-input ipadm-input-small" type="text" id="input-video-width" value="<?php echo $width; ?>" size="30" name="video_width">
                                    </span>
                                    <span class="ipland-x">x</span>
                                    <span class="ipland-field-inline">
                                        <strong><?php _e( 'Height', 'ipland' ); ?></strong>
                                        <input class="ipadm-input ipadm-input-small" type="text" id="input-video-height" value="<?php echo $height; ?>" size="30" name="video_height">
                                    </span>
                                </div>
                            </div>
                            <?php
                            $framedsp = ' style="display:none;"';
                            if ( $display == 'frame' ) {
                                $framedsp = '';
                            }
                            ?>
                            <div id="ipland-field-video-frame" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear"<?php echo $framedsp; ?>>
                                <div class="ipadm-label">
                                    <label for="input-video-frame"><?php _e( 'Video Frame', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <select id="input-video-frame" name="video_frame">
                                    <?php
                                        $frame   = $setting->getSetting( 'video_frame', '1' );
                                        $options = range(1,5);
                                        foreach( $options as $key ) {
                                            $sltd = '';
                                            if ( $key == $frame ) {
                                                $sltd = ' selected="selected"';
                                            }
                                            echo '<option value="' . $key . '"' . $sltd . '>' . __( 'Frame', 'ipland' ) . ' ' . $key . '</option>';
                                        }
                                    ?>
                                    </select>
                                </div>
                            </div>
                    
                        </div>
                    </div>
                </div>
            </div>
            <?php
            $this->_tabShare( $setting, $page );
            $this->_tabSurvey( $setting, $page );
            $this->_tabNewsletter( $setting, $page );
            $this->_tabStatistic( $setting, $page );
            ?>
        <?php
        }
        
        /**
         * Show content admin manage landing page
         *
         * @return void
         */
        protected function _manageImage( $setting, $page = false )
        {
        ?>
            <div class="ipland-tab-section" id="ipland-tab-content">
                <div class="ipland-tab-header">
                    <h4><?php _e( 'Content', 'ipland' ); ?></h4>
                    <h5><?php _e( 'Set the main content of the landing page', 'ipland' ); ?></h5>
                </div>
                <div class="ipland-fields">
                    
                    <div id="ipland-field-title" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-page-title"><?php _e( 'Page Title', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( 'page_title', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-page-title" value="<?php echo $title; ?>" size="30" name="page_title">
                        </div>
                    </div>
                    <div id="ipland-field-content" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-content"><?php _e( 'Page Content', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $tinymceInit = array(
                                'editor_height' => 60
                            );
                            $content = '';
                            if ( $page ) {
                                $content = stripslashes( $setting->getSetting( 'page_content', '' ) );
                            }
                            wp_editor( $content, 'page_content', array( 
                                'editor_height' => 60,
                                'tinymce'       => $tinymceInit
                            )); 
                            ?>
                        </div>
                    </div>
                    <div id="ipland-field-image" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-page-image"><?php _e( 'Image', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div class="ipadm-input-wrap ipadm-clear ipland-input-upload">
                                <div class="ipland-image-preview">
                                    <?php
                                    $setImg  = false;
                                    if ( $setting ) {
                                        if ( $attachId = $setting->getSetting( 'page_image' ) ) {
                                            $setImg = true;
                                            $data   = wp_get_attachment_image_src( $attachId, 'thumbnail' );
                                        }
                                    }
                                    if ( $setImg ) {
                                        echo '<div class="photo"><img src="' . $data[0] . '" /></div>';
                                        $reset_dsp = '';
                                    } else {
                                        echo '<div class="none">' . __( 'No image', 'ipland' ) . '</div>';
                                        $reset_dsp = ' style="display:none;"';
                                    }
                                    ?>
                                </div>
                                <div class="ipland-image-upload">
                                    <input class="ipland-input-upload" type="file" name="photo" />
                                    <div class="ipland-btn-wrap">
                                        <input class="button ipland-upload-btn" type="submit" name="upload-photo" value="<?php _e( 'Upload', 'ipland' ); ?>" />
                                        <a class="ipland-reset-img button" href="#"<?php echo $reset_dsp; ?>>
                                            <?php _e( 'Clear Photo', 'ipland' ); ?>
                                        </a>
                                    </div>
                                    <input type="hidden" name="upload_type" class="ipland-upload-type" value="ipland_image" />
                                    <input type="hidden" name="page_image" class="ipland-photo-id" value="<?php echo $attachId; ?>" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php
                    $this->_generalContent( $setting, $page );
                    ?>
                    
                </div>
            </div>
            <?php
            $this->_tabSeo( $setting, $page );
            ?>
            <div class="ipland-tab-section" id="ipland-tab-design">
                <div class="ipland-tab-header">
                    <h4><?php _e( 'Design', 'ipland' ); ?></h4>
                    <h5><?php _e( 'Set the appearance of the landing page', 'ipland' ); ?></h5>
                </div>
                <div class="ipland-fields">
                    <?php
                    $this->_tabBasicDesign( $setting, $page );
                    ?>
                    <div class="ipland-section-group">
                        <h4 class="ipland-section-gtitle"><?php _e( 'Image Settings', 'ipland' ); ?></h4>
                        <div class="ipland-section-gfields">
                        
                            <div id="ipland-field-image-display" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-image-display"><?php _e( 'Image Display', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <select id="input-image-display" name="image_display">
                                    <?php
                                        $display = $setting->getSetting( 'image_display', 'fullpage' );
                                        $options = array(
                                            'fullpage'  => __( 'Full Page', 'ipland' ),
                                            'frame'     => __( 'Frame', 'ipland' ),
                                            'normal'    => __( 'Normal', 'ipland' )
                                        );
                                        foreach( $options as $key => $label ) {
                                            $sltd = '';
                                            if ( $key == $display ) {
                                                $sltd = ' selected="selected"';
                                            }
                                            echo '<option value="' . $key . '"'. $sltd .'>' . $label . '</option>';
                                        }
                                    ?>
                                    </select>
                                </div>
                            </div>
                            <?php
                            $sizedsp = '';
                            if ( $display == 'fullpage' ) {
                                $sizedsp = ' style="display:none;"';
                            }
                            ?>
                            <div id="ipland-field-image-size" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear"<?php echo $sizedsp; ?>>
                                <div class="ipadm-label">
                                    <label for="input-image-size"><?php _e( 'Image Size', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <?php
                                    $width  = $setting->getSetting( 'image_width', '400' );
                                    $height = $setting->getSetting( 'image_height', '200' );
                                    ?>
                                    <span class="ipland-field-inline">
                                        <strong><?php _e( 'Width', 'ipland' ); ?></strong>
                                        <input class="ipadm-input ipadm-input-small" type="text" id="input-image-width" value="<?php echo $width; ?>" size="30" name="image_width">
                                    </span>
                                    <span class="ipland-x">x</span>
                                    <span class="ipland-field-inline">
                                        <strong><?php _e( 'Height', 'ipland' ); ?></strong>
                                        <input class="ipadm-input ipadm-input-small" type="text" id="input-image-height" value="<?php echo $height; ?>" size="30" name="image_height">
                                    </span>
                                </div>
                            </div>
                            <?php
                            $framedsp = ' style="display:none;"';
                            if ( $display == 'frame' ) {
                                $framedsp = '';
                            }
                            ?>
                            <div id="ipland-field-image-frame" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear"<?php echo $framedsp; ?>>
                                <div class="ipadm-label">
                                    <label for="input-image-frame"><?php _e( 'Image Frame', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <select id="input-image-frame" name="image_frame">
                                    <?php
                                        $frame   = $setting->getSetting( 'image_frame', '1' );
                                        $options = range(1,5);
                                        foreach( $options as $key ) {
                                            $sltd = '';
                                            if ( $key == $frame ) {
                                                $sltd = ' selected="selected"';
                                            }
                                            echo '<option value="' . $key . '"' . $sltd . '>' . __( 'Frame', 'ipland' ) . ' ' . $key . '</option>';
                                        }
                                    ?>
                                    </select>
                                </div>
                            </div>
                    
                        </div>
                    </div>
                </div>
            </div>
            <?php
            $this->_tabShare( $setting, $page );
            $this->_tabSurvey( $setting, $page );
            $this->_tabNewsletter( $setting, $page );
            $this->_tabStatistic( $setting, $page );
            ?>
        <?php
        }
        
        /**
         * Show content admin manage landing page
         *
         * @return void
         */
        protected function _manageArticle( $setting, $page = false )
        {
        ?>
            <div class="ipland-tab-section" id="ipland-tab-content">
                <div class="ipland-tab-header">
                    <h4><?php _e( 'Content', 'ipland' ); ?></h4>
                    <h5><?php _e( 'Set the main content of the landing page', 'ipland' ); ?></h5>
                </div>
                <div class="ipland-fields">
                    
                    <div id="ipland-field-title" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-page-title"><?php _e( 'Page Title', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( 'page_title', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-page-title" value="<?php echo $title; ?>" size="30" name="page_title">
                        </div>
                    </div>
                    <div id="ipland-field-content" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-content"><?php _e( 'Page Content', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $tinymceInit = array(
                                'editor_height' => 60
                            );
                            $content = '';
                            if ( $page ) {
                                $content = stripslashes( $setting->getSetting( 'page_content', '' ) );
                            }
                            wp_editor( $content, 'page_content', array( 
                                'editor_height' => 60,
                                'tinymce'       => $tinymceInit
                            )); 
                            ?>
                        </div>
                    </div>
                    <div id="ipland-field-article-published" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-article-published"><?php _e( 'Published', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $published = stripslashes( $setting->getSetting( 'article_published', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-article-published" value="<?php echo $published; ?>" size="30" name="article_published">
                        </div>
                    </div>
                    <div id="ipland-field-image" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-page-image"><?php _e( 'Image', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div class="ipadm-input-wrap ipadm-clear ipland-input-upload">
                                <div class="ipland-image-preview">
                                    <?php
                                    $setImg  = false;
                                    if ( $setting ) {
                                        if ( $attachId = $setting->getSetting( 'page_image' ) ) {
                                            $setImg = true;
                                            $data   = wp_get_attachment_image_src( $attachId, 'thumbnail' );
                                        }
                                    }
                                    if ( $setImg ) {
                                        echo '<div class="photo"><img src="' . $data[0] . '" /></div>';
                                        $reset_dsp = '';
                                    } else {
                                        echo '<div class="none">' . __( 'No image', 'ipland' ) . '</div>';
                                        $reset_dsp = ' style="display:none;"';
                                    }
                                    ?>
                                </div>
                                <div class="ipland-image-upload">
                                    <input class="ipland-input-upload" type="file" name="photo" />
                                    <div class="ipland-btn-wrap">
                                        <input class="button ipland-upload-btn" type="submit" name="upload-photo" value="<?php _e( 'Upload', 'ipland' ); ?>" />
                                        <a class="ipland-reset-img button" href="#"<?php echo $reset_dsp; ?>>
                                            <?php _e( 'Clear Photo', 'ipland' ); ?>
                                        </a>
                                    </div>
                                    <input type="hidden" name="upload_type" class="ipland-upload-type" value="ipland_image" />
                                    <input type="hidden" name="page_image" class="ipland-photo-id" value="<?php echo $attachId; ?>" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="ipland-field-article-url" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-article-url"><?php _e( 'Button URL', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $url = stripslashes( $setting->getSetting( 'article_url', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-article-url" value="<?php echo $url; ?>" size="30" name="article_url">
                        </div>
                    </div>
                    <div id="ipland-field-article-button" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-article-button"><?php _e( 'Button Text', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $button = stripslashes( $setting->getSetting( 'article_button', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-article-button" value="<?php echo $button; ?>" size="30" name="article_button">
                        </div>
                    </div>
                    <?php
                    $this->_generalContent( $setting, $page );
                    ?>
                </div>
            </div>
            <?php
            $this->_tabSeo( $setting, $page );
            ?>
            <div class="ipland-tab-section" id="ipland-tab-design">
                <div class="ipland-tab-header">
                    <h4><?php _e( 'Design', 'ipland' ); ?></h4>
                    <h5><?php _e( 'Set the appearance of the landing page', 'ipland' ); ?></h5>
                </div>
                <div class="ipland-fields">
                    <?php
                    $this->_tabBasicDesign( $setting, $page );
                    ?>
                    <div class="ipland-section-group">
                        <h4 class="ipland-section-gtitle"><?php _e( 'Article Settings', 'ipland' ); ?></h4>
                        <div class="ipland-section-gfields">
                        
                            <div id="ipland-field-article-style" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-article-style"><?php _e( 'Content Layout', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <select id="input-article-style" name="article_style">
                                    <?php
                                        $style   = $setting->getSetting( 'article_style', 'imageleft' );
                                        $options = array(
                                            'imageleft'   => __( 'Image Left', 'ipland' ),
                                            'imageright'  => __( 'Image Right', 'ipland' ),
                                            'imagetop'    => __( 'Image Top', 'ipland' )
                                        );
                                        foreach( $options as $key => $label ) {
                                            $sltd = '';
                                            if ( $key == $display ) {
                                                $sltd = ' selected="selected"';
                                            }
                                            echo '<option value="' . $key . '">' . $label . '</option>';
                                        }
                                    ?>
                                    </select>
                                </div>
                            </div>
                            <div id="ipland-field-article-frame" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear"<?php echo $framedsp; ?>>
                                <div class="ipadm-label">
                                    <label for="input-article-frame"><?php _e( 'Frame', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <select id="input-article-frame" name="article_frame">
                                    <?php
                                        $frame   = $setting->getSetting( 'article_frame', '1' );
                                        $options = range(1,5);
                                        foreach( $options as $key ) {
                                            $sltd = '';
                                            if ( $key == $frame ) {
                                                $sltd = ' selected="selected"';
                                            }
                                            echo '<option value="' . $key . '"' . $sltd . '>' . __( 'Frame', 'ipland' ) . ' ' . $key . '</option>';
                                        }
                                    ?>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                </div>
            </div>
            <?php
            $this->_tabShare( $setting, $page );
            $this->_tabSurvey( $setting, $page );
            $this->_tabNewsletter( $setting, $page );
            $this->_tabStatistic( $setting, $page );
            ?>
        <?php
        }
        
        /**
         * Show content admin manage landing page
         *
         * @return void
         */
        protected function _manageProduct( $setting, $page = false )
        {
        ?>
            <div class="ipland-tab-section" id="ipland-tab-content">
                <div class="ipland-tab-header">
                    <h4><?php _e( 'Content', 'ipland' ); ?></h4>
                    <h5><?php _e( 'Set the main content of the landing page', 'ipland' ); ?></h5>
                </div>
                <div class="ipland-fields">
                    
                    <div id="ipland-field-title" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-page-title"><?php _e( 'Product Title', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( 'page_title', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-page-title" value="<?php echo $title; ?>" size="30" name="page_title">
                        </div>
                    </div>
                    <div id="ipland-field-content" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-content"><?php _e( 'Product Description', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $tinymceInit = array(
                                'editor_height' => 60
                            );
                            $content = '';
                            if ( $page ) {
                                $content = stripslashes( $setting->getSetting( 'page_content', '' ) );
                            }
                            wp_editor( $content, 'page_content', array( 
                                'editor_height' => 60,
                                'tinymce'       => $tinymceInit
                            )); 
                            ?>
                        </div>
                    </div>
                    <div id="ipland-field-image" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-page-image"><?php _e( 'Product Image', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div class="ipadm-input-wrap ipadm-clear ipland-input-upload">
                                <div class="ipland-image-preview">
                                    <?php
                                    $setImg  = false;
                                    if ( $setting ) {
                                        if ( $attachId = $setting->getSetting( 'page_image' ) ) {
                                            $setImg = true;
                                            $data   = wp_get_attachment_image_src( $attachId, 'thumbnail' );
                                        }
                                    }
                                    if ( $setImg ) {
                                        echo '<div class="photo"><img src="' . $data[0] . '" /></div>';
                                        $reset_dsp = '';
                                    } else {
                                        echo '<div class="none">' . __( 'No image', 'ipland' ) . '</div>';
                                        $reset_dsp = ' style="display:none;"';
                                    }
                                    ?>
                                </div>
                                <div class="ipland-image-upload">
                                    <input class="ipland-input-upload" type="file" name="photo" />
                                    <div class="ipland-btn-wrap">
                                        <input class="button ipland-upload-btn" type="submit" name="upload-photo" value="<?php _e( 'Upload', 'ipland' ); ?>" />
                                        <a class="ipland-reset-img button" href="#"<?php echo $reset_dsp; ?>>
                                            <?php _e( 'Clear Photo', 'ipland' ); ?>
                                        </a>
                                    </div>
                                    <input type="hidden" name="upload_type" class="ipland-upload-type" value="ipland_image" />
                                    <input type="hidden" name="page_image" class="ipland-photo-id" value="<?php echo $attachId; ?>" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="ipland-field-price" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-product-price"><?php _e( 'Product Price', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $price = stripslashes( $setting->getSetting( 'product_price', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-product-price" value="<?php echo $price; ?>" size="30" name="product_price">
                        </div>
                    </div>
                    <div id="ipland-field-product-url" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-product-url"><?php _e( 'Button URL', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $url = stripslashes( $setting->getSetting( 'product_url', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-product-url" value="<?php echo $url; ?>" size="30" name="product_url">
                        </div>
                    </div>
                    <div id="ipland-field-product-button" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-product-button"><?php _e( 'Button Text', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $text = stripslashes( $setting->getSetting( 'product_button', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-product-button" value="<?php echo $text; ?>" size="30" name="product_button">
                        </div>
                    </div>
                    <?php
                    $this->_generalContent( $setting, $page );
                    ?>
                    
                </div>
            </div>
            <?php
            $this->_tabSeo( $setting, $page );
            ?>
            <div class="ipland-tab-section" id="ipland-tab-design">
                <div class="ipland-tab-header">
                    <h4><?php _e( 'Design', 'ipland' ); ?></h4>
                    <h5><?php _e( 'Set the appearance of the landing page', 'ipland' ); ?></h5>
                </div>
                <div class="ipland-fields">
                    <?php
                    $this->_tabBasicDesign( $setting, $page );
                    ?>
                    <div class="ipland-section-group">
                        <h4 class="ipland-section-gtitle"><?php _e( 'Product Settings', 'ipland' ); ?></h4>
                        <div class="ipland-section-gfields">
                        
                            <div id="ipland-field-product-style" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-product-style"><?php _e( 'Content Layout', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <select id="input-product-style" name="product_style">
                                    <?php
                                        $style   = $setting->getSetting( 'product_style', 'imageleft' );
                                        $options = array(
                                            'imageleft'   => __( 'Image Left', 'ipland' ),
                                            'imageright'  => __( 'Image Right', 'ipland' ),
                                            'imagetop'    => __( 'Image Top', 'ipland' )
                                        );
                                        foreach( $options as $key => $label ) {
                                            $sltd = '';
                                            if ( $key == $display ) {
                                                $sltd = ' selected="selected"';
                                            }
                                            echo '<option value="' . $key . '">' . $label . '</option>';
                                        }
                                    ?>
                                    </select>
                                </div>
                            </div>
                            
                            <div id="ipland-field-product-frame" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear"<?php echo $framedsp; ?>>
                                <div class="ipadm-label">
                                    <label for="input-product-frame"><?php _e( 'Frame', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <select id="input-product-frame" name="product_frame">
                                    <?php
                                        $frame   = $setting->getSetting( 'product_frame', '1' );
                                        $options = range(1,5);
                                        foreach( $options as $key ) {
                                            $sltd = '';
                                            if ( $key == $frame ) {
                                                $sltd = ' selected="selected"';
                                            }
                                            echo '<option value="' . $key . '"' . $sltd . '>' . __( 'Frame', 'ipland' ) . ' ' . $key . '</option>';
                                        }
                                    ?>
                                    </select>
                                </div>
                            </div>
                        </div>
                    </div>
                    
                </div>
            </div>
            <?php
            $this->_tabShare( $setting, $page );
            $this->_tabSurvey( $setting, $page );
            $this->_tabNewsletter( $setting, $page );
            $this->_tabStatistic( $setting, $page );
            ?>
        <?php
        }
        
        /**
         * Show content admin manage landing page
         *
         * @return void
         */
        protected function _manageGift( $setting, $page = false )
        {
        ?>
            <div class="ipland-tab-section" id="ipland-tab-content">
                <div class="ipland-tab-header">
                    <h4><?php _e( 'Content', 'ipland' ); ?></h4>
                    <h5><?php _e( 'Set the main content of the landing page', 'ipland' ); ?></h5>
                </div>
                <div class="ipland-fields">
                    
                    <div id="ipland-field-page-title" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-page-title"><?php _e( 'Page Title', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( 'page_title', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-page-title" value="<?php echo $title; ?>" size="30" name="page_title">
                        </div>
                    </div>
                    <div id="ipland-field-page-content" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-page-content"><?php _e( 'Page Content', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $tinymceInit = array(
                                'editor_height' => 60
                            );
                            $content = '';
                            if ( $page ) {
                                $content = stripslashes( $setting->getSetting( 'page_content', '' ) );
                            }
                            wp_editor( $content, 'page_content', array( 
                                'editor_height' => 60,
                                'tinymce'       => $tinymceInit
                            )); 
                            ?>
                        </div>
                    </div>
                    <div id="ipland-field-bonus-title" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-bonus-title"><?php _e( 'Bonus Title', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( 'bonus_title', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-bonus-title" value="<?php echo $title; ?>" size="30" name="bonus_title">
                        </div>
                    </div>
                    <div id="ipland-field-image" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-page-image"><?php _e( 'Bonus Image Preview', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div class="ipadm-input-wrap ipadm-clear ipland-input-upload">
                                <div class="ipland-image-preview">
                                    <?php
                                    $setImg  = false;
                                    if ( $setting ) {
                                        if ( $attachId = $setting->getSetting( 'page_image' ) ) {
                                            $setImg = true;
                                            $data   = wp_get_attachment_image_src( $attachId, 'thumbnail' );
                                        }
                                    }
                                    if ( $setImg ) {
                                        echo '<div class="photo"><img src="' . $data[0] . '" /></div>';
                                        $reset_dsp = '';
                                    } else {
                                        echo '<div class="none">' . __( 'No image', 'ipland' ) . '</div>';
                                        $reset_dsp = ' style="display:none;"';
                                    }
                                    ?>
                                </div>
                                <div class="ipland-image-upload">
                                    <input class="ipland-input-upload" type="file" name="photo" />
                                    <div class="ipland-btn-wrap">
                                        <input class="button ipland-upload-btn" type="submit" name="upload-photo" value="<?php _e( 'Upload', 'ipland' ); ?>" />
                                        <a class="ipland-reset-img button" href="#"<?php echo $reset_dsp; ?>>
                                            <?php _e( 'Clear Photo', 'ipland' ); ?>
                                        </a>
                                    </div>
                                    <input type="hidden" name="upload_type" class="ipland-upload-type" value="ipland_image" />
                                    <input type="hidden" name="page_image" class="ipland-photo-id" value="<?php echo $attachId; ?>" />
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="ipland-field-bonus-url" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-bonus-url"><?php _e( 'Bonus URL', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $url = stripslashes( $setting->getSetting( 'bonus_url', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-bonus-url" value="<?php echo $url; ?>" size="30" name="bonus_url">
                        </div>
                    </div>
                    <div id="ipland-field-bonus-button" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-bonus-button"><?php _e( 'Button Text', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $text = stripslashes( $setting->getSetting( 'bonus_button', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-bonus-button" value="<?php echo $text; ?>" size="30" name="bonus_button">
                        </div>
                    </div>
                    <?php
                    $this->_generalContent( $setting, $page );
                    ?>
                    
                </div>
            </div>
            <?php
            $this->_tabSeo( $setting, $page );
            ?>
            <div class="ipland-tab-section" id="ipland-tab-design">
                <div class="ipland-tab-header">
                    <h4><?php _e( 'Design', 'ipland' ); ?></h4>
                    <h5><?php _e( 'Set the appearance of the landing page', 'ipland' ); ?></h5>
                </div>
                <div class="ipland-fields">
                    <?php
                    $this->_tabBasicDesign( $setting, $page );
                    ?>
                    <div class="ipland-section-group">
                        <h4 class="ipland-section-gtitle"><?php _e( 'Bonus Settings', 'ipland' ); ?></h4>
                        <div class="ipland-section-gfields">
                        
                            <div id="ipland-field-bonus-theme" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-bonus-theme"><?php _e( 'Theme', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <div id="ipland-bonus-theme" class="ipland-option-list">
                                        <ul>
                                            <?php
                                            $theme  = $setting->getSetting( 'bonus_theme', 1 );
                                            $themes = array(
                                                1 => 'Theme 1',
                                                2 => 'Theme 2',
                                                3 => 'Theme 3',
                                                4 => 'Theme 4',
                                                5 => 'Theme 5',
                                            );
                                            foreach( $themes as $key => $label ) :
                                                $plgurl  = plugin_dir_url( dirname(__FILE__) );
                                                $prvurl  = $plgurl . 'img/bonus/theme/';
                                                $check  = '';
                                                if ( $key == $theme ) {
                                                    $check = ' checked="checked"';
                                                }
                                            ?>
                                            <li class="ipadm-clear">
                                                <div class="ipland-theme-option">
                                                    <input<?php echo $check; ?> type="radio" id="ipland-theme-select-<?php echo $key; ?>" value="<?php echo $key; ?>" name="bonus_theme" class="ipland-theme-select" />
                                                    <div class="ipland-theme-label">
                                                        <label for="ipland-theme-select-<?php echo $key; ?>"><?php echo $label; ?></label>
                                                    </div>
                                                </div>
                                                <div class="ipland-theme-preview">
                                                    <img src="<?php echo $prvurl . 'preview-' . $key . '.jpg'; ?>" alt="<?php echo $label; ?>" />
                                                </div>
                                            </li>
                                            <?php 
                                            endforeach;
                                            ?>
                                        </ul>
                                    </div>
                                </div>
                            </div>
                            <div id="ipland-field-bonus-button" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-bonus-button"><?php _e( 'Button Design', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <div id="ipland-bonus-button" class="ipland-option-list">
                                        <ul class="ipadm-clear">
                                            <?php
                                            $btn  = $setting->getSetting( 'bonus_button_design', 1 );
                                            $ids  = range(1,30);
                                            foreach( $ids as $key ) :
                                                $label  = 'Button ' . $key;
                                                $plgurl = plugin_dir_url( dirname(__FILE__) );
                                                $prvurl = $plgurl . 'img/bonus/button/';
                                                $check  = '';
                                                if ( $key == $btn ) {
                                                    $check = ' checked="checked"';
                                                }
                                            ?>
                                            <li class="ipadm-clear">
                                                <input<?php echo $check; ?> type="radio" id="ipland-button-select-<?php echo $key; ?>" value="<?php echo $key; ?>" name="bonus_button_design" class="ipland-button-select" />
                                                <div class="ipland-button-preview">
                                                    <label for="ipland-button-select-<?php echo $key; ?>">
                                                        <img src="<?php echo $prvurl . 'box-' . $key . '.png'; ?>" alt="<?php echo $label; ?>" />
                                                    </label>
                                                </div>
                                            </li>
                                            <?php 
                                            endforeach;
                                            ?>
                                        </ul>
                                    
                                    </div>
                                </div>
                            </div>
                            
                        </div>
                    </div>
                    
                </div>
            </div>
            <?php
            $this->_tabShare( $setting, $page );
            $this->_tabSurvey( $setting, $page );
            $this->_tabNewsletter( $setting, $page );
            $this->_tabStatistic( $setting, $page );
            ?>
        <?php
        }
        
        /**
         * General content
         *
         * @return void
         */
        protected function _generalContent( $setting, $page = false )
        {
        ?>
            <div id="ipland-field-next-url" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                <div class="ipadm-label">
                    <label for="input-next-url"><?php _e( 'Next Page URL', 'ipland' ); ?></label>
                </div>
                <div class="ipadm-field">
                    <?php
                    $url = stripslashes( $setting->getSetting( 'next_url', '' ));
                    ?>
                    <input class="ipadm-input" type="text" id="input-next-url" value="<?php echo $url; ?>" size="30" name="next_url">
                </div>
            </div>
            <div id="ipland-field-previous-url" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                <div class="ipadm-label">
                    <label for="input-previous-url"><?php _e( 'Previous Page URL', 'ipland' ); ?></label>
                </div>
                <div class="ipadm-field">
                    <?php
                    $url = stripslashes( $setting->getSetting( 'previous_url', '' ));
                    ?>
                    <input class="ipadm-input" type="text" id="input-previous-url" value="<?php echo $url; ?>" size="30" name="previous_url">
                </div>
            </div>
        <?php
        }
        
        /**
         * Content for tab share
         *
         * @return void
         */
        protected function _tabShare( $setting, $page = false )
        {
        ?>
            <div class="ipland-tab-section" id="ipland-tab-share">
                <div class="ipland-tab-header">
                    <h4><?php _e( 'Share', 'ipland' ); ?></h4>
                    <h5><?php _e( 'Organize social share links to be displayed on the landing page.', 'ipland' ); ?></h5>
                </div>
                <div class="ipland-fields">
                    
                    <h4 class="ipland-box-title"><?php _e( 'Share Link', 'ipland' ); ?></h4>
                    <p><?php _e( 'Select one or more social share links that you want to display on the landing page below.', 'ipland' ); ?></p>
                    
                    <div class="ipland-share-settings">
                        <ul>
                            <?php
                            $share = array(
                                'facebook'      => 'Facebook',
                                'twitter'       => 'Twitter',
                                'google-plus'   => 'Google+',
                                'linkedin'      => 'LinkedIn',
                                'tumblr'        => 'Tumblr',
                                'pinterest'     => 'Pinterest',
                                'stumbleupon'   => 'Stumble Upon',
                                'digg'          => 'Digg',
                                'email'         => 'Email'
                            );
                            foreach( $share as $key => $label ) {
                                $value = $setting->getSetting( 'share_'.$key, 'on' );
                                $class = 'inactive';
                                if ( $value == 'on' ) {
                                    $class = "active";
                                }
                                if ( $key == 'email' ) {
                                    $icon = 'envelope';
                                } else {
                                    $icon = $key;
                                }
                            ?>
                                <li>
                                    <a class="<?php echo $class; ?>" href="#<?php echo $key; ?>">
                                        <i class="faip fa-<?php echo $icon; ?>"></i>
                                        <span><?php echo $label; ?></span>
                                        <input type="hidden" name="share_<?php echo $key; ?>" value="<?php echo $value; ?>" />
                                    </a>
                                </li>
                            <?php
                            }
                            ?>
                        </ul>
                    </div>
                    
                    <div class="ipland-share-icon">
                        <h4 class="ipland-box-title"><?php _e( 'Options', 'ipland' ); ?></h4>
                        
                        <div id="ipland-field-share-icon" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-button-text"><?php _e( 'Show/Hide Share Link', 'ipland' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                            
                                <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                    <?php
                                    $val = $setting->getSetting( 'share_show', 'true' );
                                    if ( $val == 'false' ) {
                                        $clon  = '';
                                        $cloff = ' button-primary active';
                                    } else {
                                        $clon  = ' button-primary active';
                                        $cloff = '';
                                    }
                                    ?>
                                    <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipland' ); ?></button>
                                    <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipland' ); ?></button>
                                    <input type="hidden" class="ipadm-av-value" name="share_show" value="<?php echo $val; ?>" />
                                </div>
                            
                            </div>
                        </div>
                        <div id="ipland-field-share-icon" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-share-icon"><?php _e( 'Icon', 'ipland' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                                <select name="share_icon" id="input-share-icon">
                                    <?php
                                    $icon    = $setting->getSetting( 'share_icon', 'square_flat' );
                                    $options = array(
                                        'square_flat'   => __( 'Square Flat' ),
                                        'square_grad'   => __( 'Square Gradient' ),
                                        'square_3d'     => __( 'Square 3D' ),
                                        'square_shadow' => __( 'Square Shadow' ),
                                        'round_flat'    => __( 'Round Flat' ),
                                        'round_grad'    => __( 'Round Gradient' ),
                                        'round_3d'      => __( 'Round 3D' ),
                                        'round_shadow'  => __( 'Round Shadow' )
                                    );
                                    foreach( $options as $no => $label ) {
                                        $sltd = '';
                                        if ( $no == $icon ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $no . '"' . $sltd . '>' . $label . '</option>';
                                    }
                                    ?>
                                </select>
                                <div class="ipland-icon-preview">
                                    <h4><?php _e( 'Preview', 'ipland' ); ?></h4>
                                    <div class="ipland-icon-list ipadm-clear">
                                        <?php
                                        $socials = array(
                                            'facebook',
                                            'twitter',
                                            'linkedin',
                                            'pinterest',
                                            'googleplus',
                                            'tumblr',
                                            'stumbleupon',
                                            'digg',
                                            'email'
                                        );
                                        foreach( $socials as $name ) {
                                            $src = IPLAND_BASE_URL . 'img/icon/'.$icon.'/'.$name.'.png';
                                            echo '<span class="ipland-icon"><img src="'.$src.'" alt="'.$name.'"></span>';
                                        }
                                        ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Content for tab survey
         *
         * @return void
         */
        protected function _tabSurvey( $setting, $page = false )
        {
        ?>
            <div class="ipland-tab-section" id="ipland-tab-survey">
                <div class="ipland-tab-header">
                    <h4><?php _e( 'Survey', 'ipland' ); ?></h4>
                    <h5><?php _e( 'Managing survey content on the landing page.', 'ipland' ); ?></h5>
                </div>
                <div class="ipland-fields">
                    
                    <div id="ipland-survey-settings" class="ipadm-clear">
                        <div class="ipland-box-menu">
                            <div class="ipland-box-menu-inner">
                                <ul>
                                    <li>
                                        <a class="active" href="#ipland-survey-section-1">
                                            <strong><?php _e( 'Step 1', 'ipland' ); ?></strong>
                                            <em><?php _e( 'Main question settings', 'ipland' ); ?></em>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#ipland-survey-section-2">
                                            <strong><?php _e( 'Step 2', 'ipland' ); ?></strong>
                                            <em><?php _e( 'Follow up question settings', 'ipland' ); ?></em>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#ipland-survey-section-3">
                                            <strong><?php _e( 'Step 3', 'ipland' ); ?></strong>
                                            <em><?php _e( 'Newsletter settings', 'ipland' ); ?></em>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#ipland-survey-section-4">
                                            <strong><?php _e( 'Step 4', 'ipland' ); ?></strong>
                                            <em><?php _e( 'Affiliate settings', 'ipland' ); ?></em>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#ipland-survey-section-result">
                                            <strong><?php _e( 'Result', 'ipland' ); ?></strong>
                                            <em><?php _e( 'Survey result content settings', 'ipland' ); ?></em>
                                        </a>
                                    </li>
                                    <li>
                                        <a href="#ipland-survey-section-setting">
                                            <strong><?php _e( 'Settings', 'ipland' ); ?></strong>
                                            <em><?php _e( 'General settings for displaying survey', 'ipland' ); ?></em>
                                        </a>
                                    </li>
                                </ul>
                                <?php
                                $tab = 'ipland-survey-section-1';
                                if ( ! empty( $_REQUEST['tab'] )) {
                                    $tab = $_REQUEST['tab'];
                                }
                                ?>
                                <input type="hidden" id="ipland-boxtab-selected" name="boxtab" value="<?php echo $tab; ?>" />
                            </div>
                        </div>
                        <div class="ipland-box-sections">
                            <?php
                            $this->_surveyStep1( $setting, $page );
                            $this->_surveyStep2( $setting, $page );
                            $this->_surveyStep3( $setting, $page );
                            $this->_surveyStep4( $setting, $page );
                            $this->_surveyResult( $setting, $page );
                            $this->_surveySetting( $setting, $page );
                            ?>
                        </div>
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Content for survey step 1
         *
         * @return void
         */
        protected function _surveyStep1( $setting, $page = false )
        {
        ?>
            <div id="ipland-survey-section-1" class="ipland-box-section">
                <div class="ipland-survey-fields">
                
                    <div id="ipland-field-survey-question" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-survey-question"><?php _e( 'Main Question', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $quest = stripslashes( $setting->getSetting( 'survey_question', '' ));
                            ?>
                            <textarea class="ipadm-input" id="input-survey-question" name="survey_question"><?php echo $quest; ?></textarea>
                        </div>
                    </div>
                    <div id="ipland-field-survey-yes-text" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-survey-yes-text"><?php _e( 'Yes Button Text', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $text = stripslashes( $setting->getSetting( 'survey_yes_text', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-survey-yes-text" value="<?php echo $text; ?>" size="30" name="survey_yes_text">
                        </div>
                    </div>
                    <div id="ipland-field-survey-no-text" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-survey-no-text"><?php _e( 'No Button Text', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $text = stripslashes( $setting->getSetting( 'survey_no_text', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-survey-no-text" value="<?php echo $text; ?>" size="30" name="survey_no_text">
                        </div>
                    </div>
                    <div id="ipland-field-survey-or-text" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-survey-or-text"><?php _e( 'Or Text', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $text = stripslashes( $setting->getSetting( 'survey_or_text', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-survey-or-text" value="<?php echo $text; ?>" size="30" name="survey_or_text">
                        </div>
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Content for survey step 2
         *
         * @return void
         */
        protected function _surveyStep2( $setting, $page = false )
        {
        ?>
            <div id="ipland-survey-section-2" class="ipland-box-section">
                <div class="ipland-survey-fields">
                
                    <div id="ipland-field-follow-show" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-follow-show"><?php _e( 'Show/Hide Follow Up Question', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                <?php
                                $val = $setting->getSetting( 'follow_show', 'false' );
                                if ( $val == 'false' ) {
                                    $clon  = '';
                                    $cloff = ' button-primary active';
                                } else {
                                    $clon  = ' button-primary active';
                                    $cloff = '';
                                }
                                ?>
                                <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipland' ); ?></button>
                                <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipland' ); ?></button>
                                <input type="hidden" class="ipadm-av-value" name="follow_show" value="<?php echo $val; ?>" />
                            </div>
                        </div>
                    </div>
                    <div id="ipland-field-follow-question" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-follow-question"><?php _e( 'Main Question', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $quest = stripslashes( $setting->getSetting( 'follow_question', '' ));
                            ?>
                            <textarea class="ipadm-input" id="input-follow-question" name="follow_question"><?php echo $quest; ?></textarea>
                        </div>
                    </div>
                    <div id="ipland-field-follow-yes-text" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-follow-yes-text"><?php _e( 'Yes Button Text', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $text = stripslashes( $setting->getSetting( 'follow_yes_text', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-follow-yes-text" value="<?php echo $text; ?>" size="30" name="follow_yes_text">
                        </div>
                    </div>
                    <div id="ipland-field-follow-no-text" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-follow-no-text"><?php _e( 'No Button Text', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $text = stripslashes( $setting->getSetting( 'follow_no_text', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-follow-no-text" value="<?php echo $text; ?>" size="30" name="follow_no_text">
                        </div>
                    </div>
                    <div id="ipland-field-follow-or-text" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-follow-or-text"><?php _e( 'Or Text', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $text = stripslashes( $setting->getSetting( 'follow_or_text', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-follow-or-text" value="<?php echo $text; ?>" size="30" name="follow_or_text">
                        </div>
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Content for survey step 3
         *
         * @return void
         */
        protected function _surveyStep3( $setting, $page = false )
        {
        ?>
            <div id="ipland-survey-section-3" class="ipland-box-section">
                <div class="ipland-survey-fields">
                
                    <?php
                    $followon = $setting->getSetting( 'follow_show', 'false' );
                    if ( $followon == 'true' ) {
                        $followdsp = '';
                        $maindsp   = ' style="display:none;"';
                    } else {
                        $followdsp = ' style="display:none;"';
                        $maindsp   = '';
                    }
                    ?>
                    <div id="ipland-answer-main"<?php echo $maindsp; ?>>
                        <?php
                        $this->_surveyNewsletter( 'Answer Yes Setting', 'answer_yes', $setting );
                        $this->_surveyNewsletter( 'Answer No Setting', 'answer_no', $setting );
                        ?>
                    </div>
                    <div id="ipland-answer-follow"<?php echo $followdsp; ?>>
                        <?php
                        $this->_surveyNewsletter( 'Answer Yes/Yes Setting', 'answer_yesyes', $setting );
                        $this->_surveyNewsletter( 'Answer Yes/No Setting', 'answer_yesno', $setting );
                        $this->_surveyNewsletter( 'Answer No/No Setting', 'answer_nono', $setting );
                        $this->_surveyNewsletter( 'Answer No/Yes Setting', 'answer_noyes', $setting );
                        ?>
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Content for survey step 3
         *
         * @return void
         */
        protected function _surveyNewsletter( $title, $prefix, $setting )
        {
        ?>
            <div class="ipland-section-group">
                <h4 class="ipland-section-gtitle"><?php _e( $title, 'ipland' ); ?></h4>
                <div class="ipland-section-gfields">
                    
                    <div id="ipland-field-<?php echo $prefix; ?>-title" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-<?php echo $prefix; ?>-title"><?php _e( 'Title', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( $prefix . '_title', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-<?php echo $prefix; ?>-title" value="<?php echo $title; ?>" size="30" name="<?php echo $prefix; ?>_title">
                        </div>
                    </div>
                    <div id="ipland-field-<?php echo $prefix; ?>-subtitle" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-<?php echo $prefix; ?>-subtitle"><?php _e( 'Sub Title', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( $prefix . '_subtitle', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-<?php echo $prefix; ?>-subtitle" value="<?php echo $title; ?>" size="30" name="<?php echo $prefix; ?>_subtitle">
                        </div>
                    </div>
                    <div id="ipland-field-<?php echo $prefix; ?>-text" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-<?php echo $prefix; ?>-text"><?php _e( 'Short Text', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $text = stripslashes( $setting->getSetting( $prefix . '_text', '' ));
                            ?>
                            <textarea class="ipadm-input" id="input-<?php echo $prefix; ?>-text" name="<?php echo $prefix; ?>_text"><?php echo $text; ?></textarea>
                        </div>
                    </div>
                    <div id="ipland-field-<?php echo $prefix; ?>-button" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-<?php echo $prefix; ?>-button"><?php _e( 'Button Text', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $button = stripslashes( $setting->getSetting( $prefix . '_button', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-<?php echo $prefix; ?>-button" value="<?php echo $button; ?>" size="30" name="<?php echo $prefix; ?>_button">
                        </div>
                    </div>
                    
                    <div class="ipland-optin-wrap">
                    
                        <div id="ipland-field-<?php echo $prefix; ?>-optin" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-<?php echo $prefix; ?>-optin"><?php _e( 'Optin Form Code', 'ipland' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                                <?php
                                $code = $setting->getSetting( $prefix . '_optin', '' );
                                ?>
                                <textarea class="ipadm-input ipland-input-optin" id="input-<?php echo $prefix; ?>-code" name="<?php echo $prefix; ?>_optin"><?php echo $code; ?></textarea>
                            </div>
                        </div>
                        <?php
                        $hdisplay = ' style="display:none;"';
                        if ( ! empty( $code ) ) {
                            $hdisplay = '';
                        }
                        $data = IPLand_Form::parse( $code );
                        ?>
                        <div class="ipland-optin-settings"<?php echo $hdisplay; ?>>
                            
                            <div id="ipland-field-<?php echo $prefix; ?>-action" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-<?php echo $prefix; ?>-action"><?php _e( 'Form Action URL', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <?php
                                    $action = $setting->getSetting( $prefix . '_action', $data['action'] );
                                    ?>
                                    <input class="ipadm-input ipland-optin-action" type="text" id="input-<?php echo $prefix; ?>-action" value="<?php echo $action; ?>" size="30" name="<?php echo $prefix; ?>_action">
                                </div>
                            </div>
                            <div id="ipland-field-<?php echo $prefix; ?>-email" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-<?php echo $prefix; ?>-email"><?php _e( 'Form Email Field', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <select name="<?php echo $prefix; ?>_email" id="input-<?php echo $prefix; ?>-email">
                                        <option value="0">-- <?php _e( 'Select field', 'ipland' ); ?> --</option>
                                        <?php
                                        $value = stripslashes( $setting->getSetting( $prefix . '_email', '' ) );
                                        if ( ! empty( $data['fields'] )) {
                                            foreach( $data['fields'] as $field ) {
                                                $sltd = '';
                                                if ( $field == $value ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $field . '"' . $sltd . '>' . $field . '</option>';
                                            }
                                        }
                                        ?>
                                    </select>
                                    <?php
                                    $label = stripslashes( $setting->getSetting( $prefix . '_email_label', '' ) );
                                    ?>
                                    <input class="ipadm-input" type="text" id="input-<?php echo $prefix; ?>-email_label" value="<?php echo $label; ?>" size="30" name="<?php echo $prefix; ?>_email_label" placeholder="<?php _e( 'Input email label', 'ipland' ); ?>">
                                </div>
                            </div>
                            <div id="ipland-field-<?php echo $prefix; ?>-name" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-<?php echo $prefix; ?>-name"><?php _e( 'Form Name Field', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                        <?php
                                        $val = $setting->getSetting( $prefix . '_name_on', 'true' );
                                        if ( $val == 'false' ) {
                                            $clon  = '';
                                            $cloff = ' button-primary active';
                                        } else {
                                            $clon  = ' button-primary active';
                                            $cloff = '';
                                        }
                                        ?>
                                        <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipland' ); ?></button>
                                        <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipland' ); ?></button>
                                        <input type="hidden" class="ipadm-av-value" name="<?php echo $prefix; ?>_name_on" value="<?php echo $val; ?>" />
                                    </div>
                                    <select name="<?php echo $prefix; ?>_name" id="input-<?php echo $prefix; ?>-name">
                                        <option value="0">-- <?php _e( 'Select field', 'ipland' ); ?> --</option>
                                        <?php
                                        $value = stripslashes( $setting->getSetting( $prefix . '_name', '' ) );
                                        if ( ! empty( $data['fields'] )) {
                                            foreach( $data['fields'] as $field ) {
                                                $sltd = '';
                                                if ( $field == $value ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $field . '"' . $sltd . '>' . $field . '</option>';
                                            }
                                        }
                                        ?>
                                    </select>
                                    <?php
                                    $label = stripslashes( $setting->getSetting( $prefix . '_name_label', '' ) );
                                    ?>
                                    <input class="ipadm-input" type="text" id="input-<?php echo $prefix; ?>-name_label" value="<?php echo $label; ?>" size="30" name="<?php echo $prefix; ?>_name_label" placeholder="<?php _e( 'Input name label', 'ipland' ); ?>">
                                </div>
                            </div>
                            
                        </div>
                    </div>
               </div>
            </div>
        <?php
        }
        
        /**
         * Content for survey step 4
         *
         * @return void
         */
        protected function _surveyStep4( $setting, $page = false )
        {
        ?>
            <div id="ipland-survey-section-4" class="ipland-box-section">
                <div class="ipland-survey-fields">
                
                    <div id="ipland-field-affiliate-title" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-affiliate-title"><?php _e( 'Title', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( 'affiliate_title', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-affiliate-title" value="<?php echo $title; ?>" size="30" name="affiliate_title">
                        </div>
                    </div>
                    <div id="ipland-field-affiliate-subtitle" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-affiliate-subtitle"><?php _e( 'Sub Title', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( 'affiliate_subtitle', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-affiliate-subtitle" value="<?php echo $title; ?>" size="30" name="affiliate_subtitle">
                        </div>
                    </div>
                    <div id="ipland-field-affiliate-content" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-affiliate-content"><?php _e( 'Short Text', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $content = stripslashes( $setting->getSetting( 'affiliate_content', '' ));
                            ?>
                            <textarea class="ipadm-input" id="input-affiliate-content" name="affiliate_content"><?php echo $content; ?></textarea>
                        </div>
                    </div>
                    <div id="ipland-field-affiliate-url" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-affiliate-url"><?php _e( 'Link URL', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $url = $setting->getSetting( 'affiliate_url', '' );
                            ?>
                            <input class="ipadm-input" type="text" id="input-affiliate-url" value="<?php echo $url; ?>" size="30" name="affiliate_url">
                        </div>
                    </div>
                    <div id="ipland-field-affiliate-button" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-affiliate-button"><?php _e( 'Button Text', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( 'affiliate_button', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-affiliate-button" value="<?php echo $title; ?>" size="30" name="affiliate_button">
                        </div>
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Content for survey result
         *
         * @return void
         */
        protected function _surveyResult( $setting, $page = false )
        {
        ?>
            <div id="ipland-survey-section-result" class="ipland-box-section">
                <div class="ipland-survey-fields">
                
                    <div id="ipland-field-result-title" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-result-title"><?php _e( 'Result Title', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( 'survey_result_title', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-result-title" value="<?php echo $title; ?>" size="30" name="survey_result_title">
                        </div>
                    </div>
                    <div id="ipland-field-result-info" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-result-info"><?php _e( 'Result Info', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $info = stripslashes( $setting->getSetting( 'survey_result_info', '' ));
                            ?>
                            <textarea class="ipadm-input" id="input-result-info" name="survey_result_info"><?php echo $info; ?></textarea>
                        </div>
                    </div>
                    <div id="ipland-field-result-yes" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-result-yes"><?php _e( 'Result YES Text', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( 'survey_result_yes', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-result-yes" value="<?php echo $title; ?>" size="30" name="survey_result_yes">
                            <p class="ipadm-input-info"><em><?php _e( 'Use the word {count} which will be replaced by the number of choices.', 'ipland' ); ?></em></p>
                        </div>
                    </div>
                    <div id="ipland-field-result-no" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-result-no"><?php _e( 'Result NO Text', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( 'survey_result_no', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-result-no" value="<?php echo $title; ?>" size="30" name="survey_result_no">
                            <p class="ipadm-input-info"><em><?php _e( 'Use the word {count} which will be replaced by the number of choices.', 'ipland' ); ?></em></p>
                        </div>
                    </div>
                    <div id="ipland-field-result-pos" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-result-pos"><?php _e( 'Result Position', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <select id="input-result-pos" name="survey_result_position">
                            <?php
                                $position = stripslashes( $setting->getSetting( 'survey_result_position', 'share' ));
                                $options  = array(
                                    'share'     => __( 'Bellow Share Link', 'ipland' ),
                                    //'survey'    => __( 'In Survey Popup', 'ipland' ),
                                    'separate'  => __( 'Separete', 'ipland' )
                                );
                                foreach( $options as $key => $label ) {
                                    $sltd = '';
                                    if ( $key == $position ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                }
                            ?>
                            </select>
                        </div>
                    </div>
                    <?php
                    $linkdsp = $boxdsp = ' style="display:none;"';
                    if ( $position == 'survey' ) {
                        $linkdsp = '';
                    } elseif ( $position == 'separate' ) {
                        $boxdsp = '';
                    }
                    ?>
                    <div id="ipland-field-result-link" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear"<?php echo $linkdsp; ?>>
                        <div class="ipadm-label">
                            <label for="input-result-link"><?php _e( 'Result Link Text', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( 'survey_result_link', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-result-link" value="<?php echo $title; ?>" size="30" name="survey_result_link">
                        </div>
                    </div>
                    <div id="ipland-field-result-box" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear"<?php echo $boxdsp; ?>>
                        <div class="ipadm-label">
                            <label for="input-result-box"><?php _e( 'Result Box Position', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <select id="input-result-box" name="survey_result_box_position">
                            <?php
                                $position = stripslashes( $setting->getSetting( 'survey_result_box_position', 'bottom' ));
                                $options  = array(
                                    'topleft'     => __( 'Top Left', 'ipland' ),
                                    'topright'    => __( 'Top Right', 'ipland' ),
                                    'bottomleft'  => __( 'Bottom Left', 'ipland' ),
                                    'bottomright' => __( 'Bottom Right', 'ipland' )
                                );
                                foreach( $options as $key => $label ) {
                                    $sltd = '';
                                    if ( $key == $position ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                }
                            ?>
                            </select>
                        </div>
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Content for survey setting
         *
         * @return void
         */
        protected function _surveySetting( $setting, $page = false )
        {
        ?>
            <div id="ipland-survey-section-setting" class="ipland-box-section">
                <div class="ipland-survey-fields">
                
                    <div id="ipland-field-svpopup-show" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-svpopup-show"><?php _e( 'Show/Hide Popup Menu', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                <?php
                                $val = $setting->getSetting( 'survey_popup_link_show', 'true' );
                                if ( $val == 'false' ) {
                                    $clon  = '';
                                    $cloff = ' button-primary active';
                                } else {
                                    $clon  = ' button-primary active';
                                    $cloff = '';
                                }
                                ?>
                                <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipland' ); ?></button>
                                <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipland' ); ?></button>
                                <input type="hidden" class="ipadm-av-value" name="survey_popup_link_show" value="<?php echo $val; ?>" />
                            </div>
                        </div>
                    </div>
                    <div id="ipland-field-popup-link-show" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-popup-link-show"><?php _e( 'Menu Text When Popup Appears', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( 'survey_popup_link_text_show', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-popup-link-show" value="<?php echo $title; ?>" size="30" name="survey_popup_link_text_show">
                        </div>
                    </div>
                    <div id="ipland-field-popup-link-hide" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-popup-link-hide"><?php _e( 'Menu Text When Popup is Hidden', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( 'survey_popup_link_text_hide', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-popup-link-hide" value="<?php echo $title; ?>" size="30" name="survey_popup_link_text_hide">
                        </div>
                    </div>
                    <div id="ipland-field-popup-icon" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-popup-icon"><?php _e( 'Popup Menu Icon', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                                $icon    = $setting->getSetting( 'survey_popup_link_icon', 'chain' );
                                $options = array(
                                    'volume-off'    => '<i class="faip fa-audio"></i> ' . __( 'Audio', 'ipland' ),
                                    'camera'        => '<i class="faip fa-camera"></i> ' . __( 'Camera', 'ipland' ),
                                    'chain'         => '<i class="faip fa-chain"></i> ' . __( 'Chain', 'ipland' ),
                                    'cog'           => '<i class="faip fa-cog"></i> ' . __( 'Cog', 'ipland' ),
                                    'comment'       => '<i class="faip fa-comment"></i> ' . __( 'Comment', 'ipland' ),
                                    'envelope'      => '<i class="faip fa-envelope"></i> ' . __( 'Envelope', 'ipland' ),
                                    'heart'         => '<i class="faip fa-heart"></i> ' . __( 'Heart', 'ipland' ),
                                    'music'         => '<i class="faip fa-music"></i> ' . __( 'Music', 'ipland' ),
                                    'pencil'        => '<i class="faip fa-pencil"></i> ' . __( 'Pencil', 'ipland' ),
                                    'phone'         => '<i class="faip fa-phone"></i> ' . __( 'Phone', 'ipland' ),
                                    'picture-o'     => '<i class="faip fa-picture"></i> ' . __( 'Picture', 'ipland' ),
                                    'refresh'       => '<i class="faip fa-refresh"></i> ' . __( 'Refresh', 'ipland' ),
                                    'search'        => '<i class="faip fa-search"></i> ' . __( 'Search', 'ipland' ),
                                    'shopping-cart' => '<i class="faip fa-shopping-cart"></i> ' . __( 'Shopping Cart', 'ipland' ),
                                    'user'          => '<i class="faip fa-user"></i> ' . __( 'User', 'ipland' ),
                                    'video-camera'  => '<i class="faip fa-video-camera"></i> ' . __( 'Video Camera', 'ipland' ),
                                );
                                $iname = 'Default';
                                if ( array_key_exists( $icon, $options )) {
                                    $iname = $options[$icon];
                                }
                            ?>
                            <span class="ipland-icon-popup">
                                <div class="ipadm-menu ipadm-gen-menu">
                                    <div class="ipadm-selected">
                                        <div class="ipadm-selected-box">
                                            <span data-select="<?php echo $icon; ?>"><?php echo $iname; ?></span>
                                        </div>
                                        <span class="toggle"></span>
                                    </div>
                                    <div class="ipadm-select" style="display: none;">
                                        <div class="ipadm-select-content">
                                            <ul class="clearfix">
                                                <?php 
                                                foreach( $options as $key => $label ) :
                                                ?>
                                                    <li data-select="<?php echo $key; ?>">
                                                        <strong class="ipadm-select-label">
                                                        <?php echo $label; ?>
                                                        </strong>
                                                    </li>
                                                <?php
                                                endforeach;
                                                ?>
                                            </ul>
                                        </div>
                                    </div>
                                    <input type="hidden" name="survey_popup_link_icon" class="ipadm-input-select" value="<?php echo $icon; ?>" />
                                </div>
                            </span>
                        </div>
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Content for tab newsletter
         *
         * @return void
         */
        protected function _tabNewsletter( $setting, $page = false )
        {
        ?>
            <div class="ipland-tab-section" id="ipland-tab-newsletter">
                <div class="ipland-tab-header">
                    <h4><?php _e( 'Newsletter', 'ipland' ); ?></h4>
                    <h5><?php _e( 'Add newsletter block in landing page.', 'ipland' ); ?></h5>
                </div>
                <div class="ipland-fields">
                
                    <div id="ipland-field-newsletter-show" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-newsletter-show"><?php _e( 'Show/Hide Newsletter', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                <?php
                                $val = $setting->getSetting( 'newsletter_show', 'false' );
                                if ( $val == 'false' ) {
                                    $clon  = '';
                                    $cloff = ' button-primary active';
                                } else {
                                    $clon  = ' button-primary active';
                                    $cloff = '';
                                }
                                ?>
                                <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipland' ); ?></button>
                                <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipland' ); ?></button>
                                <input type="hidden" class="ipadm-av-value" name="newsletter_show" value="<?php echo $val; ?>" />
                            </div>
                        </div>
                    </div>
                    
                    <div id="ipland-field-newsletter-title" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-newsletter-title"><?php _e( 'Title', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( 'newsletter_title', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-newsletter-title" value="<?php echo $title; ?>" size="30" name="newsletter_title">
                        </div>
                    </div>
                    <div id="ipland-field-nlbox-icon" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-nlbox-icon"><?php _e( 'Title Icon', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                                $icon    = $setting->getSetting( 'newsletter_box_icon', 'envelope' );
                                $options = array(
                                    'cog'           => '<i class="faip fa-cog"></i> ' . __( 'Cog', 'ipland' ),
                                    'comment'       => '<i class="faip fa-comment"></i> ' . __( 'Comment', 'ipland' ),
                                    'envelope'      => '<i class="faip fa-envelope"></i> ' . __( 'Envelope', 'ipland' ),
                                    'heart'         => '<i class="faip fa-heart"></i> ' . __( 'Heart', 'ipland' ),
                                    'pencil'        => '<i class="faip fa-pencil"></i> ' . __( 'Pencil', 'ipland' ),
                                    'phone'         => '<i class="faip fa-phone"></i> ' . __( 'Phone', 'ipland' ),
                                    'refresh'       => '<i class="faip fa-refresh"></i> ' . __( 'Refresh', 'ipland' ),
                                    'user'          => '<i class="faip fa-user"></i> ' . __( 'User', 'ipland' ),
                                );
                                $iname = 'Default';
                                if ( array_key_exists( $icon, $options )) {
                                    $iname = $options[$icon];
                                }
                            ?>
                            <span class="ipland-icon-newsletter">
                                <div class="ipadm-menu ipadm-gen-menu">
                                    <div class="ipadm-selected">
                                        <div class="ipadm-selected-box">
                                            <span data-select="<?php echo $icon; ?>"><?php echo $iname; ?></span>
                                        </div>
                                        <span class="toggle"></span>
                                    </div>
                                    <div class="ipadm-select" style="display: none;">
                                        <div class="ipadm-select-content">
                                            <ul class="clearfix">
                                                <?php 
                                                foreach( $options as $key => $label ) :
                                                ?>
                                                    <li data-select="<?php echo $key; ?>">
                                                        <strong class="ipadm-select-label">
                                                        <?php echo $label; ?>
                                                        </strong>
                                                    </li>
                                                <?php
                                                endforeach;
                                                ?>
                                            </ul>
                                        </div>
                                    </div>
                                    <input type="hidden" name="newsletter_box_icon" class="ipadm-input-select" value="<?php echo $icon; ?>" />
                                </div>
                            </span>
                        </div>
                    </div>
                    <div id="ipland-field-newsletter-desc" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-newsletter-desc"><?php _e( 'Short Text', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $desc = stripslashes( $setting->getSetting( 'newsletter_desc', '' ));
                            ?>
                            <textarea class="ipadm-input" id="input-newsletter-desc" name="newsletter_desc"><?php echo $desc; ?></textarea>
                        </div>
                    </div>
                    <div id="ipland-field-newsletter-button" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-newsletter-button"><?php _e( 'Button Text', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $button = stripslashes( $setting->getSetting( 'newsletter_button', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-newsletter-button" value="<?php echo $button; ?>" size="30" name="newsletter_button">
                        </div>
                    </div>
                    
                    <div class="ipland-optin-wrap">
                        <div id="ipland-field-newsletter-code" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                            <div class="ipadm-label">
                                <label for="input-newsletter-code"><?php _e( 'Optin Form Code', 'ipland' ); ?></label>
                            </div>
                            <div class="ipadm-field">
                                <?php
                                $code = $setting->getSetting( 'newsletter_code', '' );
                                ?>
                                <textarea class="ipadm-input ipland-input-optin" id="input-newsletter-code" name="newsletter_code"><?php echo $code; ?></textarea>
                            </div>
                        </div>
                        <?php
                        $hdisplay = ' style="display:none;"';
                        if ( ! empty( $code ) ) {
                            $hdisplay = '';
                        }
                        $data = IPLand_Form::parse( $code );
                        ?>
                        <div id="ipland-newsletter-optin-settings" class="ipland-optin-settings"<?php echo $hdisplay; ?>>
                        
                            <div id="ipland-field-newsletter-action" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-newsletter-action"><?php _e( 'Form Action URL', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <?php
                                    $action = $setting->getSetting( 'newsletter_action', $data['action'] );
                                    ?>
                                    <input class="ipadm-input ipland-optin-action" type="text" id="input-newsletter-action" value="<?php echo $action; ?>" size="30" name="newsletter_action">
                                </div>
                            </div>
                            <div id="ipland-field-newsletter-field-email" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-newsletter-field-email"><?php _e( 'Form Email Field', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <select name="newsletter_field_email" id="input-newsletter-field-email">
                                        <option value="0">-- <?php _e( 'Select field', 'ipland' ); ?> --</option>
                                        <?php
                                        $value = stripslashes( $setting->getSetting( 'newsletter_field_email', '' ) );
                                        if ( ! empty( $data['fields'] )) {
                                            foreach( $data['fields'] as $field ) {
                                                $sltd = '';
                                                if ( $field == $value ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $field . '"' . $sltd . '>' . $field . '</option>';
                                            }
                                        }
                                        ?>
                                    </select>
                                    <?php
                                    $label = stripslashes( $setting->getSetting( 'newsletter_field_email_label', '' ) );
                                    ?>
                                    <input class="ipadm-input" type="text" id="input-nl-email_label" value="<?php echo $label; ?>" size="30" name="newsletter_field_email_label" placeholder="<?php _e( 'Input email label', 'ipland' ); ?>">
                                </div>
                            </div>
                            <div id="ipland-field-newsletter-field-name" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-newsletter-field-name"><?php _e( 'Form Name Field', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                        <?php
                                        $val = $setting->getSetting( 'newsletter_field_name_on', 'true' );
                                        if ( $val == 'false' ) {
                                            $clon  = '';
                                            $cloff = ' button-primary active';
                                        } else {
                                            $clon  = ' button-primary active';
                                            $cloff = '';
                                        }
                                        ?>
                                        <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipland' ); ?></button>
                                        <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipland' ); ?></button>
                                        <input type="hidden" class="ipadm-av-value" name="newsletter_field_name_on" value="<?php echo $val; ?>" />
                                    </div>
                                    <select name="newsletter_field_name" id="input-newsletter-field-name">
                                        <option value="0">-- <?php _e( 'Select field', 'ipland' ); ?> --</option>
                                        <?php
                                        $value = stripslashes( $setting->getSetting( 'newsletter_field_name', '' ) );
                                        if ( ! empty( $data['fields'] )) {
                                            foreach( $data['fields'] as $field ) {
                                                $sltd = '';
                                                if ( $field == $value ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $field . '"' . $sltd . '>' . $field . '</option>';
                                            }
                                        }
                                        ?>
                                    </select>
                                    <?php
                                    $label = stripslashes( $setting->getSetting( 'newsletter_field_name_label', '' ) );
                                    ?>
                                    <input class="ipadm-input" type="text" id="input-nl-email_label" value="<?php echo $label; ?>" size="30" name="newsletter_field_name_label" placeholder="<?php _e( 'Input name label', 'ipland' ); ?>">
                                </div>
                            </div>
                            
                        </div>
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Content for tab seo
         *
         * @return void
         */
        protected function _tabSeo( $setting, $page = false )
        {
        ?>
            <div class="ipland-tab-section" id="ipland-tab-seo">
                <div class="ipland-tab-header">
                    <h4><?php _e( 'SEO Settings', 'ipland' ); ?></h4>
                    <h5><?php _e( 'Improving your page rating in search engines', 'ipland' ); ?></h5>
                </div>
                <div class="ipland-fields">
                
                    <div id="ipland-field-seo-title" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-seo-title"><?php _e( 'Browser Title', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $title = stripslashes( $setting->getSetting( 'seo_title', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-seo-title" value="<?php echo $title; ?>" size="30" name="seo_title">
                        </div>
                    </div>
                    <div id="ipland-field-seo-desc" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-seo-desc"><?php _e( 'Meta Description', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $desc = stripslashes( $setting->getSetting( 'seo_desc', '' ));
                            ?>
                            <textarea class="ipadm-input" id="input-seo-desc" name="seo_desc"><?php echo $desc; ?></textarea>
                        </div>
                    </div>
                    <div id="ipland-field-seo-keywords" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-seo-keywords"><?php _e( 'Meta Keywords', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $keywords = stripslashes( $setting->getSetting( 'seo_keywords', '' ));
                            ?>
                            <input class="ipadm-input" type="text" id="input-seo-keywords" value="<?php echo $keywords; ?>" size="30" name="seo_keywords">
                        </div>
                    </div>
                    <div id="ipland-field-seo-favicon" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-seo-favicon"><?php _e( 'Favicon URL', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $favicon = $setting->getSetting( 'seo_favicon', '' );
                            ?>
                            <input class="ipadm-input" type="text" id="input-seo-favicon" value="<?php echo $favicon; ?>" size="30" name="seo_favicon">
                        </div>
                    </div>
                    <div id="ipland-field-seo-tracking" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-seo-tracking"><?php _e( 'Javascript Tracking Code', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <?php
                            $tracking = $setting->getSetting( 'seo_tracking', '' );
                            ?>
                            <textarea class="ipadm-input" id="input-seo-tracking" name="seo_tracking"><?php echo $tracking; ?></textarea>
                        </div>
                    </div>
                    
                </div>
            </div>
        <?php
        }
        
        /**
         * Content for tab basic design
         *
         * @return void
         */
        protected function _tabBasicDesign( $setting, $page = false )
        {
        ?>
            <div class="ipland-section-group">
                <h4 class="ipland-section-gtitle"><?php _e( 'Basic Settings', 'ipland' ); ?></h4>
                <div class="ipland-section-gfields">
                
                    <div id="ipland-field-font-size" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-font-size"><?php _e( 'Font Size', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            
                            <div class="ipadm-input-wrap">
                                <select name="font_size" id="input-font-size">
                                    <option value="0">-- <?php _e( 'Size', 'ipland' ); ?> --</option>
                                    <?php
                                    $current = $setting->getSetting( 'font_size', 'medium' );
                                    $sizes   = array(
                                        'small'  => __( 'Small', 'ipland' ),
                                        'medium' => __( 'Medium', 'ipland' ),
                                        'large'  => __( 'Large', 'ipland' )
                                    );
                                    foreach( $sizes as $key => $label )
                                    {
                                        $sltd = '';
                                        if ( $current == $key ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                    }
                                    ?>
                                </select>
                            </div>
                            
                        </div>
                    </div>
                    
                    <div id="ipland-field-title-font" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-font"><?php _e( 'Title Font Family', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            
                            <div class="ipadm-input-wrap">
                                <?php
                                $current = $setting->getSetting( 'title_font_family', 'roboto' );
                                $fonts   = IPLand_Font::getOptions();
                                $fname   = IPLand_Font::getFontName( $current );
                                ?>
                                <span class="ipadm-font-family">
                                    <div class="ipadm-menu ipadm-gen-menu">
                                        <div class="ipadm-selected">
                                            <div class="ipadm-selected-box">
                                                <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                                            </div>
                                            <span class="toggle"></span>
                                        </div>
                                        <div class="ipadm-select" style="display: none;">
                                            <div class="ipadm-select-content">
                                                <ul class="clearfix">
                                                    <?php 
                                                    foreach( $fonts as $key => $label ) :
                                                    ?>
                                                        <li data-select="<?php echo $key; ?>">
                                                            <strong class="ipadm-select-label">
                                                                <?php echo $label; ?>
                                                            </strong>
                                                        </li>
                                                    <?php
                                                    endforeach;
                                                    ?>
                                                </ul>
                                            </div>
                                        </div>
                                        <input type="hidden" name="title_font_family" class="ipadm-input-select" value="<?php echo $current; ?>" />
                                    </div>
                                </span>
                            </div>
                            
                        </div>
                    </div>
                    <div id="ipland-field-text-font" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-text-font-size"><?php _e( 'Text Font Family', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            
                            <div class="ipadm-input-wrap">
                                <?php
                                $current = $setting->getSetting( 'text_font_family', 'roboto' );
                                $fonts   = IPLand_Font::getOptions();
                                $fname   = IPLand_Font::getFontName( $current );
                                ?>
                                <span class="ipadm-font-family">
                                    <div class="ipadm-menu ipadm-gen-menu">
                                        <div class="ipadm-selected">
                                            <div class="ipadm-selected-box">
                                                <span data-select="<?php echo $current; ?>"><?php echo $fname; ?></span>
                                            </div>
                                            <span class="toggle"></span>
                                        </div>
                                        <div class="ipadm-select" style="display: none;">
                                            <div class="ipadm-select-content">
                                                <ul class="clearfix">
                                                    <?php 
                                                    foreach( $fonts as $key => $label ) :
                                                    ?>
                                                        <li data-select="<?php echo $key; ?>">
                                                            <strong class="ipadm-select-label">
                                                        <?php echo $label; ?>
                                                            </strong>
                                                        </li>
                                                    <?php
                                                    endforeach;
                                                    ?>
                                                </ul>
                                            </div>
                                        </div>
                                        <input type="hidden" name="text_font_family" class="ipadm-input-select" value="<?php echo $current; ?>" />
                                    </div>
                                </span>
                            </div>
                            
                        </div>
                    </div>
                    <?php
                    $btnSizes = array(
                        'xs'  => __( 'Extra Small', 'ipland' ),
                        'sm'  => __( 'Small', 'ipland' ),
                        'md'  => __( 'Medium', 'ipland' ),
                        'lg'  => __( 'Large', 'ipland' ),
                    );
                    $btnStyles = array(
                        'flat'     => __( 'Flat', 'ipland' ),
                        'gradient' => __( 'Gradient', 'ipland' ),
                        'rounded'  => __( 'Rounded', 'ipland' ),
                    );
                    $btnColors = array(
                        'clean'    => __( 'Clean', 'ipland' ),
                        'dark'     => __( 'Dark', 'ipland' ),
                        'red'      => __( 'Red', 'ipland' ),
                        'blue'     => __( 'Blue', 'ipland' ),
                        'green'    => __( 'Green', 'ipland' ),
                        'orange'   => __( 'Orange', 'ipland' ),
                        'gold'     => __( 'Gold', 'ipland' ),
                        'aqua'     => __( 'Aqua', 'ipland' ),
                        'purple'   => __( 'Purple', 'ipland' ),
                        'lime'     => __( 'Lime', 'ipland' ),
                    );
                    ?>
                    <div id="ipland-field-button-style" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-button-style"><?php _e( 'Button Style', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <select name="button_style" id="input-button-style">
                                <option value="0">-- <?php _e( 'Style', 'ipland' ); ?> --</option>
                                <?php
                                $current = $setting->getSetting( 'button_style', 'flat' );
                                foreach( $btnStyles as $key => $label )
                                {
                                    $sltd = '';
                                    if ( $current == $key ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                }
                                ?>
                            </select>
                            <select name="button_color" id="input-button-color">
                                <option value="0">-- <?php _e( 'Color', 'ipland' ); ?> --</option>
                                <?php
                                $current = $setting->getSetting( 'button_color', 'clean' );
                                foreach( $btnColors as $key => $label )
                                {
                                    $sltd = '';
                                    if ( $current == $key ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                }
                                ?>
                            </select>
                            <select name="button_size" id="input-button-size">
                                <option value="0">-- <?php _e( 'Size', 'ipland' ); ?> --</option>
                                <?php
                                $current = $setting->getSetting( 'button_size', 'md' );
                                foreach( $btnSizes as $key => $label )
                                {
                                    $sltd = '';
                                    if ( $current == $key ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <div id="ipland-field-box-effect" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-box-effect"><?php _e( 'Box Show Effect', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <select name="box_effect" id="input-box-effect">
                                <?php
                                $effect  = $setting->getSetting( 'box_effect', 'grey' );
                                $options = array(
                                    '0'       => __( 'No Effect', 'ipland' ),
                                    'linear'  => __( 'Linear', 'ipland' ),
                                    'bounce'  => __( 'Bounce', 'ipland' ),
                                    'back'    => __( 'Back', 'ipland' ),
                                    'elastic' => __( 'Elastic', 'ipland' ),
                                    'expo'    => __( 'Expo', 'ipland' )
                                );
                                foreach( $options as $key => $label ) {
                                    $sltd = '';
                                    if ( $key == $effect ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <div id="ipland-field-box-sound" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-box-sound"><?php _e( 'Box Show Sound', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <select name="box_sound" id="input-box-sound">
                                <option value="0"><?php _e( 'No Audio' ); ?></option>
                                <?php
                                $sound   = $setting->getSetting( 'box_sound', 'grey' );
                                $options = range(1,5);
                                foreach( $options as $key ) {
                                    $sltd = '';
                                    if ( $key == $sound ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $key . '"' . $sltd . '>Audio ' . $key . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <div id="ipland-field-overlay-color" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-overlay-color"><?php _e( 'Background Overlay Color', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <select name="overlay_color" id="input-overlay-color">
                                <?php
                                $color   = $setting->getSetting( 'overlay_color', 'dark' );
                                $options = array(
                                    'light'  => __( 'Light', 'ipland' ),
                                    'dark'   => __( 'Dark', 'ipland' )
                                );
                                foreach( $options as $key => $label ) {
                                    $sltd = '';
                                    if ( $key == $color ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                </div>
                
                <h4 class="ipland-section-gtitle"><?php _e( 'Survey Design Settings', 'ipland' ); ?></h4>
                <div class="ipland-section-gfields">
                
                    <div id="ipland-field-svbgcolor" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-svbgcolor"><?php _e( 'Background Color', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <input type="text" class="ipland-color-picker" id="input-svbgcolor" name="survey_bgcolor" value="<?php echo $setting->getSetting( 'survey_bgcolor', '#ffffff' ); ?>" />
                        </div>
                    </div>
                    <div id="ipland-field-svcolor" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-svcolor"><?php _e( 'Text Color', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <input type="text" class="ipland-color-picker" id="input-svcolor" name="survey_color" value="<?php echo $setting->getSetting( 'survey_color', '#333333' ); ?>" />
                        </div>
                    </div>
                    <div id="ipland-field-svfooter-bgcolor" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-svfooter-bgcolor"><?php _e( 'Footer Background Color', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <input type="text" class="ipland-color-picker" id="input-svfooter-bgcolor" name="survey_footer_bgcolor" value="<?php echo $setting->getSetting( 'survey_footer_bgcolor', '#dddddd' ); ?>" />
                        </div>
                    </div>
                    <div id="ipland-field-svfooter-color" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-svfooter-color"><?php _e( 'Footer Text Color', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <input type="text" class="ipland-color-picker" id="input-svfooter-color" name="survey_footer_color" value="<?php echo $setting->getSetting( 'survey_footer_color', '#444444' ); ?>" />
                        </div>
                    </div>
                </div>
                
                <h4 class="ipland-section-gtitle"><?php _e( 'Share Design Settings', 'ipland' ); ?></h4>
                <div class="ipland-section-gfields">
                
                    <div id="ipland-field-shbox-style" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-shbox-style"><?php _e( 'Box Style', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <select name="share_box_style" id="input-shbox-style">
                                <?php
                                $style   = $setting->getSetting( 'share_box_style', 'clean' );
                                $options = array(
                                    'clean'     => __( 'Clean', 'ipland' ),
                                    'flat'      => __( 'Flat', 'ipland' ),
                                    'bordered'  => __( 'Bordered', 'ipland' )
                                );
                                foreach( $options as $key => $label ) {
                                    $sltd = '';
                                    if ( $key == $style ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <div id="ipland-field-shbox-color" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-shbox-color"><?php _e( 'Box Color', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <select name="share_box_color" id="input-shbox-color">
                                <?php
                                $color   = $setting->getSetting( 'share_box_color', 'grey' );
                                $options = array(
                                    'grey'   => __( 'Grey', 'ipland' ),
                                    'dark'   => __( 'Dark', 'ipland' ),
                                    'blue'   => __( 'Blue', 'ipland' ),
                                    'red'    => __( 'Red', 'ipland' ),
                                    'green'  => __( 'Green', 'ipland' ),
                                    'orange' => __( 'Orange', 'ipland' )
                                );
                                foreach( $options as $key => $label ) {
                                    $sltd = '';
                                    if ( $key == $color ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                </div>
                
                <h4 class="ipland-section-gtitle"><?php _e( 'Newsletter Design Settings', 'ipland' ); ?></h4>
                <div class="ipland-section-gfields">
                
                    <div id="ipland-field-nlbox-style" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-nlbox-style"><?php _e( 'Box Style', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <select name="newsletter_box_style" id="input-nlbox-style">
                                <?php
                                $style   = $setting->getSetting( 'newsletter_box_style', 'clean' );
                                $options = array(
                                    'clean'     => __( 'Clean', 'ipland' ),
                                    'flat'      => __( 'Flat', 'ipland' ),
                                    'bordered'  => __( 'Bordered', 'ipland' ),
                                    'gradation' => __( 'Gradation', 'ipland' )
                                );
                                foreach( $options as $key => $label ) {
                                    $sltd = '';
                                    if ( $key == $style ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <div id="ipland-field-nlbox-color" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-nlbox-color"><?php _e( 'Box Color', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <select name="newsletter_box_color" id="input-nlbox-color">
                                <?php
                                $color   = $setting->getSetting( 'newsletter_box_color', 'grey' );
                                $options = array(
                                    'grey'   => __( 'Grey', 'ipland' ),
                                    'dark'   => __( 'Dark', 'ipland' ),
                                    'blue'   => __( 'Blue', 'ipland' ),
                                    'red'    => __( 'Red', 'ipland' ),
                                    'green'  => __( 'Green', 'ipland' ),
                                    'orange' => __( 'Orange', 'ipland' )
                                );
                                foreach( $options as $key => $label ) {
                                    $sltd = '';
                                    if ( $key == $color ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                    <div id="ipland-field-newsletter-pos" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-newsletter-pos"><?php _e( 'Newsletter Menu Position', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <select id="input-newsletter-pos" name="newsletter_position">
                            <?php
                                $position = $setting->getSetting( 'newsletter_position', 'bottomright' );
                                $options  = array(
                                    'topleft'     => __( 'Top Left', 'ipland' ),
                                    'topright'    => __( 'Top Right', 'ipland' ),
                                    'bottomleft'  => __( 'Bottom Left', 'ipland' ),
                                    'bottomright' => __( 'Bottom Right', 'ipland' )
                                );
                                foreach( $options as $key => $label ) {
                                    $sltd = '';
                                    if ( $key == $position ) {
                                        $sltd = ' selected="selected"';
                                    }
                                    echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                }
                            ?>
                            </select>
                        </div>
                    </div>
                    <div id="ipland-field-nl-label" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-nl-label"><?php _e( 'Use Input Label', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                <?php
                                $val = $setting->getSetting( 'newsletter_label_on', 'true' );
                                if ( $val == 'false' ) {
                                    $clon  = '';
                                    $cloff = ' button-primary active';
                                } else {
                                    $clon  = ' button-primary active';
                                    $cloff = '';
                                }
                                ?>
                                <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipland' ); ?></button>
                                <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipland' ); ?></button>
                                <input type="hidden" class="ipadm-av-value" name="newsletter_label_on" value="<?php echo $val; ?>" />
                            </div>
                            <p class="ipadm-input-info"><em><?php _e( 'If this setting is set to "off" then it will use a placeholder in the input form.', 'ipland' ); ?></em></p>
                        </div>
                    </div>
                </div>
                
            </div>
        <?php
        }
        
        /**
         * Content for tab statistic
         *
         * @return void
         */
        protected function _tabStatistic( $setting, $page = false )
        {
            if ( $page ) :
                
                wp_enqueue_script('jquery-ui-datepicker');
                
                $model = new IPLand_Model();
                $pid   = $page->ID;
        ?>
            <div class="ipland-tab-section" id="ipland-tab-statistic">
                <div class="ipland-tab-header">
                    <h4><?php _e( 'Statistic', 'ipland' ); ?></h4>
                    <h5><?php _e( 'See statistics for user interaction to the landing page', 'ipland' ); ?></h5>
                </div>
                <div class="ipland-fields">

<?php
$views    = $model->getStatValue( $pid, 'view' );
$clicks   = $model->getStatValue( $pid, 'click' );
$convRate = 0;
if( $clicks != '0' && $views != '0') {
    $convRate = 100 * intval($clicks) / intval($views);
    $convRate = round( $convRate, 2 );
}
?>
<div id="ipland-admin-stat">
    <div id="ipland-stat-filter" class="ipadm-clear">
        <div id="ipland-stat-nav">
            <ul class="ipadm-clear">
                <li class="ipland-nav-view active">
                    <a href="#stat-view">
                        <strong class="stat-value">
                            <?php echo $views; ?>
                        </strong>
                        <span class="stat-label">
                            <i class="faip fa-eye"></i>
                            <?php _e( 'Views', 'ipland' ); ?>
                        </span>
                    </a>
                </li>
                <li class="ipland-nav-lead">
                    <a href="#stat-lead">
                        <strong class="stat-value">
                            <?php echo $model->getStatValue( $pid, 'lead' ); ?>
                        </strong>
                        <span class="stat-label">
                            <i class="faip fa-envelope"></i>
                            <?php _e( 'Leads', 'ipland' ); ?>
                        </span>
                    </a>
                </li>
                <li class="ipland-nav-click">
                    <a href="#stat-click">
                        <strong class="stat-value">
                            <?php echo $clicks; ?>
                        </strong>
                        <span class="stat-label">
                            <i class="faip fa-chain"></i>
                            <?php _e( 'Clicks', 'ipland' ); ?>
                        </span>
                    </a>
                </li>
                <li class="ipland-nav-ctr">
                    <a href="#stat-ctr">
                        <strong class="stat-value">
                            <?php echo $convRate; ?> %
                        </strong>
                        <span class="stat-label">
                            <i class="faip fa-money"></i>
                            <?php _e( 'CTR', 'ipland' ); ?>
                        </span>
                    </a>
                </li>
                <li class="ipland-nav-share">
                    <a href="#stat-share">
                        <strong class="stat-value">
                            <?php echo $model->getStatValue( $pid, 'share' ); ?>
                        </strong>
                        <span class="stat-label">
                            <i class="faip fa-share-alt"></i>
                            <?php _e( 'Shares', 'ipland' ); ?>
                        </span>
                    </a>
                </li>
                <li class="ipland-nav-agree">
                    <a href="#stat-agree">
                        <strong class="stat-value">
                            <?php echo $model->getStatValue( $pid, 'agree' ); ?>
                        </strong>
                        <span class="stat-label">
                            <i class="faip fa-check"></i>
                            <?php _e( 'Agree', 'ipland' ); ?>
                        </span>
                    </a>
                </li>
                <li class="ipland-nav-disagree">
                    <a href="#stat-disagree">
                        <strong class="stat-value">
                            <?php echo $model->getStatValue( $pid, 'disagree' ); ?>
                        </strong>
                        <span class="stat-label">
                            <i class="faip fa-times"></i>
                            <?php _e( 'Disagree', 'ipland' ); ?>
                        </span>
                    </a>
                </li>
            </ul>
        </div>
        <div id="ipland-date-filter">
            <form action="" method="post">
                <input type="hidden" id="value-pageid" name="pageid" value="<?php echo $page->ID; ?>" />
                <input type="hidden" id="value-stat-type" name="stat_type" value="view" />
                <?php
                $dateStart = date('m/d/Y');
                $dateEnd   = date('m/d/Y'); 
                ?>
                <strong><?php _e( 'Filter By Date', 'ipland' ); ?>: </strong>
                <span class="ipland-date-input">
                    <input type="text" id="date-start" name="cdatestart" value="<?php echo $dateStart; ?>" />
                    -
                    <input type="text" id="date-end" name="cdateend" value="<?php echo $dateEnd; ?>" />
                </span>
                <span class="ipland-do-filter">
                    <input type="submit" id="do-filter-date" class="button button-primary" name="do_filter_date" value="<?php _e( 'Go', 'ipland' ); ?>" />
                </span>
            </form>
        </div>
    </div>

    <div id="ipland-stat-main">
        <h4><?php _e( 'Views Statistic', 'ipland' ); ?></h4>
        <div id="ipland-stat-chart">
        
            <script type="text/javascript" src="https://www.google.com/jsapi"></script>
            <script type="text/javascript">
                google.load("visualization", "1", {packages:["corechart"]});
                google.setOnLoadCallback(drawChart);
                function drawChart() {
                    
                    var dataTable = new google.visualization.DataTable();
                    dataTable.addColumn( 'date', '<?php _e( 'Date', 'ipland' ); ?>' );
                    dataTable.addColumn( 'number', '<?php _e( 'Views', 'ipland' ); ?>' );
                    
                    var rows = [
                    <?php
                    $model  = new IPLand_Model();
                    $stdata = $model->getStatisticData( $page->ID, 'view' );
                    if ( $stdata ) {
                        foreach( $stdata as $data ) {
                            $timestamp = strtotime( $data->gdate );
                            $phpdate   = getdate($timestamp);
                            
                            echo '[new Date(' 
                                    . $phpdate['year'] . ', '
                                    . ( $phpdate['mon']  - 1 ) . ', '
                                    . $phpdate['mday'] . ',0,0,0), '
                                    . $data->value
                                . '],';
                        }
                    }
                    ?>
                    ];
                    dataTable.addRows( rows );
                    
                    var options = {
                        series: [{pointSize:6}]
                    };
                    var chart = new google.visualization.LineChart(document.getElementById('ipland-chart-div'));
                    chart.draw(dataTable, options);
                }
            </script>
            
            <div id="ipland-chart-div" style="width: 100%; height: 500px;"></div>
            <div id="ipland-chart-load" style="display: none;">
                <?php
                $plgurl = plugin_dir_url( dirname(__FILE__) );
                $src    = $plgurl . 'img/loading.gif';
                ?>
                <img src="<?php echo $src; ?>" alt="Loading..." />
            </div>
            
        </div>
    </div>
</div>

                </div>
            </div>
            
        <?php
            endif;
        }
    }
}