<?php
if ( ! class_exists( 'IPLand_Admin' )) {

    /**
     * Class for handling administrator page
     */
    class IPLand_Admin
    {
        
        /**
         * Show content admin promo
         *
         * @return void
         */
        public function promo()
        {
        ?>
            <div id="ipland-admin-promo" class="wrap ipadm-wrap ipland-admin">
                <div class="ipadm-inner">
                    
                    <div class="ipadm-header">
                        <div class="ipland-page-title">
                            <h1><?php _e( 'SocialLead Page Builder', 'ipland' ); ?></h1>
                        </div>
                        <div class="ipland-page-subtitle">
                            <h3><?php _e( 'All Page Promo', 'ipland' ); ?></h3>
                        </div>
                        <div class="ipland-btn-add">
                            <a href="<?php echo admin_url() . 'admin.php?page=ipland-promo&action=add'; ?>" class="ipadm-btn ipadm-btn-primary"><?php _e( 'Add Page Promo', 'ipland' ); ?></a>
                        </div>
                    </div>
                    
                    <?php
                    if ( isset( $_GET['add'] )) :
                    ?>
                    <div id="ipadm-messages" class="ipadm-success" style="display: block;">
                        <?php _e( 'Successfully add an page promo.', 'ipland' ); ?>
                    </div>
                    <?php
                    endif;
                    ?>
                    
                    <div class="ipadm-body">
                        
                        <div class="ipadm-main">
                            <div class="ipadm-manage">
                                
                                <div class="ipadm-table">
                                    <?php
                                    require_once( plugin_dir_path( __FILE__ ) . "admin-table-promo.php" );
                                    $paginArgs = array(
                                        "per_page" => 20 
                                    );
                                    $table = new IPLand_AdminTablePromo();
                                    $table->prepare_items();
                                    $table->display();
                                    ?>
                                </div>
                                
                            </div>
                        </div>
                        
                    </div>
                    
                </div>
                
                <div id="ipland-modal-message-overlay" style="display:none;">
                    <div id="ipland-modal-message"></div>
                </div>
                <div id="ipland-modal-confirm-overlay" style="display:none;">
                    <div id="ipland-modal-confirm">
                        <div class="ipland-modal-title">
                            <h3><?php _e( 'Delete Confirmation', 'ipland' ); ?></h3>
                        </div>
                        <div class="ipland-modal-content">
                            <p><?php _e( 'Are you sure doing this action?', 'ipland' ); ?></p>
                            <div class="ipadm-buttons">
                                <a href="#" class="ipadm-btn ipadm-btn-danger ipland-accept"><?php _e( 'Yes', 'ipland' ); ?></a>
                                <a href="#" class="ipadm-btn ipadm-btn-default ipland-deny"><?php _e( 'No', 'ipland' ); ?></a>
                            </div>
                        </div>
                    </div>
                </div>
                
            </div>
        <?php
        }
        
        /**
         * Show content admin add page promo
         *
         * @return void
         */
        public function promoAdd()
        {
            $this->promoManage();
        }
        
        /**
         * Show content admin edit page promo
         *
         * @return void
         */
        public function promoEdit()
        {
            if ( empty( $_GET['id'] )) {
                wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'ipland') );
            }
            $id = absint( $_GET['id'] );
            if ( ! $promo = get_post( $id ) ) {
                wp_die( __('You attempted to edit an item that doesn&#8217;t exist. Perhaps it was deleted?', 'ipland') );
            }
            $this->promoManage( $promo );
        }
        
        /**
         * Show content admin manage page promo
         *
         * @param object $promo
         * @return void
         */
        public function promoManage( $promo = false )
        {
            wp_enqueue_script('wp-color-picker');
            wp_enqueue_style('wp-color-picker');
            
            if ( $promo ) 
            {
                $promoId   = $promo->ID;
                $pageId    = 'ipland-item-promo-edit';
                $pageTitle = __( 'Edit Page Promo', 'ipland' );
                $submit    = __( 'Save Change', 'ipland' );
                $submitId  = 'ipland-edit-page-promo';
                
            } else 
            {
                $pageId    = 'ipland-item-promo-add';
                $pageTitle = __( 'Add Page Promo', 'ipland' );
                $submit    = __( 'Add Page Promo', 'ipland' );
                $submitId  = 'ipland-add-page-promo';
                $promoId   = 0;
            }
            $setting = new IPLand_Setting( $promoId, '__ipland-item-promo-setting' );
        ?>
            <div id="ipland-admin-promo" class="wrap ipadm-wrap ipland-admin">
                <div class="ipadm-inner">
                    
                    <div class="ipadm-header">
                        <div class="ipland-page-title">
                            <h1><?php _e( 'SocialLead Page Builder', 'ipland' ); ?></h1>
                        </div>
                        <div class="ipland-page-subtitle">
                            <h3><?php echo $pageTitle; ?></h3>
                        </div>
                    </div>
                    <div class="ipadm-body">
                        <div class="ipadm-main">
                            <div class="ipadm-manage">

<div id="ipadm-messages"></div>
<form enctype="multipart/form-data" action="#ipland-admin" method="post">

    <input type="hidden" name="promoid" id="value-promoid" value="<?php echo $promoId; ?>" />
    
    <div class="ipadm-2column ipadm-clear">
        <div class="ipland-form-main">
            
            <?php
            //Title
            ?>
            <div id="ipland-field-title" class="ipadm-field-row">
                <?php
                $title = '';
                if ( $promo ) {
                    $title = $promo->post_title;
                }
                ?>
                <input class="ipadm-input ipadm-input-large ipadm-input-full" type="text" id="input-title" value="<?php echo $title; ?>" size="30" name="title" placeholder="<?php _e( 'Enter title here', 'ipland' ); ?>">
            </div>
            
            <?php
            //Content
            ?>
            <div id="ipland-promo-content" class="ipadm-row">
                <div class="ipadm-box">
                    <div class="ipadm-box-header">
                        <h3><?php _e( 'Content', 'ipland' ); ?></h3>
                    </div>
                    <div class="ipadm-box-body">
                        <div class="ipadm-box-main">
                        
                            <div id="field-page" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-page"><?php _e( 'Page URL', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <?php
                                    $url = $setting->getSetting( 'page_url', '' );
                                    ?>
                                    <input class="ipadm-input ipadm-input-full" type="text" id="input-page_url" value="<?php echo $url; ?>" size="30" name="page_url">
                                </div>
                            </div>
                        
                            <div id="field-title" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-promo-title"><?php _e( 'Promo Title', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <?php
                                    $title = stripslashes( $setting->getSetting( 'title', '' ));
                                    ?>
                                    <input class="ipadm-input ipadm-input-full" type="text" id="input-promo-title" value="<?php echo $title; ?>" size="30" name="promo_title">
                                </div>
                            </div>
                        
                            <div id="field-description" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-description"><?php _e( 'Description', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <?php
                                    $tinymceInit = array(
                                        'editor_height' => 60
                                    );
                                    $content = stripslashes( $setting->getSetting( 'description', '' ));
                                    wp_editor( $content, 'content-desc', array( 
                                        'editor_height' => 60,
                                        'tinymce'       => $tinymceInit
                                    )); 
                                    ?>
                                </div>
                            </div>
                            
                            <div id="field-page-image" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                                <div class="ipadm-label">
                                    <label for="input-page-image"><?php _e( 'Image', 'ipland' ); ?></label>
                                </div>
                                <div class="ipadm-field">
                                    <div class="ipadm-input-wrap ipadm-clear ipland-input-upload">
                                        <div class="ipland-image-preview">
                                            <?php
                                            $setImg  = false;
                                            if ( $setting ) {
                                                if ( $attachId = $setting->getSetting( 'image' ) ) {
                                                    $setImg = true;
                                                    $data   = wp_get_attachment_image_src( $attachId, 'thumbnail' );
                                                }
                                            }
                                            if ( $setImg ) {
                                                echo '<div class="photo"><img src="' . $data[0] . '" /></div>';
                                                $reset_dsp = '';
                                            } else {
                                                echo '<div class="none">' . __( 'No image', 'ipland' ) . '</div>';
                                                $reset_dsp = ' style="display:none;"';
                                            }
                                            ?>
                                        </div>
                                        <div class="ipland-image-upload">
                                            <input class="ipland-input-upload" type="file" name="photo" />
                                            <div class="ipland-btn-wrap">
                                                <input class="button ipland-upload-btn" type="submit" name="upload-photo" value="<?php _e( 'Upload', 'ipland' ); ?>" />
                                                <a class="ipland-reset-img button" href="#"<?php echo $reset_dsp; ?>>
                                                    <?php _e( 'Clear Photo', 'ipland' ); ?>
                                                </a>
                                            </div>
                                            <input type="hidden" name="upload_type" class="ipland-upload-type" value="ipland_promo_image" />
                                            <input type="hidden" name="image" class="ipland-photo-id" value="<?php echo $attachId; ?>" />
                                        </div>
                                    </div>
                                </div>
                            </div>
                            
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
        <div class="ipland-form-sidebar">
            <div class="ipadm-row" id="ipland-publish">
                <div class="ipadm-box">
                    <div class="ipadm-box-header">
                        <h3><?php _e( 'Publish', 'ipland' ); ?></h3>
                    </div>
                    <div class="ipadm-box-body">
                        <div class="ipadm-box-main">
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box-small ipadm-clear">
                                <?php
                                $status = 'publish';
                                if ( $promo ) {
                                    $status = $promo->post_status;
                                }
                                $statuses = array(
                                    'publish' => __( 'Publish', 'ipland' ),
                                    'draft'   => __( 'Draft', 'ipland' ),
                                );
                                ?>
                                <label for="ipland-input-status"><?php _e( 'Status', 'ipland' ); ?></label> :
                                <strong id="ipland-status-value"><?php echo $statuses[$status]; ?></strong>
                                <a id="ipland-edit-status" href="#" title="<?php _e( 'Edit', 'ipland' ); ?>" class="ipadm-btn ipadm-btn-mini ipadm-btn-default">
                                    <?php _e( 'Edit', 'ipland' ); ?>
                                </a>
                                <div id="ipland-status-values" class="ipadm-hide">
                                    <p><strong><?php _e( 'Select Status', 'ipland' ); ?></strong>
                                    <select id-="ipland-input-status" name="status">
                                    <?php
                                    foreach( $statuses as $key => $label ) {
                                        $sltd = '';
                                        if ( $key == $status ) {
                                            $sltd = ' selected="selected"';
                                        }
                                        echo '<option value="' . $key . '"' . $sltd .'>'. $label.'</option>';
                                    }
                                    ?>
                                    </select>
                                    </p>
                                </div>
                            </div>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box-small ipadm-clear">
                                <label for="ipland-input-status"><?php _e( 'Publish', 'ipland' ); ?></label> :
                                <strong id="ipland-status-value"><?php _e( 'Immediately', 'ipland' ); ?></strong>
                            </div>
                            <div class="ipadm-field-row ipadm-field-stripe">
                                <div class="ipadm-btn-wrap ipadm-clear">
                                    <span class="ipadm-btn-left">
                                        <input type="submit" value="<?php echo $submit; ?>" id="<?php echo $submitId; ?>" name="do_save_change" class="ipadm-btn ipadm-btn-primary">
                                    </span>
                                </div>
                            </div>
                            
                        </div>
                    </div>
                </div>
            </div>
            
            <div id="ipland-settings" class="ipadm-row">
                <div class="ipadm-box">
                    <div class="ipadm-box-header">
                        <h3><?php _e( 'Settings', 'ipland' ); ?></h3>
                    </div>
                    <div class="ipadm-box-body">
                        <div class="ipadm-box-main">
                        
                            <?php
                            //Size
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="faip fa-expand"></i>
                                        <label for="input-size"><?php _e( 'Size', 'ipland' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <?php
                                        $size  = $setting->getSetting( 'size' );
                                        $sizes = array(
                                            'auto'          => __( 'Auto', 'ipland' ),
                                            'lands1'        => '728 x 90',
                                            'lands2'        => '468 x 60',
                                            'lands3'        => '350 x 60',
                                            'lands4'        => '234 x 60',
                                            'rect1'         => '300 x 250',
                                            'rect2'         => '180 x 150',
                                            'potrait1'      => '160 x 600',
                                            'potrait2'      => '120 x 600',
                                            'potrait3'      => '120 x 240',
                                            'custom'        => __( 'Custom', 'ipland' )
                                        );
                                        ?>
                                        <select name="size" id="ipland-input-size">
                                            <?php
                                            foreach( $sizes as $id => $label ) 
                                            {
                                                $sltd = '';
                                                if ( $id == $size ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $id . '"' . $sltd . '>' . $label . '</option>';
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                                <?php
                                if ( $size == 'custom' ) {
                                    $display = '';
                                } else {
                                    $display = ' style="display: none;"';
                                }
                                ?>
                                <div class="ipadm-toggle-option"<?php echo $display; ?>>
                                    <div class="ipadm-input-wrap">
    <div id="ipland-size-custom">
        <input type="text" class="ipadm-input ipadm-input-small" id="ipland-input-ad-width" name="size_width" value="<?php echo $setting->getSetting( 'size_width', '' ); ?>" placeholder="width (px)" />
        <span class="x-sym">x</span>
        <input type="text" class="ipadm-input ipadm-input-small" id="ipland-input-ad-height" name="size_height" value="<?php echo $setting->getSetting( 'size_height', '' ); ?>" placeholder="height (px) " />
    </div>
                                    </div>
                                </div>
                            </div>
                        
                            <?php
                            //Design
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="faip fa-magic"></i>
                                        <label for="input-design"><?php _e( 'Design', 'ipland' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <select name="design" id="input-design">
                                            <?php
                                            $current = $setting->getSetting( 'design', '' );
                                            $designs = array(
                                                'left-clean'      => __( 'Clean Image Left', 'ipland' ),
                                                'right-clean'     => __( 'Clean Image Right', 'ipland' ),
                                                'left-rounded'    => __( 'Rounded Image Left', 'ipland' ),
                                                'right-rounded'   => __( 'Rounded Image Right', 'ipland' )
                                            );
                                            foreach( $designs as $key => $label )
                                            {
                                                $sltd = '';
                                                if ( $current == $key ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>
                            </div>
                        
                            <?php 
                            //Background Color
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="faip fa-desktop"></i>
                                        <label for="input-bg-color"><?php _e( 'Background Color', 'ipland' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <input type="text" class="ipland-color-picker" id="input-bg-color" name="bg_color" value="<?php echo $setting->getSetting( 'bg_color', '#ffffff' ); ?>" />
                                    </div>
                                </div>
                            </div>
                            
                            <?php 
                            //Text
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="faip fa-font"></i>
                                        <label for="input-text"><?php _e( 'Font', 'ipland' ); ?></label>
                                    </div>
                                </div>
                                
                                <div class="ipadm-toggle-option ipland-field-sub ipadm-clear">
                                    <div class="ipadm-input-wrap">
                                        
                                        <select name="font_size" id="input-font-size">
                                            <option value="0">-- <?php _e( 'Size', 'ipland' ); ?> --</option>
                                            <?php
                                            $current = $setting->getSetting( 'font_size', 'medium' );
                                            $sizes   = array(
                                                'small'  => __( 'Small', 'ipland' ),
                                                'medium' => __( 'Medium', 'ipland' ),
                                                'large'  => __( 'Large', 'ipland' )
                                            );
                                            foreach( $sizes as $key => $label )
                                            {
                                                $sltd = '';
                                                if ( $current == $key ) {
                                                    $sltd = ' selected="selected"';
                                                }
                                                echo '<option value="' . $key . '"' . $sltd . '>' . $label . '</option>';
                                            }
                                            ?>
                                        </select>
                                        <input type="text" class="ipland-color-picker" id="input-font-color" name="font_color" value="<?php echo $setting->getSetting( 'font_color', '#000000' ); ?>" />
                                    </div>
                                </div>
                            </div>
                        
                            <?php 
                            //Border
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-toggle">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="faip fa-square-o"></i>
                                        <label for="input-border"><?php _e( 'Border', 'ipland' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                            <?php
                                            $val = $setting->getSetting( 'border', 'false' );
                                            if ( $val == 'false' ) {
                                                $clon  = '';
                                                $cloff = ' button-primary active';
                                            } else {
                                                $clon  = ' button-primary active';
                                                $cloff = '';
                                            }
                                            ?>
                                            <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipland' ); ?></button>
                                            <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipland' ); ?></button>
                                            <input type="hidden" class="ipadm-av-value" name="border" value="<?php echo $val; ?>" />
                                        </div>
                                    </div>
                                </div>
                                <?php
                                if ( $val == 'true' ) {
                                    $display = '';
                                } else {
                                    $display = ' style="display: none;"';
                                }
                                ?>
                                <div class="ipadm-toggle-option"<?php echo $display; ?>>
                                    <div class="ipadm-input-wrap">
                    <input type="text" class="ipadm-input ipadm-input-small" id="input-border-size" name="border_size" value="<?php echo $setting->getSetting( 'border_size', '' ); ?>" placeholder="size" />
                    <input type="text" class="ipland-color-picker" id="input-border-color" name="border_color" value="<?php echo $setting->getSetting( 'border_color', '#000000' ); ?>" />
                                    </div>
                                </div>
                            </div>
                            
                            <?php
                            //Close link
                            ?>
                            <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-toggle">
                                <div class="ipadm-clear">
                                    <div class="ipadm-label">
                                        <i class="faip fa-times-circle"></i>
                                        <label for="input-close-link"><?php _e( 'Close Link', 'ipland' ); ?></label>
                                    </div>
                                    <div class="ipadm-field">
                                        <div data-toggle="buttons-radio" class="ipadm-btn-radio button-group">
                                            <?php
                                            $val = $setting->getSetting( 'close_link', 'false' );
                                            if ( $val == 'false' ) {
                                                $clon  = '';
                                                $cloff = ' button-primary active';
                                            } else {
                                                $clon  = ' button-primary active';
                                                $cloff = '';
                                            }
                                            ?>
                                            <button data-value="true" class="button<?php echo $clon; ?> true" type="button"><?php _e( 'On', 'ipland' ); ?></button>
                                            <button data-value="false" class="button<?php echo $cloff; ?> false" type="button"><?php _e( 'Off', 'ipland' ); ?></button>
                                            <input type="hidden" class="ipadm-av-value" name="close_link" value="<?php echo $val; ?>" />
                                        </div>
                                    </div>
                                </div>
                                <?php
                                if ( $val == 'true' ) {
                                    $display = '';
                                } else {
                                    $display = ' style="display: none;"';
                                }
                                ?>
                                <div class="ipadm-toggle-option"<?php echo $display; ?>>
                                    <div class="ipadm-input-wrap">
                                    <label for="input-close-text"><?php _e( 'Text', 'ipland' ); ?></label>
                                        <input type="text" class="ipadm-input ipadm-input-full" id="input-close-text" name="close_text" value="<?php echo $setting->getSetting( 'close_text', '' ); ?>" />
                                    </div>
                                </div>
                            </div>
                            
                        </div>
                    </div>
                </div>
            </div>
            
        </div>
    </div>
    
</form>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        <?php
        }
        
        /**
         * Show content admin setting
         *
         * @return void
         */
        public function setting()
        {
        ?>
            <div id="ipland-admin" class="wrap ipadm-wrap ipland-admin">
                <div class="ipadm-inner">
                    
                    <div class="ipadm-header">
                        <div class="ipland-page-title">
                            <h1><?php _e( 'EZ Page', 'ipland' ); ?></h1>
                        </div>
                    </div>
                    
                    <div class="ipadm-body">
                        
                        <div class="ipadm-main">
                            <div class="ipadm-form-wrap">
            <div id="ipland-sett-general" class="ipland-sett-section ipland-promo2page">
                
                <div class="ipland-page-subtitle">
                    <h3><?php _e( 'General', 'ipland' ); ?></h3>
                </div>
                <form id="ipland-form-sett-general" action="" method="post">
                    <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                        <div class="ipadm-label">
                            <label for="input-url-base"><?php _e( 'URL Base', 'ipland' ); ?></label>
                        </div>
                        <div class="ipadm-field">
                            <div class="ipadm-input-wrap">
                                <?php
                                $base = get_option( '_ipland_page_base_url', 'sociallead' );
                                ?>
                                <input class="ipadm-input" type="text" id="input-url-base" value="<?php echo $base; ?>" size="30" name="_ipland_page_base_url">
                            </div>
                            <div class="ipadm-info-block">
                                <?php _e( 'Data URL Base should only contain letters, numbers and characters (_)', 'ipland' ); ?>
                            </div>
                        </div>
                    </div>

                    <div class="ipadm-field-row ipadm-field-stripe">
                        <div class="ipadm-btn-wrap ipadm-btn-left">
                            <input class="ipadm-btn ipadm-btn-primary" type="submit" name="do_save_change" id="ipland-do-save-setting" value="<?php _e( 'Save Settings', 'ipland' ); ?>" />
                        </div>
                    </div>
                </form>
            </div>
            <br>
            <br>
            <div id="ipland-sett-homepromo" class="ipland-sett-section ipland-promo2page">
                
                <div class="ipland-page-subtitle">
                    <h3><?php _e( 'Home Page Promo', 'ipland' ); ?></h3>
                </div>
                <form id="ipland-form-promo-home" action="" method="post">
                    <div id="ipland-setting-content">
                        <div class="ipland-mbox-promos">
                        <?php
                        $data  = array();
                        $metas = (array)get_option( '__ipland_home_promos' );
                        if ( ! empty( $metas )) {
                            $meta = array_shift( $metas );
                            $ids  = maybe_unserialize( $meta );
                            $data = (array)$ids;
                        }
                        if ( ! empty( $data )):
                        ?>
                            <ul>
                            <?php
                            foreach( $data as $id => $setting ) :
                                if ( ! $promo = get_post( $setting['id'] )) {
                                    continue;
                                }
                            ?>
                                <li id="postPromo_<?php echo $id; ?>" class="ipadm-clear ipland-promo">
                                    <div class="ipland-promo-title">
                                        <strong><?php echo $promo->post_title; ?></strong>
                                        <a href="#" class="ipland-promo-edit">
                                            <?php _e( 'Edit', 'ipland' ); ?>
                                        </a>
                                    </div>
                                    <div class="ipland-promo-delete">
                                        <a href="#postPromo_<?php echo $id; ?>"><i class="fa fa-times-circle"></i></a>
                                    </div>
                                </li>
                            <?php
                            endforeach;
                            ?>
                            </ul>
                        <?php
                        else:
                        ?>
                        <div class="ipadm-empty"><em><?php _e( 'You have not added page promo in this post.', 'ipland' ); ?></em></div>
                        <?php
                        endif;
                        ?>
                        </div>
                    </div>
                    
                    <div class="ipland-btn-wrap">
                        <input type="submit" id="ipland-mbox-doadd" class="ipadm-btn ipadm-btn-primary" name="dosavehome" value="<?php _e( 'Add Page Promo', 'ipland' ); ?>" />
                    </div>
                </form>
            </div>
            
                            </div>
                        </div>
                        
                    </div>
                    
                </div>
<div id="ipland-qpromo-mbpopup" class="ipland-scpup-root" style="display: none;">
    <div class="ipland-scpup-inner">
        <div class="ipland-scpup-main">
            <div class="ipland-scpup-title">
                <h3 id="ipland-post-add-title"><?php _e( 'Add Page Promo', 'ipland' ); ?></h3>
                <h3 id="ipland-post-edit-title" style="display:none;"><?php _e( 'Edit Page Promo', 'ipland' ); ?></h3>
                <div class="ipland-scpup-close">
                    <a class="ipland-scpup-close-link" href="#"><i class="fa fa-times"></i></a>
                </div>
            </div>
            <div class="ipland-scpup-content">
                
                <div class="ipadm-main">
                    <div class="ipadm-form-wrap">
                        <form id="ipland-form-add-promo" action="" method="post">
        
        <input type="hidden" id="value-post-promoid" name="promoid" value="0" />
        <input type="hidden" id="value-promotype" name="type" value="home" />
        
        <div class="ipland-row">
            <div class="ipland-modal-box">
                <div id="ipland-field-promo" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                    <div class="ipadm-label">
                        <label for="ipland-input-promo"><?php _e( 'Promo', 'ipland' ); ?></label>
                    </div>
                    <div class="ipadm-field">
                        <div class="ipadm-input-wrap">
                            <?php
                            $args = array(
                                'orderby'        => 'post_date',
                                'order'          => 'DESC', 
                                'posts_per_page' => -1,
                                'post_type'      => 'ipland-promo-item',
                                'post_status'    => array('publish'),
                            );
                            $query  = new WP_Query;
                            $promos = $query->query( $args );
                            if ( ! empty( $promos )) :
                            ?>
                            <select name="ipland_promo" id="ipland-input-promo">
                                <?php
                                foreach( $promos as $promo ) {
                                    echo '<option value="' . $promo->ID . '">' . $promo->post_title . '</option>';
                                }
                                ?>
                            </select>
                            <a href="admin.php?page=ip-admak-add"><?php _e( 'Add New', 'ipland' ); ?></a>
                            <?php
                            else:
                            ?>
                            <p class="ipadm-empty">
                                <em><?php _e( 'Page are not available', 'ipland' ); ?>. 
                                    <a href="admin.php?page=ipland-add"><?php _e( 'Add New', 'ipland' ); ?></a>
                                </em></p>
                            <?php
                            endif;
                            ?>
                            
                        </div>
                    </div>
                </div>
                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                    <div class="ipadm-label">
                        <label for="ipland-input-position"><?php _e( 'Position', 'ipland' ); ?></label>
                    </div>
                    <div class="ipadm-field">
                        <div class="ipadm-input-wrap">
                            <?php
                            $positions = array(
                                'topleft'       => 'Top Left',
                                'topcenter'     => 'Top Center',
                                'topright'      => 'Top Right',
                                'bottomleft'    => 'Bottom Left',
                                'bottomcenter'  => 'Bottom Center',
                                'bottomright'   => 'Bottom Right',
                            );
                            ?>
                            <select name="ipland_position" id="ipland-input-position">
                                <?php
                                foreach( $positions as $id => $label ) {
                                    echo '<option value="' . $id . '">' . $label . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="ipadm-field-row ipadm-field-box ipadm-clear">
                    <div class="ipadm-field">
                        <div class="ipadm-input-wrap">
                            <span class="ipland-form-actions">
                                <input class="ipadm-btn ipadm-btn-primary" type="submit" name="do_add_ad" id="ipland-do-add-promopost" value="<?php _e( 'Add Promo', 'ipland' ); ?>" />
                                <input class="ipadm-btn ipadm-btn-primary" type="submit" name="do_edit_ad" id="ipland-do-edit-promopost" value="<?php _e( 'Edit Promo', 'ipland' ); ?>" style="display:none;"/>
                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
            
                        </form>
                    </div>
                </div>
                
            </div>
            
        </div>
    </div>
</div>
<div id="ipland-modal-message-overlay" style="display:none;">
    <div id="ipland-modal-message"></div>
</div>

            </div>
        <?php
        }
        
        /**
         * Show content for meta box
         *
         * @return void
         */
        public function metaBox( $post )
        {
        ?>
            <div id="ipland_metaBoxPromo" class="ipland-promo2page">
                <div class="ipland-mbox-main">
                    <div id="ipland-mbox-messages"></div>
                    <div class="ipland-mbox-promos">
                    <?php
                    $data = array();
                    $meta = get_post_meta( $post->ID, '__ipland_post_promos', true );
                    if ( ! empty( $meta )) {
                        $data = maybe_unserialize( $meta );
                    }
                    if ( ! empty( $data )):
                    ?>
                        <ul>
                        <?php
                        foreach( $data as $id => $setting ) :
                            if ( ! $promo = get_post( $setting['id'] )) {
                                continue;
                            }
                        ?>
                            <li id="postPromo_<?php echo $id; ?>" class="ipadm-clear ipland-promo">
                                <div class="ipland-promo-title">
                                    <strong><?php echo $promo->post_title; ?></strong>
                                    <a href="#" class="ipland-promo-edit">
                                        <?php _e( 'Edit', 'ipland' ); ?>
                                    </a>
                                </div>
                                <div class="ipland-promo-delete">
                                    <a href="#postPromo_<?php echo $id; ?>"><i class="fa fa-times-circle"></i></a>
                                </div>
                            </li>
                        <?php
                        endforeach;
                        ?>
                        </ul>
                    <?php
                    else:
                    ?>
                    <div class="ipadm-empty"><em><?php _e( 'You have not added page promo in this post.', 'ipland' ); ?></em></div>
                    <?php
                    endif;
                    ?>
                    </div>
                </div>
                <div class="ipadm-divider"></div>
                <div class="ipland-mbox-add">
                    <a class="ipadm-btn ipadm-btn-default ipadm-btn-small" href="#" id="ipland-mbox-doadd"><?php _e( 'Add Promo' ); ?></a>
                </div>
            </div>

<div id="ipland-qpromo-mbpopup" class="ipland-scpup-root" style="display: none;">
    <div class="ipland-scpup-inner">
        <div class="ipland-scpup-main">
            <div class="ipland-scpup-title">
                <h3 id="ipland-post-add-title"><?php _e( 'Add Page Promo', 'ipland' ); ?></h3>
                <h3 id="ipland-post-edit-title" style="display:none;"><?php _e( 'Edit Page Promo', 'ipland' ); ?></h3>
                <div class="ipland-scpup-close">
                    <a class="ipland-scpup-close-link" href="#"><i class="fa fa-times"></i></a>
                </div>
            </div>
            <div class="ipland-scpup-content">
                
                <div class="ipadm-main">
                    <div class="ipadm-form-wrap">
                        <form id="ipland-form-add-promo" action="" method="post">
        
        <input type="hidden" id="value-post-promoid" name="promoid" value="0" />
        <input type="hidden" id="value-promotype" name="type" value="post" />
        
        <div class="ipland-row">
            <div class="ipland-modal-box">
                <div id="ipland-field-promo" class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                    <div class="ipadm-label">
                        <label for="ipland-input-promo"><?php _e( 'Promo', 'ipland' ); ?></label>
                    </div>
                    <div class="ipadm-field">
                        <div class="ipadm-input-wrap">
                            <?php
                            $args = array(
                                'orderby'        => 'post_date',
                                'order'          => 'DESC', 
                                'posts_per_page' => -1,
                                'post_type'      => 'ipland-promo-item',
                                'post_status'    => array('publish'),
                            );
                            $query  = new WP_Query;
                            $promos = $query->query( $args );
                            if ( ! empty( $promos )) :
                            ?>
                            <select name="ipland_promo" id="ipland-input-promo">
                                <?php
                                foreach( $promos as $promo ) {
                                    echo '<option value="' . $promo->ID . '">' . $promo->post_title . '</option>';
                                }
                                ?>
                            </select>
                            <a href="admin.php?page=ip-admak-add"><?php _e( 'Add New', 'ipland' ); ?></a>
                            <?php
                            else:
                            ?>
                            <p class="ipadm-empty">
                                <em><?php _e( 'Page are not available', 'ipland' ); ?>. 
                                    <a href="admin.php?page=ipland-add"><?php _e( 'Add New', 'ipland' ); ?></a>
                                </em></p>
                            <?php
                            endif;
                            ?>
                            
                        </div>
                    </div>
                </div>
                <div class="ipadm-field-row ipadm-field-inline ipadm-field-box ipadm-clear">
                    <div class="ipadm-label">
                        <label for="ipland-input-position"><?php _e( 'Position', 'ipland' ); ?></label>
                    </div>
                    <div class="ipadm-field">
                        <div class="ipadm-input-wrap">
                            <?php
                            $positions = array(
                                'topleft'       => 'Top Left',
                                'topcenter'     => 'Top Center',
                                'topright'      => 'Top Right',
                                'bottomleft'    => 'Bottom Left',
                                'bottomcenter'  => 'Bottom Center',
                                'bottomright'   => 'Bottom Right',
                            );
                            ?>
                            <select name="ipland_position" id="ipland-input-position">
                                <?php
                                foreach( $positions as $id => $label ) {
                                    echo '<option value="' . $id . '">' . $label . '</option>';
                                }
                                ?>
                            </select>
                        </div>
                    </div>
                </div>
                <div class="ipadm-field-row ipadm-field-box ipadm-clear">
                    <div class="ipadm-field">
                        <div class="ipadm-input-wrap">
                            <span class="ipland-form-actions">
                                <input class="ipadm-btn ipadm-btn-primary" type="submit" name="do_add_ad" id="ipland-do-add-promopost" value="<?php _e( 'Add Promo', 'ipland' ); ?>" />
                                <input class="ipadm-btn ipadm-btn-primary" type="submit" name="do_edit_ad" id="ipland-do-edit-promopost" value="<?php _e( 'Edit Promo', 'ipland' ); ?>" style="display:none;"/>
                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
            
                        </form>
                    </div>
                </div>
                
            </div>
            
        </div>
    </div>
</div>
<div id="ipland-modal-message-overlay" style="display:none;">
    <div id="ipland-modal-message"></div>
</div>
        <?php
        }
    }
}