/**
 * Menu control
 **/
(function($){

   //Fancy option
    $.fn.ipadm_fancyoption = function(options){
    
        var defaults  = {
            funcSelect: function(){},
        };
        var options = $.extend( defaults, options );
        
        //Setup
        $( '.ipadm-select li:first-child' ).addClass( 'ipadm-item-selected' );
        
        $(this).each( function(){
        
            var option  = $(this);
            var in_menu = false;
            
            $( '.ipadm-selected', option ).click( function(){
                
                var menu   = $(this);
                var select = $( '.ipadm-select', option );
                
                if ( select.is(":visible") ) {
                    select.fadeOut( "fast" );
                    menu.removeClass( 'active' );
                } else {
                    
                    $( '.ipadm-select' ).each( function(){
                        $(this).fadeOut( "fast" );
                        $(this).parents( '.ipadm-selected' ).removeClass( 'active' );
                    });
                    select.fadeIn( "fast" );
                    menu.addClass( 'active' );
                }
                return false;
            });
            $( '.ipadm-select', option ).hover( function(){
                    in_menu = true;
                }, function(){
                    in_menu = false;
            });
            $( "body" ).click(function(){
                if ( ! in_menu ) {
                    $( '.ipadm-select', option ).fadeOut( "fast" );
                    $( '.ipadm-selected', option ).removeClass( 'active' );
                }
            });
            
            $( 'li', option ).click( function(){
            
                var item  = $(this);
                var label = $( '.ipadm-select-label', item ).clone().html();
                var data  = item.data( 'select' );
                $( '.ipadm-selected .ipadm-selected-box', option ).html( label );
                $( '.ipadm-select li', option ).removeClass( 'ipadm-item-selected' );
                item.parents( 'li' ).addClass( 'ipadm-item-selected' );
                $( '.ipadm-input-select', option ).val( data );
                
                //Hide Select box
                $( '.ipadm-select', option ).fadeOut( "fast" );
                $( '.ipadm-selected', option ).removeClass( 'active' );
                
                options.funcSelect();
            });
        
        });
    
    };

    /**
     * Fade Menu
     */
    $.fn.ipadm_fademenu = function(){
        
        $(this).each( function(){
        
            var mouse_in_menu = false;
            var root = $(this);
            
            $( '.ipadm-btn', root ).click( function(){
            
                $( '.ipadm-menu-fade' ).fadeOut( "fast" );
                $( '.ipadm-btn' ).removeClass( 'active' );
            
                var link    = $(this);
                var content = $( '.ipadm-menu-fade', root );
                
                if ( content.is(":visible") ) {
                    content.fadeOut( "fast" );
                    link.removeClass( 'active' );
                } else {
                    content.fadeIn( "fast" );
                    link.addClass( 'active' );
                }
                return false;
            });
            $( '.ipadm-menu-fade', root ).hover( function(){
                    mouse_in_menu = true;
                }, function(){
                    mouse_in_menu = false;
            });
            $( "body" ).click(function(){
                if ( ! mouse_in_menu ) {
                    $( '.ipadm-menu-fade', root ).fadeOut( "fast" );
                    $( '.ipadm-btn', root ).removeClass( 'active' );
                }
            });
            $( '.ipadm-menu-fade a', root ).click(function(){
                $( '.ipadm-menu-fade', root ).fadeOut( "fast" );
                $( '.ipadm-btn', root ).removeClass( 'active' );
            });
        });
    };

    /**
     * Fade Menu
     */
    $.fn.ipadm_radiobutton = function( options ) {
        
        var defaults  = {
            funcSelect: function(){},
        };
        var options = $.extend( defaults, options );
        
        $(this).each( function(){
        
            var button = $(this);
            button.click( function(){
            
                var root  = $(this).parents( '.ipadm-btn-radio' );
                var value = $(this).data( 'value' );
                if ( ! $(this).hasClass( '.active' ) ) {
                    $( 'button', root ).removeClass( 'active' );
                    $( 'button', root ).removeClass( 'button-primary' );
                    $(this).addClass( 'button-primary active' );
                }
                $( '.ipadm-av-value', root ).val(value);
                
                var field = $(this).parents( '.ipadm-field-row' );
                if ( field.hasClass( 'ipadm-toggle' )) {
                    
                    if ( value == 'false' || value == false ) {
                        $( '.ipadm-toggle-option', field ).hide();
                    } else {
                        $( '.ipadm-toggle-option', field ).show();
                    }
                }
                options.funcSelect();
                return false;
            });
        });
    };
    
    $(document).ready(function() {
        
        //Font Option
        $( '.ipadm-font-menu li' ).each( function(){
            var font = $(this).data( 'select' ).replace( '_', ' ' );
            $(this).css( 'font-family', font );
        });
    });
    
})(jQuery);