<?php
$st      = $this->setting;
$display = $st->getSetting( 'video_display', 'fullpage' );
?>
<div class="ipland-content ipland-content-video ipland-display-<?php echo $display; ?>">
    <?php
    if ( $display == 'fullpage' ) :
    ?>
    
    <div class="ipland-page-main">
        <?php
        if ( $title = $st->getSetting( 'page_title' ) ) :
            $title = stripslashes( $title );
        ?>
        <div class="ipland-page-title"<?php echo $this->getFontFamily( 'title'); ?>>
            <h1><?php echo $title; ?></h1>
        </div>
        <?php
        endif;
        
        if ( $content = $st->getSetting( 'page_content' ) ) :
            $content = stripslashes( $content );
        ?>
        <div class="ipland-page-content"<?php echo $this->getFontFamily(); ?>>
            <p><?php echo $content; ?></p>
        </div>
        <?php
        endif;
        
        if ( $title || $content ) :
        ?>
        <a class="ipland-content-close" href="#"><i class="fa fa-times-circle"></i></a>
        <?php
        endif;
        ?>
    </div>
    <?php
    if ( $video = $st->getSetting( 'video_url' ) ) :
    
        $prop = "{" .
                    "videoURL:'" . stripslashes( $video ) . "'," .
                    "containment:'body'," . 
                    "showControls:true," .
                    "autoPlay:true," .
                    "loop:true," .
                    "opacity:1," .
                    "addRaster:false," .
                    "quality:'default'";

        if ( $time = $st->getSetting( "video_start" )) {
            $prop .= ",";
            $prop .= "startAt: " . $time . "";
        }
        $prop .= "}";
    ?>
    <a id="ipland-fp-video" class="ipland-video-player" data-property="<?php echo $prop; ?>"></a>
    
    <?php
    endif;
    
    else:
        
        if ( $st->getSetting( 'video_display', 'fullpage' ) == 'frame' ) {
            $frame  = $st->getSetting( 'video_frame', '1' );
            $frmcls = "ipland-viddeco ipland-frame ipland-frame-$frame";
        } else {
            $frmcls ="ipland-viddeco ipland-no-frame";
        }
        $style  = '';
        $height = $st->getSetting( 'video_height' );
        $width  = $st->getSetting( 'video_width' );
        if ( $height && $width ) {
            $style = ' style="width: ' . $width . 'px; height: ' . $height . 'px;"';
        } elseif ( $height && ! $width ) {
            $style = ' style="width: auto; height: ' . $height . 'px;"';
        } elseif ( ! $height && $width ) {
            $style = ' style="width: ' . $width . 'px; height: auto;"';
        }
        
    ?>
        <div class="ipland-video-main">
            <?php
            if ( $videourl = $this->getYoutubeUrl() ) :
            ?>
            <div class="<?php echo $frmcls; ?>">
                <div class="ipland-frame-deco">
                    <div class="ipland-video-cont">
                        <iframe width="<?php echo $width; ?>" height="<?php echo $height; ?>" src="<?php echo $videourl; ?>" frameborder="0" allowfullscreen></iframe>
                    </div>
                </div>
            </div>
            <?php
            endif;
            ?>
            <div class="ipland-page-main" style="width: <?php echo $width; ?>px">
                <?php
                if ( $title = $st->getSetting( 'page_title' ) ) :
                    $title = stripslashes( $title );
                ?>
                <div class="ipland-page-title"<?php echo $this->getFontFamily( 'title'); ?>>
                    <h1><?php echo $title; ?></h1>
                </div>
                <?php
                endif;
                
                if ( $content = $st->getSetting( 'page_content' ) ) :
                    $content = stripslashes( $content );
                ?>
                <div class="ipland-page-content"<?php echo $this->getFontFamily(); ?>>
                    <p><?php echo $content; ?></p>
                </div>
                <?php
                endif;
                ?>
            </div>
        </div>
    <?php
    endif;
    ?>
</div>