<?php
$st = $this->setting;
$title = $st->getSetting( 'seo_title' );
if ( empty( $title )) {
    $title = $st->getSetting( 'page_title', 'SocialLead' );
}
$title = stripslashes( $title );
?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title><?php echo $title; ?></title>
    
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    
    <meta name="description" content="<?php echo stripslashes( $st->getSetting( 'seo_desc', '' )); ?>">
    <meta name="keywords" content="<?php echo stripslashes( $st->getSetting( 'seo_keywords', '' )); ?>">
    <meta property="og:title" content="<?php echo $title; ?>">
    <meta property="og:description" content="<?php echo stripslashes( $st->getSetting( 'seo_desc', '' )); ?>">
    <meta property="og:type" content="article">
    <meta property="og:image" content="<?php echo $this->pageimage; ?>">
    <meta property="og:url" content="<?php echo $this->pageurl; ?>">
    
    <link rel="stylesheet" href="//netdna.bootstrapcdn.com/font-awesome/4.1.0/css/font-awesome.css" type="text/css" media="all" />
    <link rel="stylesheet" href="<?php echo $this->baseurl; ?>style.css" type="text/css" media="all" />
    <?php
    if ( $this->category == 'gift' ):
    ?>
    <link rel="stylesheet" href="<?php echo $this->bonusurl; ?>style.css" type="text/css" media="all" />
    <?php
    endif;
    
    //Google font
    $fonts   = IPLand_Font::getLinks();
    $fonts   = array_values( $fonts );
    $family  = implode( '|', $fonts );
    $fontUrl = 'http://fonts.googleapis.com/css?family=' . $family;
    echo '<link id="ipsmpop" href="' . $fontUrl . '" rel="stylesheet" type="text/css">';
    ?>
    <style>
        label, input, select, button {
            <?php echo $this->getFontFamily( 'text', false ); ?>
        }
    </style>
    <script type="text/javascript" src="//ajax.googleapis.com/ajax/libs/jquery/1.7.2/jquery.min.js"></script>
    <script src="//ajax.googleapis.com/ajax/libs/jqueryui/1.10.4/jquery-ui.min.js"></script>
    <script type="text/javascript">
        <?php
        $effects = array(
            'linear'    => 'linear',
            'bounce'    => 'easeOutBounce',
            'back'      => 'easeOutBack',
            'elastic'   => 'easeOutElastic',
            'expo'      => 'easeOutExpo'
        );
        $easing = '0';
        if ( $effect = $st->getSetting( 'box_effect' ) ) {
            if ( array_key_exists( $effect, $effects ))
            {
                $easing = $effects[$effect];
            }
        }
        ?>
        var ipland_effect = '<?php echo $easing; ?>';
        var ipland_sound  = '<?php echo $st->getSetting( 'box_sound' ); ?>';
        var ajaxurl       = "<?php echo admin_url( 'admin-ajax.php' ); ?>";
        var pageid        = "<?php echo $this->page->ID; ?>";
    </script>
    
    <?php
    if ( $this->category == 'video' ):
    ?>
    <link rel="stylesheet" href="<?php echo IPLAND_BASE_URL . 'js/YTPlayer/css/YTPlayer.css'; ?>" type="text/css" media="all" />
    <script type="text/javascript" src="<?php echo IPLAND_BASE_URL . 'js/YTPlayer/jquery.mb.YTPlayer.js'; ?>"></script>
    <?php
    endif;
    ?>
    
    <link type="image/x-icon" href="<?php echo $st->getSetting( 'seo_favicon', '' ); ?>" rel="shortcut icon">
    <?php
    //SEO script
    echo $st->getSetting( 'seo_tracking', '' ); 
    ?>
</head>

<body>
    <?php
    $rcls  = 'ipland-root';
    $rcls .= ' ipland-font-' . $st->getSetting( 'font_size', 'medium' );
    $rcls .= ' ipland-sresult-in-' . $st->getSetting( 'survey_result_position', 'share' );
    ?>
    <div class="<?php echo $rcls; ?>">
        <div class="ipland-page ipland-overlay-<?php echo $st->getSetting( 'overlay_color', 'dark' ); ?>">
            <div class="ipland-header">
            </div>
            <div class="ipland-main">
                <?php $this->content(); ?>
            </div>
            <div class="ipland-footer">
                <?php
                $this->footer();
                ?>
                <div class="ipland-overlay"></div>
                <div class="ipland-page-loader"></div>
            </div>
        </div>
    </div>
    <?php
    //Audio
    if ( $audio = $st->getSetting( 'box_sound' )) 
    {
        $base = IPLAND_BASE_URL . 'audio/audio-' . $audio;
        echo  '<audio id="ipland-audio">' .
                    '<source src="' . $base . '.mp3" type="audio/mpeg">' .
                    '<source src="' . $base . '.ogg" type="audio/ogg">' .
                    __( 'Your browser does not support this audio format.', 'ipland' ) .
                '</audio>';
    }
    ?>
    <script type="text/javascript" src="<?php echo $this->baseurl; ?>script.js"></script>
    <?php
    if ( $this->category == 'gift' ):
    ?>
    <script type="text/javascript" src="<?php echo $this->bonusurl; ?>script.js"></script>
    <?php
    endif;
    ?>
</body>
</html>