
jQuery(function ($) {

    $(document).ready(function() 
    {
        //View Stat
        saveSurveyStat( 'view', function(){} );
        
        //Survey
        var answer_main   = 
            answer_follow = '';
        
        $( '#ipland-survey-question .ipland-btn' ).click( function()
        {
            answer_main = $(this).data( 'answer' );
            
            var link  = $(this);
            var popup = link.parents( '.ipland-survey-root' );
            var main  = link.parents( '.ipland-survey-main' );
            if ( main.hasClass( 'ipland-follow-show' )) {
                var prev  = 'ipland-survey-question';
                var next  = 'ipland-survey-follow';
            } else {
                var prev  = 'ipland-survey-question';
                var next  = 'ipland-survey-answer_' + answer_main;
            }
            nextPopup( popup, prev, next );
            saveSurveyStat( answer_main, function(){} );
            return false;
        });
        
        $( '#ipland-survey-follow .ipland-btn' ).click( function()
        {
            answer_follow = $(this).data( 'answer' );
            var answerid  = answer_main + answer_follow;
            
            var link  = $(this);
            var popup = link.parents( '.ipland-survey-root' );
            var prev  = 'ipland-survey-follow';
            var next  = 'ipland-survey-answer_' + answerid;
            
            nextPopup( popup, prev, next );
            //saveSurveyStat( answer_follow, function(){} );
            return false;
        });
        
        $( '.ipland-survey-part .ipland-btn-leads' ).click( function()
        {
            var link  = $(this);
            var form  = link.parents( 'form' );
            form.submit();
            
            var popup = link.parents( '.ipland-survey-root' );
            var main  = link.parents( '.ipland-survey-main' );
            if ( main.hasClass( 'ipland-follow-show' )) {
                var prev  = 'ipland-survey-answer_' + answerid;
                var next  = 'ipland-survey-affiliate';
            } else {
                var answerid  = answer_main + answer_follow;
                var prev  = 'ipland-survey-answer_' + answerid;
                var next  = 'ipland-survey-affiliate';
            }
            nextPopup( popup, prev, next );
            saveSurveyStat( 'lead', function(){});
            return false;
        });
        
        $( '.ipland-btn-affiliate a' ).click( function()
        {
            var href = $(this).attr( 'href' );
            $( '.ipland-page-loader' ).show();
            
            $.ajax({
                url: ajaxurl+'?doajax=1&ipland=1&action=ipland_savestat',
                type: "POST",
                data: 'pageid='+pageid+'&type=click',
                dataType: "json",
                success: function ( result ) {
                    window.location.href = href;
                    $( '.ipland-page-loader' ).hide();
                }
            });
            return false;
        });
        
        function nextPopup( popup, prev, next )
        {
            var effect = false; 
            if ( typeof ipland_effect != 'undefined' && ipland_effect != '0' ) {
                effect = ipland_effect;
            }
            var height = popup.height();
            popup.animate(
                {'top' : '-'+(height+100)+'px'}, 
                {queue:false, duration:1000, easing: effect, complete: function()
                    {
                        var top = $(window).height() * 0.1;
                        $( '#'+prev ).hide();
                        $( '#'+next ).show();
                        popup.animate({'top' : top+'px'}, {queue:false, duration:1000, easing: effect });
                    }
                }
            );
        }
        
        function saveSurveyStat( answer, after )
        {
            if ( answer == 'yes' ) {
                type = 'agree';
            } else if ( answer == 'no' ) {
                type = 'disagree';
            } else {
                type = answer;
            }
            $.ajax({
                url: ajaxurl+'?doajax=1&ipland=1&action=ipland_savestat',
                type: "POST",
                data: 'pageid='+pageid+'&type='+type,
                dataType: "json",
                success: function ( result ) {
                    after();
                }
            });
        }
        
        //Survey popup link
        $( '.ipland-survey-bottom .ipland-survey-popup-link' ).click( function()
        {
            var effect = false; 
            if ( typeof ipland_effect != 'undefined' && ipland_effect != '0' ) {
                effect = ipland_effect;
            }
            if ( effect ) {
                var easing = {queue:false, duration:1000, easing: effect };
            } else {
                var easing = {queue:false, duration:1000 };
            }
            var item   = $(this).parents( '.ipland-survey-root' );
            var root   = $(this).parents( '.ipland-root' );
            var height = $( '.ipland-survey-main', item ).outerHeight();
            
            if ( item.hasClass( 'open' )) 
            {
                item.addClass( 'close' );
                item.removeClass( 'open' );
                item.animate({'top' : '-'+height+'px'}, easing);
                $( '.ipland-survey-link-show', item ).hide();
                $( '.ipland-survey-link-hide', item ).show();
                $( '.ipland-overlay' ).animate({'opacity' : '0'}, 1000, function(){
                    $(this).hide();
                });
                root.addClass( 'ipland-survey-hide' );
                root.removeClass( 'ipland-survey-open' );
                
                if ( root.hasClass( 'ipland-sresult-in-share' )) 
                {
                    var share  = $( '.ipland-share' );
                    var height = $( '.ipland-survey-result', share ).outerHeight();
                    if ( share.hasClass( 'ipland-position-bottom' )){
                        share.animate({'bottom' : '-'+height+'px'}, easing);
                    } else {
                        share.animate({'top' : '-'+height+'px'}, easing);
                    }
                }
            } 
            else 
            {
                item.addClass( 'open' );
                item.removeClass( 'close' );
                var top = $(window).height() * 0.1;
                item.animate({'top' : top+'px'}, easing);
                $( '.ipland-survey-link-show', item ).show();
                $( '.ipland-survey-link-hide', item ).hide();
                $( '.ipland-overlay' ).show();
                $( '.ipland-overlay' ).animate({'opacity' : '1'}, 1000 );
                root.addClass( 'ipland-survey-open' );
                root.removeClass( 'ipland-survey-hide' );
                
                if ( root.hasClass( 'ipland-sresult-in-share' )) 
                {
                    var share = $( '.ipland-share' );
                    if ( share.hasClass( 'ipland-position-bottom' )){
                        share.animate({'bottom' : '0'}, easing);
                    } else {
                        share.animate({'top' : '0'}, easing);
                    }
                }
            }
            
            var audio = document.getElementById( 'ipland-audio' );
            if ( audio !== null ) {
                audio.play();
            }
            return false;
        });
        
        //Newsletter
        $( '.ipland-tbox' ).each( function()
        {
            var item   = $(this);
            var height = $( '.ipland-tbox-main', item ).outerHeight();
            var effect = false; 
            if ( typeof ipland_effect != 'undefined' && ipland_effect != '0' ) {
                effect = ipland_effect;
            }
            if ( item.hasClass( 'ipland-posgroup-bottom' )) {
                item.css( 'bottom', '-'+height+'px' );
            } else {
                item.css( 'top', '-'+height+'px' );
            }
            $( '.ipland-tbox-heading', item ).click( function()
            {
                if ( effect ) {
                    var easing = {queue:false, duration:1000, easing: effect };
                } else {
                    var easing = {queue:false, duration:1000 };
                }
                
                if ( item.hasClass( 'open' )) 
                {
                    item.addClass( 'close' );
                    item.removeClass( 'open' );
                    if ( item.hasClass( 'ipland-posgroup-bottom' )) {
                        item.animate({'bottom' : '-'+height+'px'}, easing );
                    } else {
                        item.animate({'top' : '-'+height+'px'}, easing);
                    }
                } 
                else 
                {
                    item.addClass( 'open' );
                    item.removeClass( 'close' );
                    if ( item.hasClass( 'ipland-posgroup-bottom' )) {
                        item.animate({'bottom' : 0}, easing );
                    } else {
                        item.animate({'top' : 0}, easing);
                    }
                }
                
                var audio = document.getElementById( 'ipland-audio' );
                if ( audio !== null ) {
                    audio.play();
                }
            });
        });
        
        //Share click
        $( '.ipland-social a' ).click( function()
        {
            var href   = $(this).attr( 'href' );
            var parent = $(this).parents( '.ipland-social' );
            var social = parent.attr( 'class' ).replace( 'ipland-social ipland-social-', '' );
            
            $( '.ipland-page-loader' ).show();
            $.ajax({
                url: ajaxurl+'?doajax=1&ipland=1&action=ipland_savestat',
                type: "POST",
                data: 'pageid='+pageid+'&type=share&social='+social,
                dataType: "json",
                success: function ( result ) {
                    window.open(href,'t','toolbar=0,resizable=1,status=0,width=640,height=528');
                    $( '.ipland-page-loader' ).hide();
                }
            });
            return false;
        });
        
        //Content
        $( '.ipland-content-close' ).click( function()
        {
            $(this).parents( '.ipland-page-main' ).hide();
            return false;
        });
        
        if ( $( '#ipland-fp-video' ).length > 0 )
        {
            $('#ipland-fp-video').playYTP();
            $(".ipland-video-player").mb_YTPlayer({
                onReady: function(){
                    jQuery("#eventListener").append(" (Player is ready)");
                }
            });
        }
    });
});